//////////////////////////////////////////////////////////////////////
//
//  FILE:       probe.h
//              Header file for ChessDB interface to Tablebase decoder
//
//  Part of:    ChessDB (Shane's Chess Information Database)
//  Version:    3.4
//
//  Notice:     Copyright (c) 2000-2002 Shane Hudson.  All rights reserved.
//
//  Author:     Shane Hudson (sgh@users.sourceforge.net)
//
//////////////////////////////////////////////////////////////////////

#ifndef SCID_PROBE_H
#define SCID_PROBE_H

#include "position.h"

bool chessdb_TB_compiled (void);

uint chessdb_TB_MaxPieces (void);

uint chessdb_TB_CacheSize (void);

void chessdb_TB_SetCacheSize (uint cachesize);

uint chessdb_TB_Init (const char * dir);

bool chessdb_TB_Available (matSigT matsig);

errorT chessdb_TB_Probe (Position * pos, int * score);

#endif  // #ifdef SCID_PROBE_H

//////////////////////////////////////////////////////////////////////
/// END of probe.h
//////////////////////////////////////////////////////////////////////
