# This is part of ChessDB. 
# Copyright Dr. David Kirkby. 
# Relased under the GPL 

# Prints information about the licence conditions of ChessDB. 
proc ::help::license { } { 
    set w .licenseWin
    if {[winfo exists $w]} {
	destroy $w
	return
    }
    toplevel $w
    wm title $w "[tr GPL]"
    wm minsize $w 10 10

    # Frame 1 (the only frame in fact)
    set licenseInfo [frame $w.licenseInfo -borderwidth 2]
    set textarea [text $licenseInfo.textarea -wrap word -bg white -height 40 -width 60 -yscrollcommand [list $licenseInfo.yscroll set] -setgrid 1]
    set yscroll [scrollbar $licenseInfo.yscroll -command [list $textarea yview]]

    grid $textarea -sticky news
    grid $yscroll -column 1 -row 0 -sticky ns
    grid rowconfig $licenseInfo 0 -weight 1
    grid columnconfig $licenseInfo 0 -weight 1

    $licenseInfo.textarea tag configure h1 -font "helvetica 16" -underline on

    $licenseInfo.textarea tag configure h2 -font "helvetica 13" -justify "left" -underline on
    $licenseInfo.textarea tag configure h3 -font "helvetica 13" -justify "left" 

    $licenseInfo.textarea tag configure normal -font "helvetica 10" -justify "left" -underline off
    $licenseInfo.textarea tag configure fixed -font "courier 10" -justify "left" -underline off

    pack $licenseInfo -fill both -expand true

    # Frame 6 'buttons2'
    set buttons2 [frame $w.buttons2 -borderwidth 0]
    button $buttons2.close -text [tr Close] -command {destroy .licenseWin}
    grid $buttons2.close -row 0 -column 1 -sticky e
    pack $buttons2 -side right -fill x -padx 0 -pady 2 -ipadx 0 -ipady 2
    $licenseInfo.textarea insert end "[tr GPL2]\n\n\n" h3
    $licenseInfo.textarea insert end "[tr GPLTextInFull]"
}

