# This is part of ChessDB. 
# Copyright Dr. David Kirkby. 
# Relased under the GPL 

# Prints information about how to obtain support on using ChessDB
proc ::help::support { } { 
    set w .supportWin
    if {[winfo exists $w]} {
	destroy $w
	return
    }
    toplevel $w
    wm title $w "[tr TitleSupport]"
    wm minsize $w 10 10

    # Frame 1 (the only frame in fact)
    set supportInfo [frame $w.supportInfo -borderwidth 2]
    set textarea [text $supportInfo.textarea -wrap word -bg white -height 40 -width 60 -yscrollcommand [list $supportInfo.yscroll set] -setgrid 1]
    set yscroll [scrollbar $supportInfo.yscroll -command [list $textarea yview]]

    grid $textarea -sticky news
    grid $yscroll -column 1 -row 0 -sticky ns
    grid rowconfig $supportInfo 0 -weight 1
    grid columnconfig $supportInfo 0 -weight 1

    $supportInfo.textarea tag configure h1 -font "helvetica 16" -underline on

    $supportInfo.textarea tag configure h2 -font "helvetica 13" -justify "left" -underline on

    $supportInfo.textarea tag configure normal -font "helvetica 10" -justify "left" -underline off
    $supportInfo.textarea tag configure fixed -font "courier 10" -justify "left" -underline off

    pack $supportInfo -fill both -expand true

    # Frame 6 'buttons2'
    set buttons2 [frame $w.buttons2 -borderwidth 0]
    button $buttons2.close -text [tr Close] -command {destroy .supportWin}
    grid $buttons2.close -row 0 -column 1 -sticky e
    pack $buttons2 -side right -fill x -padx 0 -pady 2 -ipadx 0 -ipady 2
    $supportInfo.textarea insert end "[tr TitleSupport]\n\n" h1
    $supportInfo.textarea insert end "[tr SupportChessDB1]\n\n" 
    $supportInfo.textarea insert end "[tr SupportChessDB2]"
    $supportInfo.textarea insert end "[tr SupportChessDB3]"
    $supportInfo.textarea insert end " chessdb-users@lists.sourceforge.net " fixed
    $supportInfo.textarea insert end "[tr SupportChessDB4]\n\n"
    $supportInfo.textarea insert end "* [tr SupportChessDB5] "
    $supportInfo.textarea insert end " $::ChessDBVersionNumber\n"
    $supportInfo.textarea insert end "* [tr SupportChessDB6] $::tcl_version\n"
    if {$::unixOS == 0} {
      $supportInfo.textarea insert end "* [tr SupportChessDB7]\n" 
    } {
      $supportInfo.textarea insert end "* [tr SupportChessDB8]\n" 
      $supportInfo.textarea insert end "* [tr SupportChessDB9]\n" 
    }
      $supportInfo.textarea insert end "* [tr SupportChessDB10]\n\n" 
      $supportInfo.textarea insert end "[tr SupportChessDB11]\n" 
      $supportInfo.textarea insert end "[tr SupportChessDB12]\n" 
      $supportInfo.textarea insert end "[tr SupportChessDB13]\n\n" 
      $supportInfo.textarea insert end "[tr SupportChessDB14]\n\n\n" 
      $supportInfo.textarea insert end "Dr. David Kirkby $::ChessDBVersionDate"
}

