
proc ::help::thanks {} {
    set w .thanksWin
    if {[winfo exists $w]} {
	destroy $w
	return
    }
    toplevel $w
    wm title $w [tr TitleThankYouTo]
    wm minsize $w 20 20

    # Frame 1 (the only frame in fact)
    set thanksInfo [frame $w.thanksInfo -borderwidth 2]
    set textarea [text $thanksInfo.textarea -wrap word -bg white -height 40 -width 60 -yscrollcommand [list $thanksInfo.yscroll set] -setgrid 1]
    set yscroll [scrollbar $thanksInfo.yscroll -command [list $textarea yview]]

    grid $textarea -sticky news
    grid $yscroll -column 1 -row 0 -sticky ns
    grid rowconfig $thanksInfo 0 -weight 1
    grid columnconfig $thanksInfo 0 -weight 1

    $thanksInfo.textarea tag configure h1 -font "helvetica 16" -underline on

    $thanksInfo.textarea tag configure h2 -font "helvetica 13" -justify "left" 

    $thanksInfo.textarea tag configure normal -font "helvetica 10" -justify "left" -underline off

    pack $thanksInfo -fill both -expand true

    # Frame 6 'buttons2'
    set buttons2 [frame $w.buttons2 -borderwidth 0]
    button $buttons2.close -text [tr Close] -command {destroy .thanksWin}
    grid $buttons2.close -row 0 -column 1 -sticky e
    pack $buttons2 -side right -fill x -padx 0 -pady 2 -ipadx 0 -ipady 2
    $thanksInfo.textarea insert end "[tr ThankYouDavidKirkby]\n\n" h1
    $thanksInfo.textarea insert end "[tr ThanksToOthers]\n\n" h2
    $thanksInfo.textarea insert end "[tr ThanksTranslators]\n" 
    $thanksInfo.textarea insert end "Hans Erricson ([tr Swedish]), Jean-Renaud Seret ([tr French]), Mario Molinari, Giancarlo Bassi & Israel Chauca ([tr Italian]), Seongmo Yoon ([tr Korean]) & Wolfgang de Cauter ([tr German])\n\n" 
    $thanksInfo.textarea insert end "[tr ThanksCode]\n"
    $thanksInfo.textarea insert end "Warren Lewis (smoves2pgn for use with FICS), Jeremy White (Bllunder Analysis code), Pascal Georges (a change to the Blunder analysis code), Stuart Owen (larger chess pieces)\n\n"
    $thanksInfo.textarea insert end "[tr ThanksWebsite] Hans Erricson ([tr Swedish]), Jean-Renaud Seret ([tr French]), Oscar Arturo Ross Gurrola ([tr Spanish])\n\n"
    $thanksInfo.textarea insert end "[tr ThanksTclTelnet]\n\n"
    $thanksInfo.textarea insert end "[tr ThanksBugReports] Hans Erricson, Jean-Renaud Seret, Oscar Arturo Ross Gurrola, Franz Nagl, Alain Belanger, Andrei Olsen, Bernhard Sadlowski, Bradley Small, Bryan Taylor, Christian Ottie, Eric Ste-Marie, General Newcomb, Heinz van Saanen, Jared Allen, Joeri De Backer, Louis Zulli , Richard Vaughn & Theodore Dimitriadis.\n\n"
    $thanksInfo.textarea insert end "[tr Logo]\n\n\n"
    $thanksInfo.textarea insert end "Dr. David Kirkby $::ChessDBVersionDate\n\n\n"
    $thanksInfo.textarea insert end "[tr ThankYouShaneHudon]\n\n" h1
    $thanksInfo.textarea insert end "[tr THANKSdotShane] \n\n" 
    $thanksInfo.textarea insert end "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"
    $thanksInfo.textarea insert end "Scid: Thanks and Acknowledgements\n"
    $thanksInfo.textarea insert end "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"
    $thanksInfo.textarea insert end "There are a lot of people who have, in some way, helped Scid become what it is today.\n\n"
    $thanksInfo.textarea insert end "Thanks to the following people who made helpful suggestions or bug reports at some time, with apologies to the many people I have missed:\n\n"
    $thanksInfo.textarea insert end "Giancarlo Bassi, Bernhard Bialas, Jordi Gonzlez Boada, Jolly Chen, Dann Corbit, Garth Corral, Scott Franklin, Jens Guballa, Udo Held, Peter Herttrich, Kent Hunt, Gerard Jungman, Allen Lake, Ingo Lohmar, Mark Oakden, Joel Rivat, Michal Rudolf, Alberto Santini, Julien Scharl, Bradley Small, Daniel South, Kayvan A. Sylvan, Ignacio Urbelz, John Wiegley.\n\n"
    $thanksInfo.textarea insert end "Thank you to the following people who have helped with translation:\n\n"
    $thanksInfo.textarea insert end "Gilles Maire, Vincent Serisier, Joel Rivat, Pascal Heisel (French); Bernhard Bialas, Jrgen Clos, et al (German); Giancarlo Bassi, Paolo Montrasi, Michele Rinesi (Italian); Jordi Gonzlez Boada (Spanish); Gilberto de Almeida Peres (Portuguese-Brazilian); J.Kees Hofkamp, Jan Krabbenbos, Leander Laruelle (Netherlands); Martin Skjldebrand (Swedish); Morten Skarstad (Norsk); Michal Rudolf, Adam Umiastowski (Polish); Pavel Hanak (Czech); Gbor Szts (Hungarian); Milos Pejovic (Serbian/Yugoslav).\n\n"
   $thanksInfo.textarea insert end "A HUGE THANKS to Michal Rudolf who did most of the code maintenance of Scid during 2003 when I was offline.\n\n"
   $thanksInfo.textarea insert end "Thanks to Manuel Hoelss for programming the \"Promote variation to main line" function (which was added to Scid 2.4)\; to John Wiegley for contributing the useful \"pgnfix\" script that cleans up PGN files and \"eco2pgn\" that converts scid.eco to a PGN file\; and to Mark Oakden who wrote the useful \"sc_remote\" utility.\n\n"
   $thanksInfo.textarea insert end "Thanks to Anjo Anjewierden for his chess player data (at www.anjo.demon.nl)
which is used to correct errors in spelling.ssp and also to automatically generate ratings.ssp from spelling.ssp.\n\n"
    $thanksInfo.textarea insert end "The piece images used in Scid are transparent GIF images generated from some of the freeware TrueType fonts at the excellent Chess Fonts page of the En Passant website, http://www.enpassant.dk/chess/fonteng.htm hosted by the Norresundby chess club. The font authors are:\n"
   $thanksInfo.textarea insert end "Alpha: Eric Bentzen\n"
   $thanksInfo.textarea insert end "Leipzig, Merida: Armando H. Marroquin\n\n"

   $thanksInfo.textarea insert end "Scid uses the free Tcl package \"ezsmtp\" (http://www.millibits.com/djh/tcl/) written by D.J. Hagberg, for sending email messages using SMTP.\n\n"

   $thanksInfo.textarea insert end "Finally, thanks also to Eugene Nalimov for allowing his tablebase-decoding software to be used in Scid, and to Jean-loup Gailly and Mark Adler for their free \"zlib\" data compression library which allows Scid to read Gzip-compressed files.\n\n"
   $thanksInfo.textarea insert end "If you think you deserve a mention here, or are mentioned but would rather remain anonymous, just send me an email.\n\n"
   $thanksInfo.textarea insert end "--\nShane Hudson\nsgh@users.sourceforge.net"
}
