# This is part of ChessDB: 
# Copyright Dr. David Kirkby 2007
# Licenced under the GPL. 
# Prints information about how someone can help the ChessDB project
proc ::help::youcanhelp {} {
    set w .youcanhelpWin
    if {[winfo exists $w]} {
	destroy $w
	return
    }
    toplevel $w
    wm title $w "[tr TitleYouCanHelp]"
    wm minsize $w 20 20

    # Frame 1 (the only frame in fact)
    set youcanhelpInfo [frame $w.youcanhelpInfo -borderwidth 2]
    set textarea [text $youcanhelpInfo.textarea -wrap word -bg white -height 40 -width 60 -yscrollcommand [list $youcanhelpInfo.yscroll set] -setgrid 1]
    set yscroll [scrollbar $youcanhelpInfo.yscroll -command [list $textarea yview]]

    grid $textarea -sticky news
    grid $yscroll -column 1 -row 0 -sticky ns
    grid rowconfig $youcanhelpInfo 0 -weight 1
    grid columnconfig $youcanhelpInfo 0 -weight 1

    $youcanhelpInfo.textarea tag configure h1 -font "helvetica 16" -underline on

    $youcanhelpInfo.textarea tag configure h2 -font "helvetica 13" -justify "left" -underline on

    $youcanhelpInfo.textarea tag configure normal -font "helvetica 10" -justify "left" -underline off
    $youcanhelpInfo.textarea tag configure fixed -font "courier 10" -justify "left" -underline off

    pack $youcanhelpInfo -fill both -expand true

    # Frame 6 'buttons2'
    set buttons2 [frame $w.buttons2 -borderwidth 0]
    button $buttons2.close -text [tr Close] -command {destroy .youcanhelpWin}
    grid $buttons2.close -row 0 -column 1 -sticky e
    pack $buttons2 -side right -fill x -padx 0 -pady 2 -ipadx 0 -ipady 2
    $youcanhelpInfo.textarea insert end "[tr TitleYouCanHelp]\n\n" h1
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB1]\n\n" 
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB2]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB3]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB4]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB5]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB6]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB7]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB8]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB9]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB10]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB11]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB12] [tr Czech], [tr Dutch], [tr Hungarian], [tr Norwegian], [tr Polish], [tr Portugese], [tr Russian] &[tr Serbian]\n\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB13]\n\n"
    $youcanhelpInfo.textarea insert end "Links to HEAD: 	(view) (download) (as text) (annotate)\n" fixed
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB14]\n"
    $youcanhelpInfo.textarea insert end "[tr HelpChessDB15]\n\n"
    $youcanhelpInfo.textarea insert end "[tr IfYouCanSuggest]\n\n\n"
    $youcanhelpInfo.textarea insert end "Dr. David Kirkby $::ChessDBVersionDate"

}

