# english-basic.tcl:
# Text for menu names and status bar help messages in English.
# Part of ChessDB which is a fork of Scid (Shane's Chess Information Database).
#
# Instructions for adding a new language:
#
# (1) Choose a letter code for the language. Currently assigned codes are:
#      E=English, D=Deutsch, F=Francais, S=Spanish, B=Brasil Portuguese,
#      P=Polish, N=Nederlands, W=Swedish, O=Norsk, C=Czech, H=Hungarian,
#      Y=Serbian K=Korean M = Manderin
#
# (2) Edit the code below that has the lines "addLanguage ..." and add your
#     new language. The final digit in each line is the index of the
#     letter to underline in the menu, counting from 0 as the first letter.
#
# (3) Copy the section of English menu and help message details below (all
#     the commands that start "menuText E ..." or "helpMsg E ..." or
#     "translate E ...") and change all the "E" letters to the letter you
#     assigned for the new language.
#
# (4) Write the translations. This involves changing anything "in quotes"
#     or {in braces} for the menuText, helpMsg and translate commands.
#
#     A menu command has the format:
#         menuText L tag "Name..." underline {HelpMessage...}
#
#     A status bar help message for a button has the format:
#         helpMsg L tag {HelpMessage...}
#
#     A general word or message translation has the format:
#         translate L tag {message...}
#
#     where "L" is the language letter, "tag" is the name of the menu entry
#     or the button widget name, and "underline" is the index of the letter
#     to underline, counting from zero as the first letter. Two menu entries
#     that appear in the same menu should have a different underlined letter.
#     If in doubt, just make them all "0" and I'll assign sensible underlined
#     letters when your translations are incorporated into ChessDB.
#
# Additions, corrections? Email: drkirkby@users.sourceforge.net


addLanguage M Manderin 0 Somelocal

proc setLanguage_M {} {

menuText M File "File" 0
menuText M FileNew "New..." 0 {Create a new ChessDB database}
menuText M FileOpen "Open..." 0 {Open an existing ChessDB database}
menuText M FileClose "Close" 0 {Close the active ChessDB database}
menuText M FileFinder "Finder" 0 {Open the File Finder window}
menuText M FileBookmarks "Bookmarks" 0 {Bookmarks menu (shortcut: Ctrl+B)}
menuText M FileBookmarksAdd "Add Bookmark" 0  {Bookmark the current database game and position}
menuText M FileBookmarksFile "File Bookmark" 0  {File a bookmark for the current game and position}
menuText M FileBookmarksEdit "Edit Bookmarks..." 0  {Edit the bookmarks menus}
menuText M FileBookmarksList "Display Folders as Single List" 0  {Display bookmark folders as a single list, not submenus}
menuText M FileBookmarksSub "Display Folders as Submenus" 0  {Display bookmark folders as submenus, not a single list}
menuText M FileMaint "Maintenance" 0 {ChessDB database maintenance tools}
menuText M FileMaintWin "Maintenance Window" 0  {Open/close the ChessDB database maintenance window}
menuText M FileMaintCompact "Compact Database..." 0  {Compact database files, removing deleted games and unused names}
menuText M FileMaintClass "ECO-Classify Games..." 2 {Recompute the ECO code of all games}
menuText M FileMaintSort "Sort Database..." 0  {Sort all games in the database}
menuText M FileMaintDelete "Delete Twin Games..." 0  {Find twin games and set them to be deleted}
menuText M FileMaintTwin "Twin Checker Window" 0  {Open/update the Twin checker window}
menuText M FileMaintName "Name Spelling" 0 {Name editing and spelling tools}
menuText M FileMaintNameEditor "Name Editor" 0  {Open/close the name editor window}
menuText M FileMaintNamePlayer "Spellcheck Player Names..." 11  {Spellcheck player names using the spellcheck file}
menuText M FileMaintNameEvent "Spellcheck Event Names..." 11  {Spellcheck event names using the spellcheck file}
menuText M FileMaintNameSite "Spellcheck Site Names..." 11  {Spellcheck site names using the spellcheck file}
menuText M FileMaintNameRound "Spellcheck Round Names..." 11  {Spellcheck round names using the spellcheck file}
menuText M FileReadOnly "Read-only..." 0  {Treat the current database as read-only, preventing changes}
menuText M FileSwitch "Switch to Database" 0  {Switch to a different opened database}
menuText M FileExit "Exit" 1 {Exit ChessDB}
menuText M Edit "Edit" 0
menuText M EditAdd "Add Variation" 0 {Add a variation at this move in the game}
menuText M EditDelete "Delete Variation" 0 {Delete a variation for this move}
menuText M EditFirst "Make First Variation" 5  {Promote a variation to be first in the list}
menuText M EditMain "Promote Variation to Main Line" 21  {Promote a variation to be the main line}
menuText M EditTrial "Try Variation" 0  {Start/stop trial mode, for testing an idea on the board}
menuText M EditStrip "Strip" 2 {Strip comments or variations from this game}
menuText M EditStripComments "Comments" 0  {Strip all comments and annotations from this game}
menuText M EditStripVars "Variations" 0 {Strip all variations from this game}
menuText M EditStripBegin "Moves from the beginning" 1  {Strip moves from the beginning of the game}
menuText M EditStripEnd "Moves to the end" 0  {Strip moves to the end of the game}
menuText M EditReset "Empty Clipbase" 0  {Reset the clipbase to be completely empty}
menuText M EditCopy "Copy This Game to Clipbase" 0  {Copy this game to the Clipbase database}
menuText M EditPaste "Paste Last Clipbase Game" 0  {Paste the active Clipbase game here}
menuText M EditPastePGN "Paste Clipboard text as PGN game..." 18  {Interpret the clipboard text as a game in PGN notation and paste it here}
menuText M EditSetup "Setup Start Board..." 0  {Set the start position for this game}
menuText M EditCopyBoard "Copy Position" 6 {Copy the current board in FEN notation to the text selection (clipboard)}
menuText M EditPasteBoard "Paste Start Board" 12  {Set the start board from the current text selection (clipboard)}
menuText M Game "Game" 0
menuText M GameNew "New Game" 0  {Reset to an empty game, discarding any changes}
menuText M GameFirst "Load First Game" 5 {Load the first filtered game}
menuText M GamePrev "Load Previous Game" 5 {Load the previous filtered game}
menuText M GameReload "Re-Load Current Game" 3  {Reload this game, discarding any changes made}
menuText M GameNext "Load Next Game" 7 {Load the next filtered game}
menuText M GameLast "Load Last Game" 8 {Load the last filtered game}
menuText M GameRandom "Load Random Game" 8 {Load a random filtered game}
menuText M GameNumber "Load Game Number..." 5  {Load a game by entering its number}
menuText M GameReplace "Save: Replace game..." 6  {Save this game, replacing the old version}
menuText M GameAdd "Save: Add New Game..." 6  {Save this game as a new game in the database}
menuText M GameDeepest "Identify Opening" 0 {Goto the deepest game position listed in the ECO book}
menuText M GameGotoMove "Goto Move Number..." 5  {Go to a specified move number in the current game}
menuText M GameNovelty "Find Novelty..." 7  {Find the first move of this game that has not played before}
menuText M Search "Search" 0
menuText M SearchReset "Reset Filter" 0 {Reset the filter so all games are included}
menuText M SearchNegate "Negate Filter" 0 {Negate the filter to only include excluded games}
menuText M SearchCurrent "Current Board..." 0 {Search for the current board position}
menuText M SearchHeader "Header..." 0 {Search by Header (player, event, etc) information}
menuText M SearchMaterial "Material/Pattern..." 0 {Search for material or board patterns}
menuText M SearchUsing "Using Search File..." 0 {Search using a SearchOptions file}
menuText M Windows "Windows" 0
menuText M WindowsComment "Comment Editor" 0 {Open/close the comment editor}
menuText M WindowsGList "Game List" 0 {Open/close the game list window}
menuText M WindowsPGN "PGN Window" 0 {Open/close the PGN (game notation) window}
menuText M WindowsPList "Player Finder" 2 {Open/close the player finder}
menuText M WindowsTmt "Tournament Finder" 2 {Open/close the tournament finder}
menuText M WindowsSwitcher "Database switcher" 0  {Open/close the Database Switcher window}
menuText M WindowsMaint "Maintenance Window" 0  {Open/close the Maintenance window}
menuText M WindowsECO "ECO Browser" 0 {Open/close the ECO Browser window}
menuText M WindowsRepertoire "Repertoire Editor" 0  {Open/close the opening repertoire editor}
menuText M WindowsStats "Statistics Window" 0  {Open/close the filter statistics window}
menuText M WindowsTree "Tree Window" 0 {Open/close the Tree window}
menuText M WindowsTB "Endgame Tablebase Window" 1  {Open/close the Tablebase window}
menuText M Tools "Tools" 0
menuText M ToolsAnalysis "Analysis Engine..." 0  {Start/stop a chess analysis engine}
menuText M ToolsAnalysis2 "Analysis Engine 2..." 16  {Start/stop the 2nd chess analysis engine}
menuText M ToolsCross "Crosstable" 0 {Show tournament crosstable for this game}
menuText M ToolsEmail "Email Manager" 0  {Open/close the email chess manager window}
menuText M ToolsFilterGraph "Filter Graph" 7  {Open/close the filter graph window}
menuText M ToolsOpReport "Opening Report" 0  {Generate an opening report for the current position}
menuText M ToolsTracker "Piece Tracker"  6 {Open the Piece Tracker window}
menuText M ToolsCoach "Play with coach"  0 {Start a game with a coach and tactical opportunities}
menuText M ToolsPInfo "Player Information"  0  {Open/update the Player Information window}
menuText M ToolsPInfoBlack "Black"  0  {Open/update the Player Information window for the Black player}
menuText M ToolsPInfoWhite "White"  0  {Open/update the Player Information window for the White player}
menuText M ToolsPlayerReport "Player Report..." 3  {Generate a player report}
menuText M ToolsRating "Rating Graph" 0  {Graph the rating history of the current game players}
menuText M ToolsScore "Score Graph" 0 {Show the score graph window}
menuText M ToolsExpCurrent "Export Current Game" 8  {Write current game to a PGN, HTML or LaTeX file}
menuText M ToolsExpCurrentPGN "Export Game to PGN File..." 15  {Write current game to a PGN file}
menuText M ToolsExpCurrentHTML "Export Game to HTML File..." 15  {Write current game to a HTML file}
menuText M ToolsExpCurrentLaTeX "Export Game to LaTeX File..." 15  {Write current game to a LaTeX file}
menuText M ToolsExpFilter "Export All Filter Games" 1  {Write all filtered games to a PGN, HTML or LaTeX file}
menuText M ToolsExpFilterPGN "Export Filter to PGN File..." 17  {Write all filtered games to a PGN file}
menuText M ToolsExpFilterHTML "Export Filter to HTML File..." 17  {Write all filtered games to a HTML file}
menuText M ToolsExpFilterLaTeX "Export Filter to LaTeX File..." 17  {Write all filtered games to a LaTeX file}
menuText M ToolsImportOne "Import One PGN Game..." 0  {Import a game from PGN text}
menuText M ToolsImportFile "Import File of PGN Games..." 7  {Import games from a PGN file}
menuText M ToolsImportDir "Import all PGN files in a directory" 16  {Imports all the PGN files in a particular directory}
menuText M ToolsDownload "Download Games from..." 0 {Download games from the internet}
menuText M ToolsDownloadFromICC   "ICC"  0 {Download the most recent games of anyone on ICC}
menuText M ToolsDownloadFromFICS  "FICS" 0 {Download the most recent games of anyone on FICS}
menuText M ToolsDownloadFromTWIC "TWIC" 0   {Download games in PGN format from the TWIC web site}
menuText M Options "Options" 0
menuText M OptionsBoard "Chessboard" 0 {Chess board appearance options}
menuText M OptionsBoardSize "Size" 0 {Change the board size}
menuText M OptionsBoardPieces "Piece Style" 6 {Change the board piece style}
menuText M OptionsBoardColors "Colors..." 0 {Change board colors}
menuText M OptionsBoardNames "My Player Names..." 0 {Edit my player names}
menuText M OptionsExport "Exporting" 0 {Change text export options}
menuText M OptionsFonts "Fonts" 0 {Change fonts}
menuText M OptionsFontsRegular "Regular" 0 {Change the regular font}
menuText M OptionsFontsMenu "Menu" 0 {Change the menu font}
menuText M OptionsFontsSmall "Small" 0 {Change the small font}
menuText M OptionsFontsFixed "Fixed" 0 {Change the fixed-width font}
menuText M OptionsGInfo "Game Information" 0 {Game information options}
menuText M OptionsLanguage "Language" 0 {Select menu language}
menuText M OptionsMoves "Moves" 0 {Move entry options}
menuText M OptionsMovesAsk "Ask Before Replacing Moves" 0  {Ask before overwriting any existing moves}
menuText M OptionsMovesAnimate "Animation Time" 1  {Set the amount of time used to animate moves}
menuText M OptionsMovesDelay "Autoplay Time Delay..." 1  {Set the time delay for autoplay mode}
menuText M OptionsMovesCoord "Coordinate Move Entry" 0  {Accept coordinate-style move entry (e.g. "g1f3")}
menuText M OptionsMovesSuggest "Show Suggested Moves" 0  {Turn on/off move suggestion}
menuText M OptionsMovesKey "Keyboard Completion" 0  {Turn on/off keyboard move auto-completion}
menuText M OptionsNumbers "Number Format" 0 {Select the number format}
menuText M OptionsStartup "Startup" 3 {Select windows to open at startup}
menuText M OptionsWindows "Windows" 0 {Window options}
menuText M OptionsWindowsIconify "Auto-Iconify" 5  {Iconify all windows when the main window is iconified}
menuText M OptionsWindowsRaise "Auto-Raise" 5  {Raise certain windows (e.g. progress bars) whenever they are obscured}
menuText M OptionsSounds "Sounds..." 2 {Configure move announcement sounds}
menuText M OptionsToolbar "Toolbar..." 0 {Configure the main window toolbar}
menuText M OptionsECO "Load ECO File..." 7 {Load the ECO classification file}
menuText M OptionsSpell "Load Spellcheck File..." 11  {Load the ChessDB spellcheck file}
menuText M OptionsTable "Tablebase Directory..." 10  {Select a tablebase file; all tablebases in its directory will be used}
menuText M OptionsRecent "Recent Files..." 0  {Change the number of recent files displayed in the File menu}
menuText M OptionsSave "Save Options" 0  "Save all settable options to the file $::optionsFile"
menuText M OptionsAutoSave "Auto-Save Options on Exit" 0  {Auto-save all options when exiting ChessDB}
menuText M OptionsDownload "Downloads..." 0 {Configure Download settings}
menuText M Help "Help" 0
menuText M HelpContents "Contents" 0 {Show the help contents page}
menuText M HelpIndex "Index" 0 {Show the help index page}
menuText M HelpGuide "Quick Guide" 0 {Show the quick guide help page}
menuText M HelpHints "Hints" 0 {Show the hints help page}
menuText M HelpContact "Contact Info" 1 {Show the contact information help page}
menuText M HelpTip "Tip of the Day" 0 {Show a useful ChessDB tip}
menuText M HelpStartup "Startup Window" 0 {Show the startup window}
menuText M HelpAbout "About ChessDB" 0 {Information about ChessDB}
menuText M HelpCheckForUpdates "Check for Updates" 0 {Check software revision - this requires an internet connection, as it connects to the Sourceforge web server}
menuText M HelpBugs "Bugs" 0 {Known bugs in ChessDB}
menuText M HelpBugsKnownAtRelease  "Known  at release date" 0 {Bugs known at the time of release}
menuText M HelpBugsRecentlyFound  "Discovered since release" 0 {Recently discovered bugs - needs internet connection}
menuText M GInfoHideNext "Hide Next Move" 0
menuText M GInfoMaterial "Show Material Values" 0
menuText M GInfoFEN "Show FEN" 5
menuText M GInfoMarks "Show Colored Squares and Arrows" 5
menuText M GInfoWrap "Wrap Long Lines" 0
menuText M GInfoFullComment "Show Full Comment" 10
menuText M GInfoPhotos "Show Photos" 5
menuText M GInfoTBNothing "Tablebases: Nothing" 12
menuText M GInfoTBResult "Tablebases: Result Only" 12
menuText M GInfoTBAll "Tablebases: Result and Best Moves" 19
menuText M GInfoDelete "(Un)Delete This Game" 4
menuText M GInfoMark "(Un)Mark This Game" 4
menuText M TreeFile "File" 0
menuText M TreeFileSave "Save Cache File" 0 {Save the tree cache (.stc) file}
menuText M TreeFileFill "Fill Cache File" 0  {Fill the cache file with common opening positions}
menuText M TreeFileBest "Best Games List" 0 {Show the best tree games list}
menuText M TreeFileGraph "Graph Window" 0 {Show the graph for this tree branch}
menuText M TreeFileCopy "Copy Tree Text to Clipboard" 1  {Copy the tree statistics to the clipboard}
menuText M TreeFileClose "Close Tree Window" 0 {Close the tree window}
menuText M TreeSort "Sort" 0
menuText M TreeSortAlpha "Alphabetical" 0
menuText M TreeSortECO "ECO Code" 0
menuText M TreeSortFreq "Frequency" 0
menuText M TreeSortScore "Score" 0
menuText M TreeOpt "Options" 0
menuText M TreeOptLock "Lock" 0 {Lock/unlock the tree to the current database}
menuText M TreeOptTraining "Training" 0 {Turn on/off tree training mode}
menuText M TreeOptAutosave "Auto-Save Cache File" 0  {Auto-save the cache file when closing the tree window}
menuText M TreeHelp "Help" 0
menuText M TreeHelpTree "Tree Help" 0
menuText M TreeHelpIndex "Help Index" 0
menuText M FinderFile "File" 0
menuText M FinderFileSubdirs "Look in Subdirectories" 0
menuText M FinderFileClose "Close File Finder" 0
menuText M FinderSort "Sort" 0
menuText M FinderSortType "Type" 0
menuText M FinderSortSize "Size" 0
menuText M FinderSortMod "Modified" 0
menuText M FinderSortName "Name" 0
menuText M FinderSortPath "Path" 0
menuText M FinderTypes "Types" 0
menuText M FinderTypesChessDB "ChessDB Databases" 0
menuText M FinderTypesOld "Old-Format ChessDB Databases" 0
menuText M FinderTypesPGN "PGN Files" 0
menuText M FinderTypesEPD "EPD Files" 0
menuText M FinderTypesRep "Repertoire Files" 0
menuText M FinderHelp "Help" 0
menuText M FinderHelpFinder "File Finder Help" 0
menuText M FinderHelpIndex "Help Index" 0
menuText M PListFile "File" 0
menuText M PListFileUpdate "Update" 0
menuText M PListFileClose "Close Player Finder" 0
menuText M PListSort "Sort" 0
menuText M PListSortName "Name" 0
menuText M PListSortElo "Elo" 0
menuText M PListSortGames "Games" 0
menuText M PListSortOldest "Oldest" 0
menuText M PListSortNewest "Newest" 2
menuText M TmtFile "File" 0
menuText M TmtFileUpdate "Update" 0
menuText M TmtFileClose "Close Tournament Finder" 0
menuText M TmtSort "Sort" 0
menuText M TmtSortDate "Date" 0
menuText M TmtSortPlayers "Players" 0
menuText M TmtSortGames "Games" 0
menuText M TmtSortElo "Elo" 0
menuText M TmtSortSite "Site" 0
menuText M TmtSortEvent "Event" 1
menuText M TmtSortWinner "Winner" 0
menuText M GraphFile "File" 0
menuText M GraphFileColor "Save as Color PostScript..." 8
menuText M GraphFileGrey "Save as Greyscale PostScript..." 8
menuText M GraphFileClose "Close Window" 6
menuText M GraphOptions "Options" 0
menuText M GraphOptionsWhite "White" 0
menuText M GraphOptionsBlack "Black" 0
menuText M GraphOptionsBoth "Both" 1
menuText M GraphOptionsPInfo "Player Info player" 0
menuText M StatsFile "File" 0
menuText M StatsFilePrint "Print to File..." 0
menuText M StatsFileClose "Close Window" 0
menuText M StatsOpt "Options" 0
menuText M PgnFile "File" 0
menuText M PgnFileCopy "Copy Game to Clipboard" 0
menuText M PgnFilePrint "Print to File..." 0
menuText M PgnFileClose "Close PGN Window" 10
menuText M PgnOpt "Display" 0
menuText M PgnOptColor "Color Display" 0
menuText M PgnOptShort "Short (3-line) Header" 0
menuText M PgnOptSymbols "Symbolic Annotations" 1
menuText M PgnOptIndentC "Indent Comments" 0
menuText M PgnOptIndentV "Indent Variations" 7
menuText M PgnOptColumn "Column Style (one move per line)" 1
menuText M PgnOptSpace "Space after Move Numbers" 1
menuText M PgnOptStripMarks "Strip out Colored Square/Arrow Codes" 1
menuText M PgnOptBoldMainLine "Use Bold Text for Main Line Moves" 4
menuText M PgnColor "Colors" 0
menuText M PgnColorHeader "Header..." 0
menuText M PgnColorAnno "Annotations..." 0
menuText M PgnColorComments "Comments..." 0
menuText M PgnColorVars "Variations..." 0
menuText M PgnColorBackground "Background..." 0
menuText M PgnColorMain "Main line..." 0
menuText M PgnColorCurrent "Current move background..." 1
menuText M PgnColorNextMove "Next move background..." 0
menuText M PgnHelp "Help" 0
menuText M PgnHelpPgn "PGN Help" 0
menuText M PgnHelpIndex "Index" 0
menuText M CrosstabFile "File" 0
menuText M CrosstabFileText "Print to Text File..." 9
menuText M CrosstabFileHtml "Print to HTML File..." 9
menuText M CrosstabFileLaTeX "Print to LaTeX File..." 9
menuText M CrosstabFileClose "Close Crosstable Window" 0
menuText M CrosstabEdit "Edit" 0
menuText M CrosstabEditEvent "Event" 0
menuText M CrosstabEditSite "Site" 0
menuText M CrosstabEditDate "Date" 0
menuText M CrosstabOpt "Display" 0
menuText M CrosstabOptAll "All-play-all" 0
menuText M CrosstabOptSwiss "Swiss" 0
menuText M CrosstabOptKnockout "Knockout" 0
menuText M CrosstabOptAuto "Auto" 1
menuText M CrosstabOptAges "Ages in Years" 8
menuText M CrosstabOptNats "Nationalities" 0
menuText M CrosstabOptRatings "Ratings" 0
menuText M CrosstabOptTitles "Titles" 0
menuText M CrosstabOptBreaks "Tie-Break Scores" 4
menuText M CrosstabOptDeleted "Include Deleted Games" 8
menuText M CrosstabOptColors "Colors (Swiss table only)" 0
menuText M CrosstabOptColumnNumbers "Numbered Columns (All-play-all table only)" 2
menuText M CrosstabOptGroup "Group Scores" 0
menuText M CrosstabSort "Sort" 0
menuText M CrosstabSortName "Name" 0
menuText M CrosstabSortRating "Rating" 0
menuText M CrosstabSortScore "Score" 0
menuText M CrosstabColor "Color" 0
menuText M CrosstabColorPlain "Plain Text" 0
menuText M CrosstabColorHyper "Hypertext" 0
menuText M CrosstabHelp "Help" 0
menuText M CrosstabHelpCross "Crosstable Help" 0
menuText M CrosstabHelpIndex "Help Index" 0
menuText M OprepFile "File" 0
menuText M OprepFileText "Print to Text File..." 9
menuText M OprepFileHtml "Print to HTML File..." 9
menuText M OprepFileLaTeX "Print to LaTeX File..." 9
menuText M OprepFileOptions "Options..." 0
menuText M OprepFileClose "Close Report Window" 0
menuText M OprepFavorites "Favorites" 1
menuText M OprepFavoritesAdd "Add Report..." 0
menuText M OprepFavoritesEdit "Edit Report Favorites..." 0
menuText M OprepFavoritesGenerate "Generate Reports..." 0
menuText M OprepHelp "Help" 0
menuText M OprepHelpReport "Opening Report Help" 0
menuText M OprepHelpIndex "Help Index" 0
menuText M RepFile "File" 0
menuText M RepFileNew "New" 0
menuText M RepFileOpen "Open..." 0
menuText M RepFileSave "Save..." 0
menuText M RepFileSaveAs "Save As..." 5
menuText M RepFileClose "Close Window" 0
menuText M RepEdit "Edit" 0
menuText M RepEditGroup "Add Group" 4
menuText M RepEditInclude "Add Include Line" 4
menuText M RepEditExclude "Add Exclude Line" 4
menuText M RepView "View" 0
menuText M RepViewExpand "Expand All Groups" 0
menuText M RepViewCollapse "Collapse All Groups" 0
menuText M RepSearch "Search" 0
menuText M RepSearchAll "All of Repertoire..." 0
menuText M RepSearchDisplayed "Displayed Lines Only..." 0
menuText M RepHelp "Help" 0
menuText M RepHelpRep "Repertoire Help" 0
menuText M RepHelpIndex "Help Index" 0
menuText M DownloadPGNFiles {Download PGN files} 0
menuText M ToolsPlay "Play" 0 {Play game vs the computer, online, or engine vs engine}
menuText M ToolsPlayYouBlack "Computer vs You" 0 {Play a game as Black against a chess engine}
menuText M ToolsPlayYouWhite "You vs Computer" 0 {Play a game as White against a chess engine}
menuText M ToolsPlayOnline "Play online" 0 {Play others on a chess server - requires an internet connection}
menuText M ToolsPlayEngineEngine "Computer vs Computer" 0 {Two chess computers play against each other}
menuText M ToolsObserveChessServer "Observe online game" 0 {Observe a game being played on a chess server}
menuText M HelpThanks "Thank you" 0 {A list of those who have helped ChessDB in some way}
menuText M HelpHowYouCanHelp "How you can help" 0 {How you can improve ChessDB - even if you are not a programmer}
menuText M HelpSupport "Support" 0 {How you can obtain support in using ChessDB - there is no charge for support}
menuText M HelpLicense "ChessDB's licence conditions" 0 {Displays the GNU General Public License (GPL)}
helpMsg M .button.start {Go to start of game  (key: Home)}
helpMsg M .button.end {Go to end of game  (key: End)}
helpMsg M .button.back {Go back one move  (key: LeftArrow)}
helpMsg M .button.forward {Go forward one move  (key: RightArrow)}
helpMsg M .button.intoVar {Move into a variation  (shortcut key: v)}
helpMsg M .button.exitVar {Leave the current variation  (shortcut key: z)}
helpMsg M .button.flip {Rotate board  (shortcut key: .)}
helpMsg M .button.coords {Turn board coordinates on or off  (shortcut key: 0)}
helpMsg M .button.stm {Turn the side-to-move icon on or off}
helpMsg M .button.autoplay {Autoplay moves  (key: Ctrl+Z)}
translate M TitleDownloadFromTWIC {ChessDB: Download from TWIC website}
translate M WebServerNotOK {The web server did NOT respond with an OK (HTTP status code 200) hence unable to retrieve}
translate M GotoTWICNumber {First issue to download}
translate M DownloadNow {Download now}
translate M NotBelow210 {The TWIC web site does not archive issues older than 210}
translate M TWICissuedDownloadedLast {issue(s) of TWIC downloaded }
translate M OneTWICIssueDownloaded {One issue of TWIC was downloaded (issue}
translate M TWICIssuesDownloaded {TWIC issues were download (issues}
translate M BasedOnTheDate {Based on the date, the last issue ChessDB estimated that would be on the TWIC web site was issue}
translate M soThisIsConsistant {so what you have retrieved is consistent with what ChessDB expected.}
translate M soThisInNotConsistant {This is not consistent with what ChessDB managed to download. Perhaps there was a problem, or perhaps TWIC are late updating the web site. Or perhaps the date is wrong on your computer.}
translate M TWICTitle {Downloads from The Week In Chess (TWIC)\n\n}
translate M NoChangesMade {Failed to retrieve the first file requested. Aborting. No PGN file or database has been created.}
translate M SomeFileButNotAll {Some, but not all of the files requested could be retrieved, so the database and/or PGN file will not have as many issues as you requested. Try another time, when TWIC have updated their web site}
translate M TitlePartiallyCompleteDownload {Downloads partially compleated}
translate M FailureOccuredAt {The failure occured when trying to retrieve issue}
translate M NoNewTWICIssueFound {No new TWIC issues were found - try again later, when TWIC may have updated their web site}
translate M TriedButFailed {ChessDB tried unsuccessfully to retrieve issue}
translate M TheNewDBAndOrPGN {The new ChessDB format database and/or PGN file, will be in the directory}
translate M Introduction {Introduction}
translate M Configuration {Configuration}
translate M DeleteIndividualZip {Delete individual Zip files}
translate M DeleteIndividualZip2 {Delete individual Zip files}
translate M WhenTheyAreNoLongerNeeded  {when they are no longer needed.}
translate M DeleteIndividualPGN {Delete individual PGN files}
translate M DeleteIndividualPGN2 {Delete individual PGN files}
translate M CreateLargePGN  {Create a large PGN of all PGN's downloaded}
translate M CreateChessDBDatabase {Create ChessDB format database}
translate M ManuallySetFirstIssue {Manually set first issue         }
translate M ManuallySetLastIssue  {Manually set last issue}
translate M IssueNumber {Issue number}
translate M IsNotAvailableYet {is not available yet}
translate M DownloadResults {Download results}
translate M DownloadShouldBeComplete {The download should be complete, although if you see this message very quickly, it probably means there was a problem.}
translate M NeedWriteAccess  {This operation needs to write some file(s) to disk. It does this in the directory from where you started ChessDB, but in this case you don't have write access to that directory. Therefore this feature is not available to you. Please exit ChessDB, change directory to one where you have write access, then run ChessDB again. Then you will be able to use this feature.} 
translate M NeedUnzip {The files on the TWIC web site are compressed and need 'unzip' to decompress them. If you do not have it, you can get the sources from http://www.info-zip.org/UnZip.html If you do have 'unzip', then make sure it is in the path, since ChessDB can't execute it. An 'unzip.exe' will be distributed with binary versions of ChessDB for Windows, so you should have unzip.exe if you installed a Windows binary}
translate M WarningBeta  {WARNING: This copy of ChessDB is a 'beta' release, meaning it is intended mainly for testing and evaluation, but not really for everyday use. Beta releases may have significant bugs. Please use this 'beta' release only if you want the benefits (usually more functionality) and accept the higher risk of bugs. I would appreciate feedback, particularly on beta releases. Please check regularly for updates - you can do this from the Help menu.}
translate M HelpTitleUpdatesMessage {Checking software version}
translate M HelpUpdateStatusCurrent {Your version of ChessDB is current. It is version}
translate M FreeUpgradeAt {Upgrades, when they are available, can be found for free at http://sourceforge.net/projects/chessdb/ All the stable releases are in a package called simply 'chessdb' Any beta releases, when available, will always be in a package called 'chessdb-unstable-for-testing'. Any extra files, such as tablebases, of perhaps games, will be in a package called 'extras'.}
translate M ThisVersionIs {The version of ChessDB you currently using is}
translate M HelpUpdateStatuStableToBeta  {However, that release is not considered a stable/bug-free release (hence you will find it in the 'chessdb-unstable-for-testing' package on Sourceforge and it has 'beta' in the name). While it will probably have some bug fixes, feature enhancements or completely new features compared to this stable release, there will often be a higher total number of bugs, and some new features shown on it may not work at all. Hence think about this before you download the beta release. But the best way to get ChessDB improved is to provide feedback on the bugs that exist. Beta releases will normally have more functionality than a stable release such as this, but are not as risky as alpha releases, so are often a good choice.}
translate M UsingLatestStableNoLaterBeta {You are using the latest version of ChessDB. There is not even a later version at present for test purposes (a beta release). Well done! This is version}
translate M UsingLatestStableThereIsLaterBeta {You are using the most current stable release of ChessDB. There is however a later 'beta' release available, but that is not fully tested and so is mainly for people who want to try out the latest features. There may well be significant enhancements, but some of the enhancements might not be fully functional. There is a greater chance of bugs in that case. It's up to you to decide whether or not to try the beta release. If you do, please provide feedback, as providing feedback on beta releases is the best way for ChessDB to improve.}
translate M NotUsingLatestStableThereIsLaterBeta {You are not using the latest stable release of ChessDB, you are advised to upgrade to at least that as soon as possible.\nThere is also an even later 'beta' release available, but that is not fully tested and so is mainly for people who want to try out the latest features. There may well be significant enhancements in the beta release, but some of the enhancements might not be fully functional. There is a greater chance of bugs in that case. It's up to you to decide whether or not to try the beta release. If you do, please provide feedback, as providing feedback on beta releases is the best way for ChessDB to improve. but you are strongly advised to upgrade to at least the latest stable release.} 
translate M NotUsingLatestStableButNoLaterBeta {There is a more recent release of ChessdB which is considered stable. That is not an experimental (beta) release, as there are currently no beta releases available. There is believed to be no reason for you not to upgrade.}
translate M BetaButNotLatestBeta {You are using a beta version of ChessDB, but there is a later beta version available. Whilst the latest beta is not expected to be 100% perfect, it should be better than the version you are using. Hence you are strongly advised to upgrade to the latest beta release. Remember, please give feedback on versions of ChessDB, *especially* beta releases like this one, since beta versions are released primarily so people can spot bugs, before they are made into a stable release.}
translate M VersionOfLatestStable {The latest stable release, which should be free of any significant problems, is version} 
translate M ButNoteNotStable {But note that this is not classed as a stable release, so might well have bugs which don't exist in an older stable release. (Of course, a bug that existed in a stable release may be fixed in this beta one, but in general stable releases give the less hassle, but have less features.)}
translate M VersionOfLatestBeta {The latest beta release is} 
translate M DateOfRelease {That was released on}
translate M WhichWasRelasedOn {which was released on}
translate M HelpUpdateStatusUnknown {Sorry, unable to determine version.\nPlease check manually at http://chessdb.sourceforge.net/ or try again later.} 
translate M HelpUpdateStatusCantConnect {Sorry, unable to connect to http://chessdb.sourceforge.net/ to find the current version of ChessDB. Please try again later.}
translate M HelpUpdateStatusTooNew1 {This version appears to be newer that the latest release, which is a little odd, *unless* you have checked out code from the CVS repository, in which case ignore this message. Otherwise, please contact david.kirkby@onetel.net, telling him the date, time and version of your software (}
translate M HelpUpdateStatusTooNew2 {) as well as the apparent latest version, which is}
translate M Back {Back}
translate M Browse {Browse}
translate M Cancel {Cancel}
translate M Clear {Clear}
translate M Close {Close}
translate M Contents {Contents}
translate M Defaults {Defaults}
translate M Delete {Delete}
translate M Graph {Graph}
translate M Help {Help}
translate M Import {Import}
translate M Index {Index}
translate M LoadGame {Load Game}
translate M BrowseGame {Browse Game}
translate M MergeGame {Merge Game}
translate M Preview {Preview}
translate M Revert {Revert}
translate M Save {Save}
translate M Search {Search}
translate M Stop {Stop}
translate M Store {Store}
translate M Update {Update}
translate M ChangeOrient {Change window orientation}
translate M ShowIcons {Show Icons}
translate M None {None}
translate M First {First}
translate M Current {Current}
translate M Last {Last}
translate M game {game}
translate M games {games}
translate M move {move}
translate M moves {moves}
translate M all {all}
translate M Yes {Yes}
translate M No {No}
translate M Both {Both}
translate M King {King}
translate M Queen {Queen}
translate M Rook {Rook}
translate M Bishop {Bishop}
translate M Knight {Knight}
translate M Pawn {Pawn}
translate M White {White}
translate M Black {Black}
translate M Player {Player}
translate M Rating {Rating}
translate M RatingDiff {Rating difference (White - Black)}
translate M AverageRating {Average Rating}
translate M Event {Event}
translate M Site {Site}
translate M Country {Country}
translate M IgnoreColors {Ignore colors}
translate M Date {Date}
translate M EventDate {Event date}
translate M Decade {Decade}
translate M Year {Year}
translate M Month {Month}
translate M Months {January February March April May June July August September October November December}
translate M Days {Sun Mon Tue Wed Thu Fri Sat}
translate M YearToToday {Year to today}
translate M Result {Result}
translate M Round {Round}
translate M Length {Length}
translate M ECOCode {ECO code}
translate M ECO {ECO}
translate M Deleted {Deleted}
translate M SearchResults {Search Results}
translate M OpeningTheDatabase {Opening database}
translate M Database {Database}
translate M Filter {Filter}
translate M noGames {no games}
translate M allGames {all games}
translate M empty {empty}
translate M clipbase {clipbase}
translate M score {score}
translate M StartPos {Start position}
translate M Total {Total}
translate M readonly {read-only}
translate M ErrNotOpen {This is not an open database.}
translate M ErrReadOnly {This database is read-only; it cannot be altered.}
translate M ErrSearchInterrupted {Search was interrupted; results are incomplete.}
translate M twin {twin}
translate M deleted {deleted}
translate M comment {comment}
translate M hidden {hidden}
translate M LastMove {Last move}
translate M NextMove {Next move}
translate M GameStart {Start of game}
translate M LineStart {Start of line}
translate M GameEnd {End of game}
translate M LineEnd {End of line}
translate M PInfoAll {Results for <b>all</b> games}
translate M PInfoFilter {Results for <b>filter</b> games}
translate M PInfoAgainst {Results against}
translate M PInfoMostWhite {Most common openings as White}
translate M PInfoMostBlack {Most common openings as Black}
translate M PInfoRating {Rating history}
translate M PInfoBio {Biography}
translate M PInfoEditRatings {Edit Ratings}
translate M Draw {Draw}
translate M stalemate {stalemate}
translate M withAllMoves {with all moves}
translate M withAllButOneMove {with all but one move}
translate M with {with}
translate M only {only}
translate M lose {lose}
translate M loses {loses}
translate M allOthersLose {all others lose}
translate M matesIn {mates in}
translate M hasCheckmated {has checkmated}
translate M longest {longest}
translate M WinningMoves {Winning moves}
translate M DrawingMoves {Drawing moves}
translate M LosingMoves {Losing moves}
translate M UnknownMoves {Unknown-result moves}
translate M Tip {Tip}
translate M TipAtStartup {Tip at startup}
translate M SaveCache {Save Cache}
translate M Training {Training}
translate M LockTree {Lock}
translate M TreeLocked {locked}
translate M TreeBest {Best}
translate M TreeBestGames {Best Tree Games}
translate M TreeTitleRow  {    Move   ECO       Frequency    Score  AvElo Perf AvYear %Draws}
translate M TreeTotal {TOTAL}
translate M FileFinder {File Finder}
translate M FinderDir {Directory}
translate M FinderDirs {Directories}
translate M FinderFiles {Files}
translate M FinderUpDir {up}
translate M TmtLimit {List Limit}
translate M TmtMeanElo {Mean Elo}
translate M TmtNone {No matching tournaments were found.}
translate M GraphFilterTitle {Filter Graph: frequency per 1000 games}
translate M AddVariation {Add Variation}
translate M AddMove {Add Move}
translate M Annotate {Annotate}
translate M AnalysisCommand {Analysis Command}
translate M PreviousChoices {Previous Choices}
translate M AnnotateTime {Set the time between moves in seconds}
translate M AnnotateWhich {Add variations}
translate M AnnotateAll {For moves by both sides}
translate M AnnotateWhite {For White moves only}
translate M AnnotateBlack {For Black moves only}
translate M AnnotateNotBest {When game move is not best move}
translate M AnnotateBlundersOnly {When game move is an obvious poor move}
translate M AnnotateBlundersOnlyScoreChange {score from/to: }
translate M MistakesThreshold {Score for weak move (?) }
translate M BlundersThreshold {Score for blunder (??) }
translate M StopBlunderAnalysisThreshold {Disregard when winning by at least }
translate M LowPriority {Low CPU Priority}
translate M EngineList {Analysis Engine List}
translate M EngineName {Name}
translate M EngineCmd {Command}
translate M EngineArgs {Parameters}
translate M EngineDir {Directory}
translate M EngineElo {Elo}
translate M EngineTime {Date}
translate M EngineNew {New}
translate M EngineEdit {Edit}
translate M EngineRequired {Fields in bold are required; others are optional}
translate M PgnWindowTitle {Game Notation - game %u}
translate M SetFilter {Set Filter}
translate M AddToFilter {Add to Filter}
translate M Swiss {Swiss}
translate M Category {Category}
translate M RepSearch {Repertoire Search}
translate M RepIncludedLines {included lines}
translate M RepExcludedLines {excluded lines}
translate M RepCloseDialog {This repertoire has unsaved changes. Do you really want to continue and discard the changes you have made? }
translate M HeaderSearch {Header Search}
translate M EndSideToMove {Side to move at end of game}
translate M GamesWithNoECO {Games with no ECO?}
translate M GameLength {Game length}
translate M FindGamesWith {Find games with flags}
translate M StdStart {Non-standard start}
translate M Promotions {Promotions}
translate M Comments {Comments}
translate M Variations {Variations}
translate M Annotations {Annotations}
translate M DeleteFlag {Delete flag}
translate M WhiteOpFlag {White opening}
translate M BlackOpFlag {Black opening}
translate M MiddlegameFlag {Middlegame}
translate M EndgameFlag {Endgame}
translate M NoveltyFlag {Novelty}
translate M PawnFlag {Pawn structure}
translate M TacticsFlag {Tactics}
translate M QsideFlag {Queenside play}
translate M KsideFlag {Kingside play}
translate M BrilliancyFlag {Brilliancy}
translate M BlunderFlag {Blunder}
translate M UserFlag {User}
translate M PgnContains {PGN contains text}
translate M GlistNumber {Number}
translate M GlistWhite {White}
translate M GlistBlack {Black}
translate M GlistWElo {W-Elo}
translate M GlistBElo {B-Elo}
translate M GlistEvent {Event}
translate M GlistSite {Site}
translate M GlistRound {Round}
translate M GlistDate {Date}
translate M GlistYear {Year}
translate M GlistEDate {EventDate}
translate M GlistResult {Result}
translate M GlistLength {Length}
translate M GlistCountry {Country}
translate M GlistECO {ECO}
translate M GlistOpening {Opening}
translate M GlistEndMaterial {End-Material}
translate M GlistDeleted {Deleted}
translate M GlistFlags {Flags}
translate M GlistVars {Variations}
translate M GlistComments {Comments}
translate M GlistAnnos {Annotations}
translate M GlistStart {Start}
translate M GlistGameNumber {Game number}
translate M GlistFindText {Find text}
translate M GlistMoveField {Move}
translate M GlistEditField {Configure}
translate M GlistAddField {Add}
translate M GlistDeleteField {Remove}
translate M GlistWidth {Width}
translate M GlistAlign {Align}
translate M GlistColor {Color}
translate M GlistSep {Separator}
translate M GlistRemoveThisGameFromFilter  {Remove this game from Filter}
translate M GlistRemoveGameAndAboveFromFilter  {Remove game (and all above it) from Filter}
translate M GlistRemoveGameAndBelowFromFilter  {Remove game (and all below it) from Filter}
translate M DatabaseName {Database Name:}
translate M TypeIcon {Type Icon:}
translate M NumOfGames {Games:}
translate M NumDeletedGames {Deleted games:}
translate M NumFilterGames {Games in filter:}
translate M YearRange {Year range:}
translate M RatingRange {Rating range:}
translate M Description {Description}
translate M Flag {Flag}
translate M DeleteCurrent {Delete current game}
translate M DeleteFilter {Delete filter games}
translate M DeleteAll {Delete all games}
translate M UndeleteCurrent {Undelete current game}
translate M UndeleteFilter {Undelete filter games}
translate M UndeleteAll {Undelete all games}
translate M DeleteTwins {Delete twin games}
translate M MarkCurrent {Mark current game}
translate M MarkFilter {Mark filter games}
translate M MarkAll {Mark all games}
translate M UnmarkCurrent {Unmark current game}
translate M UnmarkFilter {Unmark filter games}
translate M UnmarkAll {Unmark all games}
translate M Spellchecking {Spell-checking}
translate M Players {Players}
translate M Events {Events}
translate M Sites {Sites}
translate M Rounds {Rounds}
translate M DatabaseOps {Database operations}
translate M ReclassifyGames {ECO-classify games}
translate M CompactDatabase {Compact database}
translate M SortDatabase {Sort database}
translate M AddEloRatings {Add Elo ratings}
translate M AutoloadGame {Autoload game number}
translate M StripTags {Strip PGN tags}
translate M StripTag {Strip tag}
translate M Cleaner {Cleaner}
translate M CleanerHelp1 {The ChessDB Cleaner will perform all the maintenance actions you select from the list below, on the current database.}
translate M CleanerHelp2 {Current settings in the ECO classification and twin deletion dialogs will apply if you select those functions.}
translate M CleanerConfirm1 {Once Cleaner maintenance is started, it cannot be interrupted!}
translate M CleanerConfirm2 {This may take a long time on a large database, depending on the functions you have selected and their current settings.}
translate M CleanerConfirm3 {Are you sure you want to commence the maintenance functions you selected? }
translate M AnnotationSymbols  {Annotation Symbols:}
translate M Comment {Comment:}
translate M InsertMark {Insert mark}
translate M InsertMarkHelp {Insert/remove mark: Select color, type, square.}
translate M InsertArrowHelp {Insert/remove arrow: Right-click two squares. }
translate M GoodMove {Good move}
translate M PoorMove {Poor move}
translate M ExcellentMove {Excellent move}
translate M Blunder {Blunder}
translate M InterestingMove {Interesting move}
translate M DubiousMove {Dubious move}
translate M WhiteDecisiveAdvantage {White has a decisive advantage}
translate M BlackDecisiveAdvantage {Black has a decisive advantage}
translate M WhiteClearAdvantage {White has a clear advantage}
translate M BlackClearAdvantage {Black has a clear advantage}
translate M WhiteSlightAdvantage {White has a slight advantage}
translate M BlackSlightAdvantage {Black has a slight advantage}
translate M Equality {Equality}
translate M Unclear {Unclear}
translate M Diagram {Diagram}
translate M BoardSearch {Board Search}
translate M FilterOperation {Operation on current filter:}
translate M FilterAnd {AND (Restrict filter)}
translate M FilterOr {OR (Add to filter)}
translate M FilterIgnore {IGNORE (Reset filter)}
translate M SearchType {Search type:}
translate M SearchBoardExact {Exact position (all pieces on same squares)}
translate M SearchBoardPawns {Pawns (same material, all pawns on same squares)}
translate M SearchBoardFiles {Files (same material, all pawns on same files)}
translate M SearchBoardAny {Any (same material, pawns and pieces anywhere)}
translate M LookInVars {Look in variations}
translate M MaterialSearch {Material Search}
translate M Material {Material}
translate M Patterns {Patterns}
translate M Zero {Zero}
translate M Any {Any}
translate M CurrentBoard {Current Board}
translate M CommonEndings {Common Endings}
translate M CommonPatterns {Common Patterns}
translate M MaterialDiff {Material difference}
translate M squares {squares}
translate M SameColor {Same color}
translate M OppColor {Opposite color}
translate M Either {Either}
translate M MoveNumberRange {Move number range}
translate M MatchForAtLeast {Match for at least}
translate M HalfMoves {half-moves}
translate M EndingPawns {Pawn endings}
translate M EndingRookVsPawns {Rook vs. Pawn(s)}
translate M EndingRookPawnVsRook {Rook and 1 Pawn vs. Rook}
translate M EndingRookPawnsVsRook {Rook and Pawn(s) vs. Rook}
translate M EndingRooks {Rook vs. Rook endings}
translate M EndingRooksPassedA {Rook vs. Rook endings with a passed a-pawn}
translate M EndingRooksDouble {Double Rook endings}
translate M EndingBishops {Bishop vs. Bishop endings}
translate M EndingBishopVsKnight {Bishop vs. Knight endings}
translate M EndingKnights {Knight vs. Knight endings}
translate M EndingQueens {Queen vs. Queen endings}
translate M EndingQueenPawnVsQueen {Queen and 1 Pawn vs. Queen}
translate M BishopPairVsKnightPair {Two Bishops vs. Two Knights middlegame}
translate M PatternWhiteIQP {White IQP}
translate M PatternWhiteIQPBreakE6 {White IQP: d4-d5 break vs. e6}
translate M PatternWhiteIQPBreakC6 {White IQP: d4-d5 break vs. c6}
translate M PatternBlackIQP {Black IQP}
translate M PatternWhiteBlackIQP {White IQP vs. Black IQP}
translate M PatternCoupleC3D4 {White c3+d4 Isolated Pawn Couple}
translate M PatternHangingC5D5 {Black Hanging Pawns on c5 and d5}
translate M PatternMaroczy {Maroczy Center (with Pawns on c4 and e4)}
translate M PatternRookSacC3 {Rook Sacrifice on c3}
translate M PatternKc1Kg8 {O-O-O vs. O-O (Kc1 vs. Kg8)}
translate M PatternKg1Kc8 {O-O vs. O-O-O (Kg1 vs. Kc8)}
translate M PatternLightFian {Light-Square Fianchettos (Bishop-g2 vs. Bishop-b7)}
translate M PatternDarkFian {Dark-Square Fianchettos (Bishop-b2 vs. Bishop-g7)}
translate M PatternFourFian {Four Fianchettos (Bishops on b2,g2,b7,g7)}
translate M Today {Today}
translate M ClassifyGame {Classify game}
translate M EmptyBoard {Empty board}
translate M InitialBoard {Initial board}
translate M SideToMove {Side to move}
translate M MoveNumber {Move number}
translate M Castling {Castling}
translate M EnPassantFile {En Passant file}
translate M ClearFen {Clear FEN}
translate M PasteFen {Paste FEN}
translate M ReplaceMove {Replace move}
translate M AddNewVar {Add new variation}
translate M ReplaceMoveMessage1 {A move already exists here.}
translate M ReplaceMoveMessage2 {You can replace it, discarding all moves after it, or add your move as a new variation.}
translate M ReplaceMoveMessage3 {(You can avoid seeing this message in future by turning off the "Ask before replacing moves" option in the Options:Moves menu.)}
translate M ReadOnlyDialog1 {If you make this database read-only, no changes will be permitted. No games can be saved or replaced, and no delete flags can be altered. Any sorting or ECO-classification results will be temporary.}
translate M ReadOnlyDialog2 {You can easily make the database writable again, by closing and reopening it.}
translate M ReadOnlyDialog3 {Do you really want to make this database read-only?}
translate M ClearGameDialog {This game has been altered. Do you really want to continue and discard the changes made to it? }
translate M ExitDialog {Do you really want to exit ChessDB?}
translate M ExitUnsaved {The following databases have unsaved game changes. If you exit now, these changes will be lost.}
translate M PasteCurrentGame {Paste current game}
translate M ImportHelp1 {Enter or paste a PGN-format game in the frame above.}
translate M ImportHelp2 {Any errors importing the game will be displayed here.}
translate M ECOAllSections {all ECO sections}
translate M ECOSection {ECO section}
translate M ECOSummary {Summary for}
translate M ECOFrequency {Frequency of subcodes for}
translate M OprepTitle {Opening Report}
translate M OprepReport {Report}
translate M OprepGenerated {Generated by}
translate M OprepStatsHist {Statistics and History}
translate M OprepStats {Statistics}
translate M OprepStatAll {All report games}
translate M OprepStatBoth {Both rated}
translate M OprepStatSince {Since}
translate M OprepOldest {Oldest games}
translate M OprepNewest {Newest games}
translate M OprepPopular {Current popularity}
translate M OprepFreqAll {Frequency in all years:   }
translate M OprepFreq1   {In the  1 year  to today: }
translate M OprepFreq5   {In the  5 years to today: }
translate M OprepFreq10  {In the 10 years to today: }
translate M OprepEvery {once every %u games}
translate M OprepUp {up %u%s from all years}
translate M OprepDown {down %u%s from all years}
translate M OprepSame {no change from all years}
translate M OprepMostFrequent {Most frequent players}
translate M OprepMostFrequentOpponents {Most frequent opponents}
translate M OprepRatingsPerf {Ratings and Performance}
translate M OprepAvgPerf {Average ratings and performance}
translate M OprepWRating {White rating}
translate M OprepBRating {Black rating}
translate M OprepWPerf {White performance}
translate M OprepBPerf {Black performance}
translate M OprepHighRating {Games with highest average rating}
translate M OprepTrends {Result Trends}
translate M OprepResults {Result lengths and frequencies}
translate M OprepLength {Game length}
translate M OprepFrequency {Frequency}
translate M OprepWWins {White wins: }
translate M OprepBWins {Black wins: }
translate M OprepDraws {Draws:      }
translate M OprepWholeDB {whole database}
translate M OprepShortest {Shortest wins}
translate M OprepMovesThemes {Moves and Themes}
translate M OprepMoveOrders {Move orders reaching the report position}
translate M OprepMoveOrdersOne {There was only one move order reaching this position:}
translate M OprepMoveOrdersAll {There were %u move orders reaching this position:}
translate M OprepMoveOrdersMany {There were %u move orders reaching this position. The top %u are:}
translate M OprepMovesFrom {Moves from the report position}
translate M OprepMostFrequentEcoCodes {Most frequent ECO codes}
translate M OprepThemes {Positional Themes}
translate M OprepThemeDescription {Frequency of themes in the first %u moves of each game}
translate M OprepThemeSameCastling {Same-side castling}
translate M OprepThemeOppCastling {Opposite castling}
translate M OprepThemeNoCastling {Both Kings uncastled}
translate M OprepThemeKPawnStorm {Kingside pawn storm}
translate M OprepThemeQueenswap {Queens exchanged}
translate M OprepThemeWIQP {White Isolated Queen Pawn}
translate M OprepThemeBIQP {Black Isolated Queen Pawn}
translate M OprepThemeWP567 {White Pawn on 5/6/7th rank}
translate M OprepThemeBP234 {Black Pawn on 2/3/4th rank}
translate M OprepThemeOpenCDE {Open c/d/e file}
translate M OprepTheme1BishopPair {Only one side has Bishop pair}
translate M OprepEndgames {Endgames}
translate M OprepReportGames {Report games}
translate M OprepAllGames    {All games}
translate M OprepEndClass {Material at the end of each game}
translate M OprepTheoryTable {Theory Table}
translate M OprepTableComment {Generated from the %u highest-rated games.}
translate M OprepExtraMoves {Extra note moves in theory table}
translate M OprepMaxGames {Maximum games in theory table}
translate M OprepViewHTML {View HTML}
translate M OprepViewLaTeX {View LaTeX}
translate M PReportTitle {Player Report}
translate M PReportColorWhite {with the White pieces}
translate M PReportColorBlack {with the Black pieces}
translate M PReportMoves {after %s}
translate M PReportOpenings {Openings}
translate M PReportClipbase {Empty clipbase and copy matching games to it}
translate M TrackerSelectSingle {Left mouse button selects this piece.}
translate M TrackerSelectPair {Left mouse button selects this piece; right button also selects its sibling.}
translate M TrackerSelectPawn {Left mouse button selects this pawn; right button selects all 8 pawns.}
translate M TrackerStat {Statistic}
translate M TrackerGames {% games with move to square}
translate M TrackerTime {% time on each square}
translate M TrackerMoves {Moves}
translate M TrackerMovesStart {Enter the move number where tracking should begin.}
translate M TrackerMovesStop {Enter the move number where tracking should stop.}
translate M SelectAllGames {All games in the database}
translate M SelectFilterGames {Only games in the filter}
translate M SelectTournamentGames {Only games in the current tournament}
translate M SelectOlderGames {Only older games}
translate M TwinsNote1 {To be twins, two games must at least have the same two players, and criteria you can set below. When a pair of twins is found, the shorter game is deleted.}
translate M TwinsNote2 {Hint: it is best to spellcheck the database before deleting twins, since it improves twin detection. }
translate M TwinsCriteria {Criteria: Twin games must have...}
translate M TwinsWhich {Examine which games}
translate M TwinsColors {Same player colors?}
translate M TwinsEvent {Same event?}
translate M TwinsSite {Same site?}
translate M TwinsRound {Same round?}
translate M TwinsYear {Same year?}
translate M TwinsMonth {Same month?}
translate M TwinsDay {Same day?}
translate M TwinsResult {Same result?}
translate M TwinsECO {Same ECO code?}
translate M TwinsMoves {Same moves?}
translate M TwinsPlayers {Comparing player names:}
translate M TwinsPlayersExact {Exact match}
translate M TwinsPlayersPrefix {First 4 letters only}
translate M TwinsWhen {When deleting twin games}
translate M TwinsSkipShort {Ignore all games under 5 moves long?}
translate M TwinsUndelete {Undelete all games first?}
translate M TwinsSetFilter {Set filter to all deleted twin games?}
translate M TwinsComments {Always keep games with comments?}
translate M TwinsVars {Always keep games with variations?}
translate M TwinsDeleteWhich {Delete which game:}
translate M TwinsDeleteShorter {Shorter game}
translate M TwinsDeleteOlder {Smaller game number}
translate M TwinsDeleteNewer {Larger game number}
translate M TwinsDelete {Delete games}
translate M NameEditType {Type of name to edit}
translate M NameEditSelect {Games to edit}
translate M NameEditReplace {Replace}
translate M NameEditWith {with}
translate M NameEditMatches {Matches: Press Ctrl+1 to Ctrl+9 to select}
translate M Classify {Classify}
translate M ClassifyWhich {ECO-Classify which games}
translate M ClassifyAll {All games (overwrite old ECO codes)}
translate M ClassifyYear {All games played in the last year}
translate M ClassifyMonth {All games played in the last month}
translate M ClassifyNew {Only games with no ECO code yet}
translate M ClassifyCodes {ECO Codes to use}
translate M ClassifyBasic {Basic codes only ("B12", ...)}
translate M ClassifyExtended {ChessDB extensions ("B12j", ...)}
translate M NameFile {Name file}
translate M GameFile {Game file}
translate M Names {Names}
translate M Unused {Unused}
translate M SizeKb {Size (kb)}
translate M CurrentState {Current State}
translate M AfterCompaction {After compaction}
translate M CompactNames {Compact name file}
translate M CompactGames {Compact game file}
translate M SortCriteria {Criteria}
translate M AddCriteria {Add criteria}
translate M CommonSorts {Common sorts}
translate M Sort {Sort}
translate M AddToExistingFile {Add games to an existing file?}
translate M ExportComments {Export comments?}
translate M ExportVariations {Export variations?}
translate M IndentComments {Indent comments?}
translate M IndentVariations {Indent variations?}
translate M ExportColumnStyle {Column style (one move per line)?}
translate M ExportSymbolStyle {Symbolic annotation style:}
translate M ExportStripMarks {Strip square/arrow mark codes from comments?}
translate M LoadGameNumber {Enter the game number to load:}
translate M GotoMoveNumber {Goto move number:}
translate M CopyGames {Copy games}
translate M CopyConfirm1 {Do you really want to copy}
translate M CopyConfirm2 {the [::utils::thousands $nGamesToCopy] filtered games }
translate M CopyConfirm3 {in the database "$fromName" } 
translate M CopyConfirm4 {to the database "$targetName"? }
translate M CopyErr {Cannot copy games}
translate M CopyErrSource {the source database}
translate M CopyErrTarget {the target database}
translate M CopyErrNoGames {has no games in its filter}
translate M CopyErrReadOnly {is read-only}
translate M CopyErrNotOpen {is not open}
translate M LightSquares {Light squares}
translate M DarkSquares {Dark squares}
translate M SelectedSquares {Selected squares}
translate M SuggestedSquares {Suggested move squares}
translate M WhitePieces {White pieces}
translate M BlackPieces {Black pieces}
translate M WhiteBorder {White border}
translate M BlackBorder {Black border}
translate M FindNovelty {Find Novelty}
translate M Novelty {Novelty}
translate M NoveltyInterrupt {Novelty search interrupted}
translate M NoveltyNone {No novelty was found for this game}
translate M NoveltyHelp {ChessDB will find the first move of the current game that reaches a position not found in the selected database or in the ECO openings book.}
translate M SoundsFolder {Sound Files Folder}
translate M SoundsFolderHelp {The folder should contain the files King.wav, a.wav, 1.wav, etc}
translate M SoundsAnnounceOptions {Move Announcement Options}
translate M SoundsAnnounceNew {Announce new moves as they are made}
translate M SoundsAnnounceForward {Announce moves when moving forward one move}
translate M SoundsAnnounceBack {Announce when retracting or moving back one move}
translate M Upgrading {Upgrading}
translate M ConfirmOpenNew {This is an old-format (Scid 2) database that cannot be opened in ChessDB 3, but a new-format (ChessDB 3) version has already been created. Do you want to open the new-format version of the database?}
translate M ConfirmUpgrade { This is an old-format (Scid 2) database. A new-format version of the database must be created before it can be used in ChessDB 3.  Upgrading will create a new version of the database; it will not edit or remove the original files.  This may take a while, but it only needs to be done one time. You can cancel if it takes too long. Do you want to upgrade this database now?}
translate M RecentFilesMenu {Number of recent files in File menu}
translate M RecentFilesExtra {Number of recent files in extra submenu}
translate M MyPlayerNamesDescription1 { Enter a list of preferred player names below, one name per line. Wildcards (e.g. "?" for any single character, "*" for any sequence of characters) are permitted.}
translate M MyPlayerNamesDescription2 {Every time a game with a player in the list is loaded, the main window chessboard will be rotated if necessary to show the game from that players perspective.}
translate M showblunderexists {show blunder exists}
translate M showblundervalue {show blunder value}
translate M showscore {show score}
translate M coachgame {coach game}
translate M configurecoachgame {configure coach game}
translate M Phalanxengine {Phalanx engine}
translate M Coachengine {Coach engine}
translate M difficulty {difficulty}
translate M hard {hard}
translate M easy {easy}
translate M Playwith {Play with}
translate M white {white}
translate M black {black}
translate M Play {Play}
translate M Noblunder {No blunder}
translate M blunder {blunder}
translate M Noinfo {-- No info --}
translate M selectCoachEngines {Select a Phalanx engine in the left list and a coach engine in the right list (a Crafty engine is preferable as coach)}
translate M moveblunderthreshold {move is a blunder if loss is greater than}
translate M limitanalysis {limit engine analysis time}
translate M seconds {seconds}
translate M Abort {Abort}
translate M TitleCanNotWriteDir {Error: Can't write to directory}
translate M CanNotWriteToDirectory {ChessDB was unable to write to the directory} 
translate M CanNotWriteFile {ChessDB was unable to open the following file for writing:} 
translate M CanNotWriteFile2 {Check the disk space and permissions} 
translate M CanNotReadFile {ChessDB was unable to read the following file:} 
translate M TitleCanNotOpenFile {ChessdDB Error: Can't open file} 
translate M OverwrriteFilesIfPresent {Overwrite files of the same name in}
translate M OverwrriteDBFilesIfPresent {Overwrite the database files (.sg3, si3 & .sn3) in}
translate M FilesFromTWICPlaced {Files from the TWIC web site will be put in} 
translate M NewDatabaseWillBeCreated {A new ChessDB database will be created in }
translate M NewPGNWillBeCreated {A new PGN file will be created, which will hold the contents of all the files downloaded from the TWIC website. The new PGN file will be:}
translate M ProblemWithWriteAcessToDatabaseFiles {You chose to create a database, but one or more of the database files exists. Since you chose not to overwrite the database files, this can not be done. Either don't create the database, move or delete the database files or change the tickbox to overwrite the database files in}
translate M Appending {Appending}
translate M ToTheEndOf {on to the end of}
translate M ActionsToBePerformed {Actions to be performed}
translate M DownloadLog {Log of actions performed}
translate M DatabaseCreated {A new database 'newgames' has been created, based on the contents of the TWIC web site}
translate M NewPGNCreated {A new PGN file 'newgames.pgn' has been created, based on the contents of the TWIC web site}
translate M Warning {Warning:}
translate M ErrorsDetectedWhenCreatingDatabase {Some errors were detected when creating the database. They were:}
translate M AutomaticallyDetermineNextDownload {Automatically set first issue to download}
translate M DownloadToLastCopyOnTWICWebSite {Download to the latest issue}
translate M ShouldYouChose {Should you chose to use use the automatic method to determine the first issue to download, next time the program will start on issue}
translate M CreateNeither {You selected neither to create a database or the large PGN file. Therefore there is nothing to do!}
translate M IfUsingManualYouMustEnterValue {If you select to manually choose an issue or issues to download, you must enter a value. This will need to be between 210 and the latest issue on TWIC. Based on the clock in your computer, the latter is estimated to be approximately}
translate M FileCorruption {ChessDB Error: File Corrupted}
translate M TheLengthOfFileIsNotCorrect {The following file should be of 4 or 5 bytes long, but it is not:}
translate M FirstIssueInFileTooLarge1 {The file}
translate M FirstIssueInFileTooLarge2 {requests downloads start at issue}
translate M FirstIssueInFileTooLarge3 {but that is unrealistically large. First check the date on your computer, as the estimate of what is unrealistic or not is based on the date. If the date is correct, set the first issue manually this time only, just in case it was an odd case of corruption. Check for an updated version of ChessDB (see 'Check for Updates' in the 'Help' menu)}
translate M ReportPossibleInternalError {Please  email chessdb-users@lists.sourceforge.net to report this, since this should generally not happen and may indicate an internal error in ChessDB, which the developers would like to correct.}
translate M butLastFileIndicates {but the file 'last-file.txt' indicates the next issue to download is less than that}
translate M FirstIssueGreaterLastIssue {The first issue must be less than or equal to the last issue}
translate M UserError {ChessDB: User Error}
translate M TitleNeedUnzip {ChessDB: Unzip not found}
translate M Needpgnchessdb {The executable program pgnchessdb can't be found - its impossible to continue without that.}
translate M LookAtTutorial {Please look at the online tutorial at http://chessdb.sourceforge.net/tutorial/ The online documentation is always the most accurate, as the website is updated much more frequently than any other documentation.}
translate M NumberOfHelpPages {ChessDB has 46 online help pages; just press F1 for help!}
translate M StartupCompleted {Start-up completed}
translate M ReviewStartupCompleted {Review the above log to ensure you can make best use of ChessDB. You may need to configure a chess engine later.}
translate M FoundThreePieceTablebases {You have only the 3-piece tablebases configured. These are all that comes with ChessDB, but the 4-piece and 5-piece can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but not 5-piece tablebases can also be downloaded from Sourceforge in the 'extras' package.) Be aware, the 5-piece tablebases require 7.1 GB of disk space - the 4-piece ones need a more modest 30 MB}
translate M FoundFourPieceTablebases {You have at least some (possibly all) of the 4-piece tablebases configured, but do not have any 5-piece ones. The 5-piece tablebases can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/, but be aware the complete set requires 7.1 GB of disk space, so you may prefer to use just the 4-piece ones you have configured.}
translate M FoundFivePieceTablebases {You have at least some (possibly all) of the 5-piece tablebases configured. They are the largest ChessDB supports. You are advised to make sure you have them all - any missing ones can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/}
translate M CheckingForTablebaseFiles {Checking for Nalimov endgame tablebase files...}
translate M ChessDBWebsite {Website: http://chessdb.sourceforge.net/}
translate M ChessDBBasedOnScid {ChessDB is based on Scid -  http://scid.sourceforge.net/ but has new features, enhancements and bug-fixes. More than 90% of ChessDB's code comes from Scid.}
translate M MainScidAuthor {The main author of Scid was Shane Hudson}
translate M ShaneNoBugs {Shane is NOT responsible for any bugs in ChessDB}
translate M SeeTutorial {Please see the online tutorial at http://chessdb/sourceforge.net/tutorial/}
translate M GPL {ChessDB is distributed under the terms of the GNU General Public License}
translate M Copyright {Copyright (C)}
translate M AboutChessDB {About ChessDB}
translate M FastStart {Fast start: no tablebases, ECO or spelling file loaded.}
translate M TryECO {Trying to load the ECO openings file...}
translate M CantLoadSpellcheck {Unable to load the default spellcheck file}
translate M ErrorCantLoadDatbase {Error: could not open database}
translate M Email {Email:}
translate M TextAt {Text at}
translate M start {start}
translate M end {end}
translate M file {file}
translate M ResetToDefault {Reset to default}
translate M SetPGNFileExportText {ChessDB: Set PGN file export text}
translate M SetHTMLFileExportText {ChessDB: Set HTML file export text}
translate M SetLaTexFileExportText {ChessDB: Set LaTex file export text}
translate M ErrorOpening {Error opening}
translate M ErrorOpeningEPDFile {Error opening EPD file}
translate M OpeningEPDFile {Opening EPD file:}
translate M OpeningRepertoireFile {Opening repertoire file:}
translate M UnableToMergeGame {Unable to merge the selected game:}
translate M SubscribeToMailingList {Please subscribe to the chessdb-users@lists.sourceforge.net mailing list by visiting https://lists.sourceforge.net/lists/listinfo/chessdb-users}
translate M SettingUpAudio {Setting up audio move announcement...}
translate M SeachingSounds {Searching sounds folder for move announcement sounds...}
translate M NoSnack {Move speech disabled - Snack sound package 2.0 or later was not found}
translate M Snack {Move speech enabled - Snack sound package 2.0 or later was found}
translate M ConfigureSoundDir {Although you have the sound package installed, not all sounds were found. Select the directory from the Options Menu}
translate M Found {Found}
translate M of {of}
translate M soundFilesIn {sound files in}
translate M WarningUnknownOption {Warning: unknown option:}
translate M TryingToLoadTheECOOpeningsFile {Trying to load the ECO openings file...}
translate M UnableToOpenTheECOOpeningsFile {Unable to open the ECO file:}
translate M ConfiguringSpellingAndRatings {Configuring spellings and ratings - please wait.}
translate M TryingToLoadTheSpellingFile {Since the spelling and rating file (ratings.ssp) was not found, ChessDB will try to load the spellcheck file without ELO ratings (spelling.ssp)}
translate M TryingToLoadTheSpellingAndRatingsFile {First trying to load the spellcheck file which has ELO ratings too:}
translate M ThisCanBeSlowToLoad {This can be slow to load, so if you do not want to add ELO ratings, use spelling.ssp instead, which will load much faster.}
translate M UnableToOpenTheSpellCheckFile {Unable to open the spellcheck only file either}
translate M UnableToOpenTheSpellingAndRatingsFile {Unable to open the spellcheck and rating file:}
translate M NeitherSpellingOrRatingFilesFound {Neither the spellling+rating file (ratings.ssp) or the spellcheck only file (spelling.ssp) could be loaded. These were included with ChessDB. You may need to set the directory on the Options menu}
translate M positions {positions}
translate M SpellcheckFile {Spellcheck file}
translate M SpellcheckAndRatingsFile {Spellcheck and ratings file}
translate M loaded {loaded}
translate M DocumentationAndSupport {Documentation and support}
translate M CopyrightHistoryLicence {Copyright, History and License}
translate M NoTablebasesFoundWindows {No tablebases were found. The small 3-piece tablesbases are included in ChessDB in a directory 'tablebases' (typically C:>\Program Files\ChessDB\tablebases\) so you should configure ChessDB to use them by setting the Tablebase Directory on the Options menu. The 4 piece tablebases (which take up about 30 MB) and 5 piece tablebases (which use about 7.1 GB of disk space) are not included in ChessDB due to their size. They can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but not 5-piece tablebases can also be downloaded from Sourceforge in ChessDB's 'extras' package)}
translate M NoTablebasesFoundUNIX {No tablebases were found. The small 3-piece tablesbases are included in ChessDB in a directory 'tablebases' so you should configure ChessDB to use them by setting the Tablebase Directory on the Options menu. The 4 piece tablebases (which take up about 30 MB) and 5 piece tablebases (which use about 7.1 GB of disk space) are not included in ChessDB due to their size. They can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but *not* 5-piece tablebases can also be downloaded from Sourceforge in ChessDB's 'extras' package)}
translate M ConvertNullMovesToComments {Convert null moves to comments}
translate M Random {Random}
translate M GotoTheFirstPageOfGames {Go to the first page of games}
translate M GotoTheLastPageOfGames {Go to the last page of games}
translate M PreviousPageOfGames {Previous page of games}
translate M NextPageOfGames {Next page of games}
translate M NoGamesInCurrentFiler {There are no games in the current filter}
translate M ChessDBSaveGameList {ChessDB: Save Game List}
translate M SavingGameList {Saving game list...}
translate M databases {databases}
translate M All {All}
translate M files {files}
translate M TooManyDatabasesOpen {Too many databases open; close one first}
translate M OpenAChessDBFile {Open a ChessDB file}
translate M ErrorOpeningFile {ChessDB: Error opening file}
translate M UnableToUpgradeTheDatabase {Unable to upgrade the database}
translate M Opening {Opening}
translate M ReadOnly {read-only...}
translate M text {text}
translate M HashChessDBOptiomFile {ChessDB options file}
translate M HashInTclFormat {This file contains commands in the Tcl language format}
translate M HashVersion    {Version:}
translate M HashIfYouEdit {If you edit this file, you must preserve its valid Tcl}
translate M HashformatOrNotSet {format or it will not set your ChessDB options properly}
translate M ProxyHost {HTTP Proxy Host}
translate M ProxyPort {HTTP Proxy Port}
translate M Logo {Thanks to James Mossop who designed the logo.}
translate M DownloadOptions {ChessDB: Download options}
translate M ICCuser { ICC username}
translate M FICSuser { FICS username}
translate M ICCserver {ICC server}
translate M FICSserver {FICS server}
translate M ICCpass {ICC password}
translate M FICSpass {FICS password}
translate M Port {Port}
translate M SavePassword {Save password}
translate M NotEncrypted {WARNING: Saved as plain text - not encrypted at all.}
translate M WeakEncryption {WARNING: Only a very weak encryption is used.}
translate M ExtraTags {Extra Tags}
translate M AsLastGame {As last game}
translate M Databases {Databases}
translate M Notation {Notation}
translate M UpToMove {Up to move}
translate M OK {OK}
translate M bitmaps {bitmaps}
translate M bitmaps2 {bitmaps2}
translate M AutoCloseAfterStartup {Auto-close after startup}
translate M SelectUptoFour1 {Select up to 4 table base *directories*}
translate M ByClicking {By clicking any tablebase *file* in a directory}
translate M IKnowConfusing {This bit is a bit confusing I know, but it verifies the tablebases are compatible}
translate M LookingForOptionsFile {Looking for your options file}
translate M OptionsFound {Your options file}
translate M WasFoundAndLoaded {was found and loaded}
# The text is printed is "$DownloadGamesFromPre $server $DownloadGamesFromPost"
# so by setting either the pre or the post item, you can have your text 
# either before or after the server name. 
translate M DownloadGamesFromPre {Download games from}
translate M DownloadGamesFromPost { }
translate M OnlyCompleteGames {Completed games only}
translate M CompletedAndAdjourned {Completed and adjourned games}
translate M Download {Download}
translate M UsernamesFromFile {usernames from file}
translate M UsernamesFromList {usernames from list}
translate M ChessDBChooseECORange {ChessDB: Choose ECO Range}
translate M ChessDBSearchOptionsFiles {ChessDB SearchOptions files}
translate M UnabletocreateSearchOptionsfile {Unable to create SearchOptions file:}
translate M Textfile {Text file}
translate M CreateSearchOptionsfile {Create a SearchOptions file}
translate M CreateListOf {Create list of}
translate M usernames {usernames}
translate M UnableToCreatelistOfUsername {Unable to create a list of user names}
translate M HeaderSearchOptionSsavedTo {Header search options saved to}
translate M UserNameList {User name list}
translate M MainHelpIndex {Index of all help pages} 
translate M HelpOnDownloadingChessServer {Help on downloading games from}
translate M Connectto {Connect to}
translate M CloseConnection {Close connection}
translate M ConfigureSettings {Set server, username, password and port}
translate M OutputFromChessServer {Output from the chess server will be shown here}
translate M CurrentlyOnlyDemo {This part of the code is currently NON-FUNCTIONAL, as it has not been developed fully at this time.}
translate M CommandToChessServer {Once connected, commands typed here will be sent to the chess server}
translate M Login {Login}
translate M Logout {Logout} 
translate M ZipfileTooShort {The ZIP File is too small (< 5000 bytes) to be one of TWIC's zip files. Aborting....}
translate M TitleZipfileTooShort {The ZIP File is too small}
translate M TitleUnliklyLastIssue {Last Issue is unrealistic}
translate M UnliklyLastIssue1 {The last issue you requested is not a practical value. Based on the date on your computer, the last TWIC issue is estimated to be very approximately}
translate M UnliklyLastIssue2 {Therefore a request for an issue of}
translate M UnliklyLastIssue3 {or more is considered to be an error by ChessDB.}
translate M UnliklyLastIssue4 {Therefore your request to retrieve up to issue}
translate M UnliklyIssue      {will not be attempted. }
translate M IfyouBeliveAnError {If you believe this is incorrect, please check the date on your computer, check for an updated version of ChessDB, or email chessdb-users@lists.sourceforge.net for further advice.}
translate M UnliklyFirstIssue1 {The first issue you requested is not a practical value. Based on the date on your computer, the latest TWIC issue is estimated to be very approximately}
translate M UnliklyFirstIssue2 {so a request for issues starting at}
translate M UnliklyFirstIssue3 {or more is considered to be an error by ChessDB. Therefore your request to retrieve TWIC issues starting at}
translate M ImportToCurrentDatabase {Import games to the current database}
translate M CreateLargePGNofGames {Create a large PGN file of games}
translate M AutomaticallySetFirstIssue {Automatically set first issue}
translate M DoNothingAtAll {You have not chosen to create a large PGN file or to read games into the current database. Therefore there is nothing to do! Please go back and choose one or both of these}
translate M GamesWillBeReadToCurrent {Games will be imported into the current database}
translate M NewPGNandCurrent {If you selected 'Import games to the current database' the games should be there now. If you selected 'Create a large PGN file of games' the PGN file will be called 'newgames.pgn' in the directory}
translate M CurrentDatabaseReadOnly {The current database is read-only, so you can not import games into it}
translate M NotOpenDatabase {The current database is not open, so you can not import games into it} 
translate M WarningCurrentDatabaseHasGames1 {The current database has}
translate M WarningCurrentDatabaseHasGames2 {games in it. Importing games will not overwrite these, it will simply add the new games to the database. Please check that you have selected the right database - one would for example generally not want to add games from TWIC, ICC, or FICS to a database of your own games.}
translate M WarningCurrentDatabaseHasGames3 {OK to proceed and download games into the current database?}
translate M WarningCurrentDatabaseHasGames4 {games in it. Importing games will not overwrite these, it will simply add the new games to the current database.}
translate M WarningCurrentDatabaseHasGames5 {Please check that you have the right database and the right directory. It is much easier to double-check now, than to try removing the games later if you accidently put them in the wrong database!}
translate M WarningCurrentDatabaseHasGames6 {Continue, and import the games?}
translate M WarningCurrentDBNotEmpty {Warning - the current database is not empty}
translate M WithSomeEngines {With some engines, you will not see any analysis until the board changes. So if you see this message, try changing the board by moving backwards or forwards or making a new move.}
translate M AnalysisEnginesList {Analysis engines list file for ChessDB}
translate M Doyoureallywant {Do you really want to remove this engine from the list?}
translate M TheNameCommand {The Name, Command and Directory fields must not be empty.}
translate M NOTELogFileSizelimit {NOTE  : Log file size limit reached; closing log file.}
translate M UnableToStartTheProgram {Unable to start the program:}
translate M EngineCommunicationLog {ChessDB-Engine communication log file}
translate M ThisFileWasAutomatically {This file was automatically generated by ChessDB.}
translate M ItIsRewritten {It is rewritten every time an engine is started in ChessDB.}
translate M ChessDBAnalysis {ChessDB: Analysis:}
translate M QuietEngine {Quiet engine (still no output); sending it initial commands.}
translate M Engine {Engine}
translate M EngineTerminatedWithout {The analysis engine terminated without warning; it probably crashed or had an internal error.}
translate M SeenCrafty {Seen Crafty; assuming analyze and setboard commands.}
translate M SetEngingThinkingTime {Set the engine thinking time per move in seconds:}
translate M SorryNonStandard {Sorry, this game has a non-standard start position.}
translate M ShareTags {Share tags}
translate M undeletesBoth {undeletes both}
translate M noTwin {no twin} 
translate M NoDuplicatesDetectedFor {No duplicates detected for this game}
translate M TwinGameChecker {Twin game checker}
translate M ToShowTwinGams {To show twins using this window you must first use the 'Delete twin games' function}
translate M Downloads {Downloads}
translate M PreviousPair {Previous pair}
translate M NextPair {Next pair}
translate M ChessDBfound  {ChessDB found}
translate M PlayerNameCorrections {player name corrections, the first}
translate M areListedBelow {are listed below.}
translate M EditTheList {Edit the list to remove any corrections you do not want.}
translate M OnlyLinesOf {Only lines of the form:}
translate M OldNameToNewName { 'Old Name' >> 'New Name'}
translate M withNoSpaces {(with no spaces before the 'Old Name') are processed.}
translate M Ambiguous {Ambiguous}
translate M Surnames {Surnames}
translate M YouCanDisreguardA {You can discard a correction you do not want by deleting its line, or simply by adding a space or any other character at the start of the line}
translate M ToggleAnalysisBoard {Show/Hide Analysis Board}
translate M ShowAnalysisBoard {Show Analysis Board}
translate M HideAnalysisBoard {Hide Analysis Board}
translate M Score {Score}
translate M Depth {Depth}
translate M Nodes {Nodes}
translate M Time {Time}
translate M YourMove {Your move...... }
translate M Thinking {Thinking....... }
translate M SetEngineThinkingTime {Set the engine thinking time per move in seconds:}
translate M DoYouReally {Do you really want to remove this engine from the list?}
translate M NameCommandAndDir {The Name, Command and Directory fields must not be empty.}
translate M NoExtraTags {No extra tags were found}
translate M FirstLineFrom {First line from engine seen; sending it initial commands now.}
translate M Crafty18White {Crafty version is >= 18.0; assuming scores are from White perspective.}
translate M TitleEnginethinkingtime {ChessDB Engine thinking time}
translate M SoundOptions {Sound Options}
translate M FreeChessDatabase {ChessDB: A free Chess Database}
translate M UsingTclTkVersion {Using Tcl/Tk version:}
translate M Maintainer {Maintainer: Dr. David Kirkby}
translate M emailDave {Email: drkirkby@users.sourceforge.net}
translate M SearchOptionsSaved {Material/pattern search options saved to file:}
translate M TitleSearchOptionsSaved {Search Options saved}
translate M ExtraTagsEgAnand {Extra Tags: (example format: Annotator "Anand, V")}
translate M YouWereNotLoggedIn {You are not currently logged in to the chess server, so you can not log out}
translate M TitleYouWereNotLoggedIn  {ChessDB: Logout error}
translate M TitleCreateRepertore {Create a repertoire file}
translate M NonStartedStartNoRepertoir {The current game does not have the standard starting position, so its positions cannot be added to the repertoire.}
translate M RepetoireFiles {ChessDB repertoire files}
translate M AreYouSureDeleteRepGroup {Are you sure you want to delete this group, keeping all the groups and lines under it?}
translate M AreYouSureRecursivelyDeleteRepGroups {Are you sure you want to delete this group, AND ALL the groups and lines under it?}
translate M AreYouSureDeleteLine {Are you sure you want to delete this line?}
translate M TitleDeleteGroup {ChessDB: Delete group?}
translate M TitleDeleteLine  {ChessDB: Delete line?}
translate M NotLoggedOInNoDownload {You are not logged into the chess server, so can not download games. Please press 'Login' first.}
translate M TitleNotLoggedOInNoDownload {Error: Not logged in}
translate M ICCLimitOnGames {Note, the Internet Chess Club (ICC) limits the number of attempts that be made to download games in quick succession to 100. Once 100 have been attempted (whether or not they could all be downloaded), ICC server will simply reply "Game database temporarily unavailable". Since you have requested data on 6 or more players, each assumed to have 20 games in their history, this limit will be reached. After 100 attempts are made, there will be a long delay (x seconds), before any more are dowloads are attempted. ChessDB will resume once the ICC server will allow it. Note, the exact details of what limits the ICC server is programmed with are not known, so best guesses are used. If you see the message "Game database temporarily unavailable", please report the circumstances to the ChessDB mailing list.}
translate M ICCLimitOnGames1 {Note, the Internet Chess Club (ICC) limits the number of attempts that be made to download games in quick succession to 100. Once 100 have been attempted (whether or not they could all be downloaded), ICC server will simply reply "Game database temporarily unavailable" It will stay like this for some time (approximately 80s)  before allowing further downloads}
translate M ICCLimitOnGames2 {Since you have requested data on 6 or more players, each assumed to have 20 games in their history, this limit will be reached. After 100 attempts are made, there will be a long delay (80 seconds), before any more dowloads are attempted. ChessDB will resume once it believes the ICC server will allow it.}
translate M ICCLimitOnGames3 {Note, the exact details of what limits the ICC server is programmed with are not known, so best guesses are used. If you see the message "Game database temporarily unavailable", please report the circumstances to the ChessDB mailing list. If you know the parameters ICC use, then please let us know, so best use can be made of this facility} 
translate M TitleICCLimitOnGames {ICC database limit}
translate M EmailAddressFields {Email address fields:}
translate M Downloading {Please Wait !!}
translate M DownloadsComplete {An attempt has been made to download the histories of all the players. If ICC's database became unavailable, (as it sometimes does with rapid downloads), then they may not be complete. Double check the number of games. Assuming you have all the games, you may close the database if you wish. You are still logged in, so log out if you wish.}

translate M TitleDownloadsComplete {Downloads complete}
translate M WillSlowNow {The downloads from ICC will slow now quite considerably, from one every 500 ms to one every 60 seconds. This is because the ICC server is configured to restrict the rate at which games can extracted from the database. A message will be printed when all games are downloaded - until then, please keep the database open. You can leave ChessDB unattended - perhaps take a break while the downloads continue at the reduced rate. }
translate M WillSlowNow2 {If you want to get the games as fast as possible, save the database, log out, then back in again, after which you can download another 100 games very quickly.}
translate M TitleWillSlowNow {Downloads will slow down}
translate M DatabaseUnavailable {ICC's database is temporarily unavailable. This will happen if a lot of games are downloaded in a short time. ChessDB tries to avoid this, by slowing the rate of downloads after the first 100. However, as the exact conditions wwhich cause this to happen are unknown, it is difficult to do this well. If you get this message, please email chessdb-users-owner@lists.sourceforge.net and explain what you did. It is not an unusual message and is nothing to worry about.}
translate M TitleDatabaseUnavailable {ICC database is temporarily unavailable}
translate M LogInAnonymously {When connecting to ICC for the purpose of downloading games, it is suggested you do so anonymously. If not, anyone with you on their notify list will see ChessDB connect, which is probably not what you want. You can log into ICC anonymously by adding a "!" in front of your username. So if your ICC user name is "foobar", it is probably better to set it in ChessDB as "!foobar"}
translate M TitleLogInAnonymously {Anonymous login}
translate M ExtraSpacesBetweenUsernames {The list of user names must be separated by ONLY ONE SPACE. You have two or more spaces in the list. Please remove them.}
translate M TitleExtraSpacesBetweenUsernames {User errror: Too many spaces}
translate M SuccessfullySorted {The database was successfully sorted.}
translate M TitleSortResults {ChessDB: Sort results}
translate M ThisIsNotOpenNothingToSort {This is not an open database; there are no games to sort.}
translate M WillAddEloRatings {This command will use the current spellcheck file to add Elo ratings to games in this database. Wherever a player has no currrent rating but his/her rating at the time of the game is listed in the spellcheck file, that rating will be added.}
translate M OverwriteExistingNonZero {Overwrite existing non-zero ratings?}
translate M AddRatingsTo {Add ratings to:}
translate M AddedNElo {ChessDB added $r Elo ratings in $g games.}
translate M ExtraPGNTags {Extra PGN tags:}
translate M RemoveAllOccurageOfTag {Do you really want to remove all occurences of the PGN tag}
# Then follows the database name, and after it
translate M FromThisDatabase {from this database?}
translate M RemovingThePGNTag {Removing the PGN tag}
# Then follows the name of a tag. 
translate M ToSaveSpaceAnd {To save space and maintain database efficiency, it is a}
translate M ToSaveSpaceAnd2 {good idea to compact the game file after removing tags.}
translate M FindingGamesWithPGN {Finding games with the PGN tag}
# Then follows a database name
translate M ChangeTheFollowingGame {Change the following game tags:}
translate M Game {Game}
translate M NoUnusedNames {There are no unused names, so the name file is already fully compacted.}
translate M TheNameFile {The name file for the database}
#Then follows a database name
translate M wasCompated {was compacted.}
translate M TitleErrorCompactingFile {ChessDB: Error compacting file}
translate M TitleNameFileCompacted {ChessDB: Name file compacted}
translate M TitleGameFileCompacted {ChessDB: Game file compacted}
translate M TheGameFileIsAlreadyCompacted {The game file is already fully compacted.}
translate M TheGameFile {The game  file for the database}
# Then follows a database name, and finally "was compacted."
# eg The game  file for the database GM-games was compacted.
translate M YourSetting4Twins {Your settings for finding twin games are potentially likely to }
translate M YourSetting4Twins2 {cause non-twin games with similar moves to be marked as twins.}
translate M DoYouWantToContinueAndDelete {Do you want to continue and delete twin games anyway?}
translate M ItIsReccomenedThatYou {It is recommended that you specify "Yes" for at least two of the "same site", "same round" and "same year" settings.}
translate M ItIsReccommendedThatIf {It is recommended that if you select "No" for "same moves", you should select "Yes" for the colors, event, site, round, year and month settings} 
translate M AllSettingNotEntered1 {You MUST configure a chess server name (usually chessclub.com for ICC and freechess.org for FICS), a username, a password and a port (usually 5000, but 23 might be useful in some cases).}
translate M AllSettingNotEntered2 {Please set these either from the File menu of this window, or Options -> Downloads on the main ChessDB window.}
translate M NeedLoginParamtersSet {Login parameters must be set}
translate M UsernameNotReconised1 {The chess server does not reconsise the username of :}
translate M ICCUsernameNotReconised2 {Have you got the right username for this server? Has your account expired? Check all settings CAREFULLY.}
translate M TitleICCUsernameNotReconised {Unknown user name}
translate M InvalidPassword {does not reconise that password given for the username }
translate M TitleInvalidPassword {Invalid password}
translate M ConnectionToChessSeverFailed {Connection to chess server failed. Is  your network connection OK? Is the firewall blocking traffic? The chess server could be down. The error message generated was:}
translate M TitleConnectionToChessSeverFailed {Unable to connect to chess server}
translate M TheSettingsUsed {The setting used when trying to connect were:}
translate M LookingForSpellingFile {Looking for the spelling and ratings file "ratings.ssp"}
translate M SpellCheckFileFound {The spell check and ratings file was found}
translate M SpellCheckFileNotFound {The spell check file, which has the ELO ratings of players, could not be located. This was distributed with ChessDB with the name "ratings.ssp"}
translate M OptionsFile {Options File}
translate M UnableToFindOptions1 {Unable to find the options file}
translate M UnableToFindOptions2 {A new options file will be created}
translate M AttemptingToLoadTheSpellingAndRatingsFile {Attempting to load the spellcheck file which has ELO ratings too:}
translate M KiloNodesPerSecond {kn/s}
translate M IfYouWantTheseTablebases {If you want these tablebases to be used whenever you start ChessDB, select "Save Options" from the Options menu before you exit ChessDB.}
translate M UnableToReadFromChessServer1 {An error occured when ChessDB tried to read from the chess server.}
translate M UnableToReadFromChessServer2 {This can occur if there is a network problem, a fault at the chess server, you have logged out but a request from ChessDB to read has taken place (this is a bug that will be fixed later).}
translate M ErrorMessage {The error message generated was:}
translate M TitleReadFromChessSeverFailed {Unable to read from the chess server}
translate M TitleWriteFromChessSeverFailed {Unable to write to chess server}
translate M UnableToWriteToChessServer1 {An error occured when ChessDB tried to write to the chess server.}
translate M UnableToWriteToChessServer2 {This can occur if there is a network problem, a fault at the chess server, you have logged out but a request from ChessDB to write has taken place (this is a bug that will be fixed later).}
translate M IfYouWishToContinue {If you wish to continute to download  more files, it *may* be necessary to quit ChessDB and log in again (this is a bug that will be fixed later.)}
translate M NoFICSYet1 {Although it is possible to download games into a database from ICC, this is not currently possible with FICS.}
translate M NoFICSYet2 {FICS support will be added, but it is a bit more complex than on ICC, since FICS does not have the 'spgn' (or similar) command to show the PGN of a game. Expect FICS support by April or May 2007.}
translate M TitleNoFICSYet {No support currently for download via FICS}
translate M TitleImportFromAPGNFile {Import from a PGN file}
translate M TitleImportingPGNFile {ChessDB: Importing PGN file}
translate M TitleImportingPGNFiles {ChessDB: Importing PGN files}
translate M NoPGNErrorsOrWarnings {with no PGN errors or warnings.}
translate M PGNErrorsWarnings {PGN error/warnings:}
translate M ImportingPGNgamesFrom {Importing PGN games from}
translate M TitleSelectATablebaseFile {ChessDB: Select a Tablebase  file}
translate M ChooseDirectoryWithPGN {Choose a directory containing one or more PGN files}
translate M NoPGNFileInDir {It is not possible to import any PGN files, since there are no files with the extension .pgn or .PGN in the directory}
translate M TitleNoPGNFileInDir {ChessDB Error: No PGN files in the directory}
translate M ImportingNumber {This will import} 
translate M PGNFilesFromDir {PGN files from the directory}
translate M ToolsImportDirText {Import all the PGN files in a directory}
translate M TitleChessDBError {ChessDB: Error}
translate M ToHaveThisLoaded {To have this file automatically loaded when you start ChessDB, select "Save Options" from the Options menu before exiting.}
translate M ECOfile {ECO file}
translate M TitleChessDBECOFileLoaded {ChessDB: ECO file loaded.}
##context M gdgfgffggertldffdo {Importing file number 12 of 124}
translate M TablebasesWithUpto {Endgame tablebases with up to}
translate M NPieces {pieces were found, so those tablebases will be used to allow ChessDB to perform an exact analysis of endgames.}
translate M ChessDBEGTBResults {ChessDB: Endgame tablebase results}
translate M TitleUnableToWriteFile {Unable to write file}
##context M ImportingFileNumberN {Importing file number 12 of 124}
translate M ImportingFileNumberN {Importing file number}
##context M er34093489fl {Importing all 124 files PGN files from the directory C:\Program Files\My Documents}
translate M ImportingAll {Importing all}
translate M PGNfilesFrom {PGN files from the directory}
translate M ThereWereWarnings {WARNING: There were errors or warnings while importing those PGN files. This is not unusual, as many games found on the internet have errors in them. If you have imported a lot of games, you might wish to just ignore them. Otherwise, check the line numbers indicated carefully to find the problem. }
translate M ThereWereNoWarnings {Note: The PGN file(s) imported without any warning messages. That is obviously good!}
##context M jhdgdret {Imported file 12 of 345 files, with 456 games. 323232 games have been imported now.}
translate M ImportedFile {Imported file}
translate M filesWith {files, with}
translate M gamesImportedNow {games have been imported now}
translate M OpenRepertoireFile {Open a repertoire file}
translate M TitleSaveOpeningReport {ChessDB: Save opening report}
translate M TitleErrorWritingReport {ChessDB: Error writing report}
translate M TitleErrorStartingAnalysis {ChessDB: Error starting analysis}
translate M StartingToImportFilename {Start to import file:}
translate M TitleThankYouTo {Thank you to ...}
translate M ThanksToOthers {I would like to express my thanks to the following, who have helped improve ChessDB. If I have omitted anyone, please let me know and I will correct the omission. Of course, many helped Shane Hudson with Scid, and since ChessDB is based on Scid, they have contributed too.}
translate M ThanksTranslators {Thank you to the following have either provided translations for ChessDB, or in some other way helped to improve the translations.}
translate M ThanksWebsite {Thank you to the following, who have translated sections of the ChessDB website to another language.  By doing this, the number of potential users will be increased, which will almost certainly lead to more developers and so an improved program.}
translate M ThanksCode {The following have contributed code to ChessDB.}
translate M ThanksBugReports {Unfortunately bugs are inevitable in complex software such as ChessDB. Bug reports are always useful - even if they are as small as an incorrect spelling. The following have provided bug reports in sufficient detail for the report to be useful.}
translate M HelpChessDB1 {If anyone is able to help promote or improve ChessDB in the following ways, I would appreciate it:}
translate M HelpChessDB2 {Submit details about ChessDB to chess related web sites. This is particularly useful if that web site uses a language other than English. It would be nice if people searching on the web found out about ChessDB, no matter what language they performed their search in.}
translate M HelpChessDB3 {Tell others about ChessDB - it would be nice if it was as well known as ChessBase. I do this on the Internet Chess Club (ICC) some times and are surprised how many do not know what a chess database is.}
translate M HelpChessDB4 {Write code to add new functionality, or improve upon present functionality. ChessDB uses C++ and Tcl}
translate M HelpChessDB5 {If you are a GM or IM and are willing to put some positive comments about ChessDB on the ChessDB (or other) website, it would help. ChessDB is a LOT more than a free alternative for those who don't wish to spend their money on commercial products.}
translate M HelpChessDB6 {Write better documentation. There are some areas of the documentation which are poor or non-existent - especially in languages other than English. Do you have any good tips that can be included in the 'Tip of the Day' which is displayed at startup?}
translate M HelpChessDB7 {Produce binaries for Linux distributions (Redhat, Suse, Debian, Slackware etc) and preferably keep them regularly maintained. Some people may only find out about ChessDB if they find it on Linux.}
translate M HelpChessDB8 {Maintain a binary for other UNIX and UNIX-like distibutions, such as those for AIX, Mac OS X, Solaris, IRIX, HP-UX, FreeBSD, OpenBSD, NetBSD etc. One of my projects 'atlc' (http://atlc.sourceforge.net/) has been ported to everything from a Sony Playstation 2 games console to a Cray supercomputer. I doubt ChessDB will ever be as portable, but it should be possible to produce binaries which are easy for users to install.}
translate M HelpChessDB9 {Provide a link to the ChessDB website, http://chessdb.sourceforge.net/ on your web site. This will improve the search engine ranking of ChessDB. That will give us more users, more developers and so software with more features.}
translate M HelpChessDB10 {Send copies of ChessDB to magazine Editors for review.}
translate M HelpChessDB11 {Suggestions for additional features are welcome, but these are always more numerous than I have time for. Suggesions from those who contribute to ChessDB will be given higher priority. The suggestion to add a facility to import lots of PGN games at once by Mario Molinari was given higher priority (and now impleneted), since Mario has updated the Italian translation.} 
translate M HelpChessDB12 {Update the language files. ChessDB supports many langugages, but some of the the language files have not been updated for a long time. If you, or someone you know is willing to update any of the following language files, it would be very useful:}
translate M HelpChessDB13 {The main language file has a name somelanguage-basic.tcl (eg. swedish-basic.tcl). You can download the files from http://chessdb.cvs.sourceforge.net/chessdb/chessdb/tcl/lang/ Click on the relavant language file. Near the top you will see the following: }
translate M HelpChessDB14 {Click on 'download', edit the file, then email the updated file to drkirkby@users.sourceforge.net}
translate M HelpChessDB15 {Advise me of any place in which you see English text, when you expect to see that of another language. In some cases, it is difficult to convert the text, but in others it is simply that I have overlooked something. In other cases it is simply that nobody has translated the text.}
translate M IfYouCanSuggest {If you can think of other ways in which the user base of ChessDB can be increased, please let me know at drkirkby@users.sourceforge.net.}
translate M NoOpenDatabaseNoPlayerReport {There are 9 database slots which are used to hold a database. The current database slot is empty. Please change to a database that is not empty, using 'Switch to Database' on the 'File' menu} 
translate M ZeroGames {The current database has 0 games in it.}
translate M TitleZeroGames {Database has no games}
translate M ZeroGamesNoPlayerReport {Since the database has no games in it, there are no players in the database and so a Player Report can not be generated. }
translate M OpenDatabaseWithGames {Please open a database that has some games in it. }
translate M NewUserNewDatabase {If you are a new user of ChessDB, you can download a database from the ChessDB web site, create one by reading in some PGN files, download games from The Week In Chess (TWIC), ICC or FICS. There are many ways to create a database, if you don't already have one. A very small sample database, having the games from the World Chess Championships, is distributed with ChessDB under the name 'wcc'.}
translate M ZeroGamesNoFilterGraph {Since the database has no games in it, there are no players in the database and so a Filter Graph can not be generated.}
translate M TitleYouCanHelp {How you can help ChessDB}
translate M Czech {Czech}
translate M Dutch {Dutch}
translate M Finnish {Finnish}
translate M French {French}
translate M German {German}
translate M Hungarian {Hungarian}
translate M Italian {Italian}
translate M Korean {Korean}
translate M Norwegian {Norwegian}
translate M Polish {Polish}
translate M Portuguese {Portuguese}
translate M Russian {Russian}
translate M Serbian {Serbian}
translate M Swedish {Swedish}
translate M Spanish {Spanish}
translate M Turkish {Turkish}
translate M UnableLoadGame {Unable to load game number:}
translate M TitleUnableLoadGame {ChessDB Error: Unable to load game}
translate M UnableToWriteBooksmarks {Unable to write bookmarks file:}
translate M TitleSupport {Support on ChessDB}
translate M SupportChessDB1 {Support on ChessDB is much better than on almost any commerical software. You can easily contact the developers - not some dumb support staff, who usually know less than you. Support is free and responses to support requests are usually answered in less than 24 hours. It is quite common for a bug to be reported and a solution given in under 1 day.}
translate M SupportChessDB2 {First, before asking for support, read the documentation. In particular take a look at the tutorial at http://chessdb.sourceforge.net/tutorial/ The archives of the mailing lists at http://sourceforge.net/mailarchive/forum.php?forum=chessdb-users are helpful too.}
translate M SupportChessDB3 {Please email your support requests to}
translate M SupportChessDB4 {Please provide the following information:}
##context M dfd4dfdf {The version number of ChessDB will be printed after the contents of line 'SupportChessDB5'}
translate M SupportChessDB5 {The version of ChessDB you are using, which is}
##context M doererdf {The version number of Tcl/Tk will be printed after the contents of line 'SupportChessDB6'}
translate M SupportChessDB6 {The version of Tcl/Tk you are using. Tcl/Tk is needed to run ChessDB - you are using version }
translate M SupportChessDB7 {The version of Windows you are using (95, 98, NT, 98SE, 2000, ME, XP home, XP Pro, Vista etc.} 
translate M SupportChessDB8 {The version of UNIX or Linux you are using (Debian Linux, Slackware Linux, Solaris, FreeBSD, NetBSD etc).}
translate M SupportChessDB9 {Whether you compiled this yourself, or if you obtained a binary from somewhere. If you compiled it yourself, report the version of gcc used. Did you build it from the code in the CVS repository? If you used a binary, report where you obtained the binary.)}
translate M SupportChessDB10 {What steps you have taken to sort the problem out yourself.}
translate M SupportChessDB11 {If this is a bug report and you are in a position to check this under both Windows and UNIX/Linux, it would be useful to verify if the problem exists on both systems. But this is not essential - just do it if you can easily.}
translate M SupportChessDB12 {MOST IMPORTANT OF ALL, make the bug report or support request MEANINGFUL. Give as much detail as possible.}
translate M SupportChessDB13 {Reports like "ChessDB does not work on my laptop" are next to useless. So are reports like "I was analysing a game and a window poped up which said Application Error". Again, that is useless, since without the exact error message (which can be saved to a log file in this case), it is difficult to know where to look for the bug.}
translate M SupportChessDB14 {If possible send any support of bug requests in English. If sent privately to David Kirkby, please put 'ChessDB' in the title, so it is sorted into the correct email folder. This is not necessary if sending to chessdb-users@lists.sourceforge.net, which is the generally the preferred address to use.}
translate M TitleFilterGraph {ChessDB: Filter Graph}
translate M TitleSaveGraph {ChessDB: Save Graph}
translate M ThankYouDavidKirkby {Thank you from David Kirkby}
translate M ThankYouShaneHudon  {Thank you from Shane Hudson}
translate M THANKSdotShane {The following is the contents of the file 'THANKS' which was in Scid and so have indirectly helped ChessDB. The contents for the file are unmodified, and so are therefore in English only.}
translate M ThanksTclTelnet {Thank you to Todd Martin for developing 'tcltelnet' http://tmartin.org/tcltelnet/ which ChessDB uses to connect to chess servers using the telnet protocol.}
translate M APoliteRequest1 {If you wish to contribute to ChessDB and become a developer, you would be most welcome. ChessDB is programmed in C++, Tcl and Tk. If you wish to create another project, based on code in ChessDB, I would respectfully ask you use another name to ChessDB - just credit Scid and ChessDB where appropiate. Using the name 'Scid' or 'ChessDB' will cause confusion amougst users, with them not knowing who to attribute bugs to.} 
translate M APoliteRequest2 {If you create any data files (such as, but not limited to opening books, databases etc) for use with ChessDB, or derived software, I would appreciate if you keep to the spirit of free software and do not restrict their use to any particular piece of software.} 
translate M GPL2 {ChessDB is free (but copyrighted) chess software which is licensed under the GNU General Public License (GPL). Copyrights are held by Dr. David Kirkby, Shane Hudson and others. The conditions of the GPL are listed below.}
translate M GPL3 {Note the GPL is written in English and none of the translations in ChessDB (or anywhere else) are official translations. The Free Software Federation does not officially support any translation, for reasons explained at http://www.gnu.org/licenses/translations.html. The non-English translations here do do not count legally as substitutes for the authentic version. You can view the official English version by selecting "Language" on the "Options" menu, then selecting "English"}
}
