# Copyright(C) Dr. David Kirkby 2006-2007
# This file is part of ChessDB 
# Licenced under the GPL. 

namespace eval ::tools::downloadFromChessServer {}
set ::history_number -22
set ::library_number 1
set ::playernumber 0
set ::StopDownloadsNow 0

#set ::utils::download::

proc tcpRead {pt} {
    if {[eof $pt]} {
	set ::telnetEvent EOF
	return
    }
    #set ::telnetBuffer [telnet::read $::pt]
    if {$::StopDownloadsNow == 1} {
	return
    }
    if {[catch {set ::telnetBuffer [telnet::read $::pt]} errmsg]} {
	tk_messageBox -type ok -icon warning -message "[tr UnableToReadFromChessServer1]\n\n[tr UnableToReadFromChessServer2]\n\n[tr ErrorMessage]\n\n***********************************\n$errmsg\n***********************************\n\n[tr IfYouWishToContinue]" -title [tr TitleReadFromChessSeverFailed]
	set ::telnetEvent {ReadFailire}
	return
    } {
	set ::telnetEvent tcpRead
    }
    # set ::telnetBuffer [telnet::read $::pt]
    # set ::telnetEvent tcpRead
}

proc mytelnetwrite {pt data server} {
    if {$::StopDownloadsNow == 1} {
	return
    }

    if {[catch {telnet::write $pt $data} errmsg]} {
	if {$server == "ICC"} {
	    set connectionparameters "[tr ICCserver]: $::utils::download::ICC_server\n[tr Port]: $::utils::download::ICC_port\n [tr ICCuser]: $::utils::download::ICC_user"
	}\
	elseif {$server == "FICS"} {
	    set connectionparameters "[tr FICSserver]: $::utils::download::FICS_server\n[tr Port]: $::utils::download::FICS_port\n [tr FICSuser]: $::utils::download::FICS_user"

	}
	tk_messageBox -type ok -icon warning -message "[tr UnableToWriteToChessServer1]\n[tr UnableToWriteToChessServer2]\n[tr ErrorMessage]\n\n***********************************\n$errmsg\n***********************************\n\n[tr IfYouWishToContinue]\n\n[tr TheSettingsUsed]\n\n$connectionparameters" -title [tr TitleWriteToChessSeverFailed]
	set ::StopDownloadsNow 1
	return
    }
}


set downloadFromChessServerWin 0

proc ::tools::closetelnetwindow {} {
    destroy .downloadFromChessServerWin
    set downloadFromChessServerWin 0
    return
}

proc xx {} {
    set ::ttyBuffer "$::tools::downloadFromChessServer::consoleInput \n"
    if {[winfo exists .downloadFromChessServerWin.console.consoleInput]} {
	.downloadFromChessServerWin.console.consoleInput delete 0 10000
    }
    set ::telnetEvent readTty
    puts "running xx"
}


proc doSomething {delay server players} {
    puts $players
    set string2download {}
    if {$::StopDownloadsNow == 1} {
	return
    }
    set max_players [llength $players]
  
    # Assuming ICC, we first try to get game -20, then -19, -18 ... -1.
    # One we have reached game =-1, we incrment the player number and set the 
    # game mumber to -20 again. Hence we get all games from all players. 
    
    # As the history on FICS is only 10 deep, not 20, that has to be hadled a bit different. 
    if {$::history_number == -1} {
        if {$server == "ICC"} {
	  set ::history_number -20
        } elseif {$server == "FICS"} {
	  set ::history_number -10
        }
	incr ::playernumber
    } {
	incr ::history_number
    }
    set player [lindex $players $::playernumber]
    if {[string length $player] == 0} {
	return
    }
    if {$server == "ICC" && $::tools::downloadFromChessServer::gameLocation == 1 && $::history_number >= -20 } {
        puts "should be here on ICC history"
	set string2download "spgn $player $::history_number\n"
	mytelnetwrite $::pt $string2download $server
    }\
    elseif {$server == "ICC" && $::tools::downloadFromChessServer::gameLocation == 2 && $::library_number <= 99} {
        puts "should be here on ICC libary"
	set string2download "spgn $player %$::history_number\n"
    } elseif {$server == "FICS" && $::tools::downloadFromChessServer::gameLocation == 1 && $::history_number >= -10} {
        puts "should be here on FICS history"
	set string2download "smoves $player $::history_number\n"
	mytelnetwrite $::pt $string2download $server
    }\
    elseif {$server == "FICS" && $::tools::downloadFromChessServer::gameLocation == 2 && $::library_number >= -10} {
        puts "should be here on FICS library"
	set string2download "smoves $player %$::history_number\n"
	mytelnetwrite $::pt $string2download $server
    }
    puts "$::history_number  $server $string2download where=$::tools::downloadFromChessServer::gameLocation"
    if {$::playernumber == [expr {$max_players -1}]&& $::history_number == -1} {
	# Done, no need to reschedule
	tk_messageBox -type ok -icon info -title [tr TitleDownloadsComplete] -message [tr DownloadsComplete]
	update
	return
    }
    if {$::playernumber >= 5} {
	after 60000 [list doSomething 60000 $server $players]
    }\
    elseif {$::playernumber == 4 && $::history_number == -1} {
	tk_messageBox -type ok -icon info -title [tr TitleWillSlowNow] -message "[tr WillSlowNow]\n[tr WillSlowNow2]"
	after 1000 [list doSomething 60000 $server $players]
    } {
	after 1000 [list doSomething 1000 $server $players]
    }
}

proc ::tools::downloadFromChessServer::logmein {server} {
    global ::pt
    fconfigure stdout -buffering none -translation binary -buffersize 10000
    set ::StopDownloadsNow 0

    # Determine hostname, username, password, port etc to make a connection. 
    if {$server eq "ICC"} {
	set pass $::utils::download::ICC_pass
	set user $::utils::download::ICC_user
	set port $::utils::download::ICC_port
	set hostname $::utils::download::ICC_server
	set players [string trim $::tools::downloadFromChessServer::ICC_players]
        set $::history_number -22
    }\
    elseif {$server eq "FICS"} {
	set pass $::utils::download::FICS_pass
	set user $::utils::download::FICS_user
	set port $::utils::download::FICS_port
	set hostname $::utils::download::FICS_server
	set players [string trim $::tools::downloadFromChessServer::FICS_players]
        set $::history_number -12
    }
    set players [split $players]
    puts $players
    if {[string first "  " $players] >0} {
	tk_messageBox -type ok -icon warning -message [tr ExtraSpacesBetweenUsernames] -title [tr TitleExtraSpacesBetweenUsernames]
	return
    }
    puts $players

    # Check it is OK to read games into current database - i.e. is it open, it it read-only, 
    # does it have games already etc? 

    if {[sc_base isReadOnly] == 1} {
	tk_messageBox -type ok -icon error -title "ChessDB:" -message [tr CurrentDatabaseReadOnly]
	return
    }
    if {[sc_base inUse] == 0} {
	tk_messageBox -type ok -icon error -title "ChessDB:" -message [tr NotOpenDatabase]
	return
    }
    set n [sc_base numGames]
    if {$n > 0} {
	set answer [tk_messageBox -type okcancel -icon warning -title [tr WarningCurrentDBNotEmpty] -message "[tr WarningCurrentDatabaseHasGames1] $n [tr WarningCurrentDatabaseHasGames2] \n\n[tr WarningCurrentDatabaseHasGames3]"]
	switch -- $answer {
	ok { }
	cancel {
		return
	    }
	}
    }
    set err 9

    if {[string length $hostname] > 0 && [string length $user] > 0 && [string length $port] > 0 && ($server =="FICS" || ($server == "ICC" && [string length $pass] > 0)) } {
	if {[catch {set ::pt [telnet::open $hostname $port]} errmsg]} {
	    tk_messageBox -type ok -icon error -message "[tr ConnectionToChessSeverFailed]\n***********************************\n$errmsg\n***********************************\n[tr TheSettingsUsed] \n\n[tr ICCserver]: $hostname\n[tr Port]: $port" -title [tr TitleConnectionToChessSeverFailed]
stname
	    return
	} {
	    puts connectedseemsok
	    mytelnetwrite $::pt "$user\n" $server
	    mytelnetwrite $::pt "$pass\n" $server
	    #after 1000 [telnet::write $::pt\
		  "$::utils::download::ICC_pass\n"]
	}
    } {
	tk_messageBox -type ok -icon warning -message "[tr AllSettingNotEntered1]\n\n[tr AllSettingNotEntered2]" -title [tr NeedLoginParamtersSet]
	return
    }
    fconfigure $::pt -blocking false -buffering none  -buffersize 10000
    fileevent $::pt readable [list tcpRead $::pt]

    set n 0
    set sleeptime 100



    set max_players [llength $players]
    if {$max_players > 5 && $server == "ICC"} {
	tk_messageBox -type ok -icon warning -message "[tr ICCLimitOnGames1] \n\n[tr ICCLimitOnGames2] \n\n[tr ICCLimitOnGames3] \n\n[tr WillSlowNow2]" -title [tr TitleICCLimitOnGames]
    }
    doSomething 1000 $server $players
    while {$::StopDownloadsNow == 0} {
	set telnetEvent {}
	vwait telnetEvent
	if {[string equal $::telnetEvent "tcpRead"]} {
	    puts -nonewline "$::telnetBuffer"
	    set len [string length $::telnetBuffer]
	    set foobar [string range $::telnetBuffer 0 end]
	    set foobar2 [string trimleft $foobar]
	    if {[winfo exists .downloadFromChessServerWin.console.consoleOutput]} {
		.downloadFromChessServerWin.console.consoleOutput insert end $foobar2 ]
		.downloadFromChessServerWin.console.consoleOutput yview moveto 1.0
	    }
	    # ICC responds with 
	    if {[string first "does not match any player's name" $::telnetBuffer] > 0} {
		tk_messageBox -type ok -icon warning -message "[tr UsernameNotReconised1] $::utils::download::ICC_user [tr ICCUsernameNotReconised2]" -title [tr TitleICCUsernameNotReconised]
		return
	    }
	    if {[string first "Invalid password!" $::telnetBuffer] > 0 } {
		set ::StopDownloadsNow 1
		tk_messageBox -type ok -icon warning -message "$server [tr InvalidPassword] $user" -title [tr TitleInvalidPassword]
		return
	    }
	    if {[string first "database temporarily unavailable" $::telnetBuffer] > 0} {
		set ::StopDownloadsNow 1
		tk_messageBox -type ok -icon warning -message [tr DatabaseUnavailable] -title [tr TitleDatabaseUnavailable]
	    }\
	    elseif {[string first "has no game numbered" $::telnetBuffer] > 0} {
		puts "nogame"
	    }\
	    elseif {[string first "ICCResult" $::telnetBuffer] > 0} {
                # This is the format of a result on ICC generated with spgn.
		sc_base import data $::telnetBuffer
		updateStatusBar
		updateTitle
		updateMenuStates
		::windows::switcher::Refresh
		::maint::Refresh
		update
	    } elseif {[string first ", initial time: " $::telnetBuffer] > 0} {
                # This is the format of a result on FICS generated with smoves. 
                puts $::telnetBuffer
                set PGNfromFICSgame [ ::utils::smoves2pgn::convert $::telnetBuffer]
                puts $PGNfromFICSgame
		sc_base import data $PGNfromFICSgame
		updateStatusBar
		updateTitle
		updateMenuStates
		::windows::switcher::Refresh
		::maint::Refresh
		update
            }
	    set ::telnetBuffer {}
	}\
	elseif {[string equal $::telnetEvent "readTty"]} {
	    if {[catch {telnet::write $::pt $::ttyBuffer} err]} {
		# Must be shutting down the connection
		break
	    }
	    set ::ttyBuffer {}
	}\
	elseif {[string equal $::telnetEvent "EOF"]} {
	    break
	} {
	    puts "telneteven was none of them  but instead $::telnetEvent"
	    catch {close $::pt}
	    set ::StopDownloadsNow 1
	    return
	}
    }
}

proc ::tools::downloadFromChessServer {server} {
    set w .downloadFromChessServerWin
    if {[winfo exists $w]} {
	#    ::tools::closetelnetwindow 
	destroy .downloadFromChessServerWin
	set downloadFromChessServerWin 0
	return
    }
    set downloadFromChessServerWin 1
    set chessserver $server
    toplevel $w
    wm title $w "[tr DownloadGamesFromPre] $server [tr DownloadGamesFromPost]"
    wm minsize $w 25 5
    # wm maxsize $w 200 100

    bind $w <F1> {helpWindow DownloadChessServers}

    # Frame 1 (menu bar)
    set f1 [frame $w.f1 -borderwidth 2]
    menubutton $f1.file -text [tr File] -menu $f1.file.menu -underline 0
    menubutton $f1.help -text [tr Help] -menu $f1.help.menu -underline 0
    pack $f1 -fill x
    pack $f1.file $f1.help -side left -fill x
    menu $f1.help.menu -tearoff 0
    menu $f1.file.menu -tearoff 0
    $f1.help.menu add command -label [tr MainHelpIndex] -underline 0 -command {helpWindow Index}
    $f1.help.menu add command -label [tr Contents] -underline 0 -command {helpWindow Contents}
    $f1.help.menu add command -label "[tr HelpOnDownloadingChessServer] $server" -underline 0 -command {helpWindow DownloadChessServers}
    $f1.file.menu add command -label "[tr Connectto] $server" -underline 0 -command "tk_messageBox -type ok -icon error -message  \"Not yet implemented, but will later log into the chess server via telnet\""
    $f1.file.menu add command -label [tr Logout] -underline 0 -command ::tools::downloadFromChessServer::logout
    $f1.file.menu add command -label [tr ConfigureSettings] -underline 0 -command ::utils::download::OptionsDialog

    # Frame 2 (console window)
    set console [frame $w.console -borderwidth 2]
    set consoleOutput [text $console.consoleOutput -wrap word -bg black -fg orange -height 10 -width 80 -font "-family courier" -yscrollcommand [list $console.yscroll set] -setgrid 1]
    set yscroll [scrollbar $console.yscroll -command [list $consoleOutput yview]]
    set consoleInput [entry $console.consoleInput -width 50 -bg white -fg red -textvariable ::tools::downloadFromChessServer::consoleInput]

    grid $consoleOutput -sticky news
    grid $consoleInput -sticky news
    grid $yscroll -column 1 -row 0 -sticky ns
    grid rowconfig $console 0 -weight 1
    grid columnconfig $console 0 -weight 1

    $console.consoleOutput tag configure h1 -font "helvetica 16" -underline on

    $console.consoleOutput tag configure h2 -font "helvetica 13" -justify "left" -underline on

    $console.consoleOutput tag configure normal -font "helvetica 10" -justify "left" -underline off

    pack $console -fill both -expand true

    # Frame 3 (location of games to download from - i.e. history,\
      liblist/journal)
    set gameLocation [frame $w.gameLocation -borderwidth 2]
    radiobutton $gameLocation.his -text "history" -variable ::tools::downloadFromChessServer::gameLocation -value 1
    if {$server == "ICC"} {
	radiobutton $gameLocation.lib -text "liblist" -variable ::tools::downloadFromChessServer::gameLocation -value 2
    } {
	radiobutton $gameLocation.lib -text "journal" -variable ::tools::downloadFromChessServer::gameLocation -value 2
    }
    grid $gameLocation.his -row 0 -column 0 -sticky w
    grid $gameLocation.lib -row 0 -column 1 -sticky w
    pack $gameLocation -anchor w -ipadx 0 -padx 0 -pady 2 -ipady 2
    # Disable liblist options as yet
    $gameLocation.lib configure -state disabled
    $gameLocation.his select

    set usernameSelection [frame $w.usernameSelection -borderwidth 2]

    # Frame 4.2 (subframe of frame 4)
    set sub [frame $usernameSelection.sub -borderwidth 0]
    if {$server == "ICC"} {
	entry $sub.usernames -textvariable ::tools::downloadFromChessServer::ICC_players -fg blue
    } {
	entry $sub.usernames -textvariable ::tools::downloadFromChessServer::FICS_players -fg navy
    }
    pack $sub.usernames -anchor w -side left -fill x -expand 1 -padx 0 -pady 0 -ipadx 0 -ipady 0
    pack $sub -anchor w -fill x -padx 0 -pady 2 -ipadx 0 -ipady 2
    pack $usernameSelection -side top -fill x -anchor w -padx 0 -pady 0 -ipadx 0 -ipady 0

    # Frame 4 (username location)
    # user names may be read from a text file or entered in an entry widget
    set usernameLocation [frame $usernameSelection.usernameLocation -borderwidth 0]


    # Frame 5 'buttons1' - 5 buttons on the LHS.
    set buttons1 [frame $w.buttons1 -borderwidth 0]

    button $buttons1.login -text [tr Login] -command "::tools::downloadFromChessServer::logmein $server"
    button $buttons1.logout -text [tr Logout] -command "::tools::downloadFromChessServer::logout"


    #grid   $buttons1.clear    -row 0 -column 0 -sticky w
    # grid   $buttons1.openfile -row 0 -column 1 -sticky w
    grid $buttons1.login -row 0 -column 3 -sticky w
    grid $buttons1.logout -row 0 -column 4 -sticky w

    pack $buttons1 -side left -fill x -padx 0 -pady 2 -ipadx 0 -ipady 2

    # Frame 6 'buttons2'
    set buttons2 [frame $w.buttons2 -borderwidth 0]
    button $buttons2.close -text [tr Close] -command {destroy .downloadFromChessServerWin}
    grid $buttons2.close -row 0 -column 1 -sticky e
    pack $buttons2 -side right -fill x -padx 0 -pady 2 -ipadx 0 -ipady 2

    bind $w <Destroy> {set downloadFromChessServerWin 0}
    bind $consoleInput <Return> {xx}
    if {[winfo exists $w.console.consoleInput]} {
	$w.console.consoleInput delete 0 100000
    }
}

set ttyBuffer {}
proc readTty {tty} {
    if {[catch {set input [read $tty]} err]} {
	error $err $::errorInfo
    }
    append ::ttyBuffer $input
    set ::telnetEvent readTty
}

proc ::tools::downloadFromChessServer::logout {} {
    set ::StopDownloadsNow 1
    set ::history_number -22
    after 200
    if {[catch {telnet::write $::pt "exit\n\n"}]} {
	tk_messageBox -title [tr TitleYouWereNotLoggedIn] -type ok -icon error -message [tr YouWereNotLoggedIn]
    } {
	after 500
	catch {close $::pt}
    }
}

