### deutsch-basic.tcl:
#  German language support for ChessDB.
#  Contributors: Bernhard Bialas, J\374rgen Clos et al.
#  Untranslated messages are sometimes marked with a "***" comment.
#  but this is not consistant.
# Notes when translating.
# 0) The lines starting 'addLanguage' and ' 'proc setLanguage_' do 
# must remain as they are. 
# 1) The first column must remain as 'menuText' , 'helpMsg' or 'translate'
# do NOT change them. 
# 2) The Second colum will a single letter  - leave that.
# 3) The third colum is a 'tag' which should not not be touched, even if 
# it looks like a single word. For example, the very frist tag is 'File'. 
# that does not need to be translated. It is only test after that which needs. 
# translating. Not surprisingly the text after it is File, and in this case
# it needed translating. 
# 4) The format of the helpMsg, 'translate' and 'MenuText' lines are a 
# bit different. 
# 5) Some menuText lines have text both in double quotes and text in {}'s. 
# BOTH pieces of text if they exist need translating. 
# If you are unsure, take a look at the swedish-basic.tcl, as that is 
# very well maintiained. You can see what is in English and what needs to be 
# translated. 
# 6) Any line beggining with a '#' is a comment and can be ignored. If you 
# want to add a comment, such as to indicate pieces where they may be 
# some confusion due to lack of suitable context, do so. 
# 7) I've added a few bits in the English file recently as comments which 
# indicate the context of some of the wording, if it is not clear. 
# You might try looking there.  
# 8) Once you have translated a line, delete the line which says 
# 'PLEASE TRANSATE'
# 9 ) Feel free to ask if you have any problems. 
# 10) Feel free to add your name/email/date or whatever else you 
# do (or don't) want about who transated the text. 

addLanguage D Deutsch 0 iso8859-1

proc setLanguage_D {} {

menuText D File "Datei" 0
menuText D FileNew "Neu..." 0 {Neue ChessDB-Datenbank anlegen}
menuText D FileOpen "ffnen..." 0 {Existierende ChessDB-Datenbank ffnen}
menuText D FileClose "Schlieen" 0 {Aktive ChessDB-Datenbank schlieen}
menuText D FileFinder "Finder" 0 {Dateifinderfenster ffnen}
menuText D FileBookmarks "Lesezeichen" 0 {Lesezeichenmen (Tasten: Strg+B)}
menuText D FileBookmarksAdd "Lesezeichen zur Liste hinzufgen" 0  {Lesezeichen fr die aktuelle Partie und Datenbank}
menuText D FileBookmarksFile "Lesezeichen hinzufgen in Verzeichnis" 26  {Lesezeichen fr die aktuelle Stellung und Partie zum Verzeichnis hinzufgen}
menuText D FileBookmarksEdit "Lesezeichen editieren..." 12  {Lesezeichen bearbeiten}
menuText D FileBookmarksList "Listenansicht" 1  {Lesezeichen als Liste zeigen, ohne Unterverzeichnisse}
menuText D FileBookmarksSub "Verzeichnisansicht" 3  {Lesezeichen in Verzeichnissen zeigen, nicht als Gesamtliste}
menuText D FileMaint "Wartung" 0 {Das ChessDB-Datenbankwartungsfenster}
menuText D FileMaintWin "Wartungsfenster" 0  {Datenbank-Wartungsfenster ffnen/schlieen}
menuText D FileMaintCompact "Datenbank komprimieren..." 10  {Datenbank komprimieren, gelschte Spiele und unbenutzte Namen entfernen}
menuText D FileMaintClass "Partien ECO-klassifizieren..." 8  {Neuklassifizierung aller Partien nach dem ECO-Code}
menuText D FileMaintSort "Sortieren..." 0 {Alle Partien in der aktuellen Datenbank sortieren}
menuText D FileMaintDelete "Dubletten lschen..." 0  {Dubletten finden und Lschkennzeichen setzen}
menuText D FileMaintTwin "Dubletten prfen" 10  {Dublettenfenster ffnen/erneuern}
menuText D FileMaintName "Namen" 0  {Namenseditor und Rechtschreibprfung}
menuText D FileMaintNameEditor "Namenseditor" 0  {Namenseditorfenster ffnen/schlieen}
menuText D FileMaintNamePlayer "Schreibkorrektur Spieler..." 17  {Schreibkorrektur der Spielernamen mit Hilfe der .ssp-Datei}
menuText D FileMaintNameEvent "Schreibkorrektur Ereignis..." 17  {Schreibkorrektur der Ereignisse mit Hilfe der .ssp-Datei}
menuText D FileMaintNameSite "Schreibkorrektur Ort..." 17  {Schreibkorrektur der Orte mit Hilfe der .ssp-Datei}
menuText D FileMaintNameRound "Schreibkorrektur Runde..." 17  {Schreibkorrektur der Runden mit Hilfe der .ssp-Datei}
menuText D FileReadOnly "Schreibschutz..." 3  {Datenbank als schreibgeschtzt behandeln, nderungen verhindern}
menuText D FileSwitch "Datenbank wechseln" 0 {Zu einer anderen geffneten Datenbank umschalten}
menuText D FileExit "Ende" 0 {ChessDB beenden}
menuText D Edit "Bearbeiten" 0
menuText D EditAdd "Variante hinzufgen" 0  {Fge zu diesem Zug eine Variante hinzu}
menuText D EditDelete "Variante lschen" 9 {Lsche eine Variante zu diesen Zug}
menuText D EditFirst "Als erste Variante setzen" 4 {Variante an erste Stelle in der Liste setzten}
menuText D EditMain "Variante als Partiefortsetzung" 13 {Variante zur Partiefolge machen (und umgekehrt)}
menuText D EditTrial "Variante testen" 9  {Testmodus starten/stoppen, um eine Idee am Brett auszuprobieren}
menuText D EditStrip "Entfernen" 1  {Kommentare oder Varianten aus der Partie entfernen}
menuText D EditStripComments "Kommentare" 0  {Alle Kommentare und Kommentarzeichen aus dieser Partie entfernen}
menuText D EditStripVars "Varianten" 0  {Alle Varianten aus der Partie entfernen}
menuText D EditStripBegin "Zge ab Anfang" 8 {Entferne Zge ab Partieanfang}
menuText D EditStripEnd "Zge bis Ende" 9 {Entferne Zge bis Partieende}
menuText D EditReset "Ablage leeren" 0 {Inhalt der Ablage-Datenbank lschen}
menuText D EditCopy "Partie in Ablage kopieren" 17 {Diese Partie in die Ablage-Datenbank kopieren}
menuText D EditPaste "Partie aus Ablage einfgen" 19 {Aktive Partie aus der Ablage hier einfgen}
menuText D EditPastePGN "PGN-Partie aus Ablage einfgen..." 1  {Interpretiere den Inhalt der Zwischenablage als PGN-Notation und fge ihn hier ein}
menuText D EditSetup "Stellungseingabe..." 0  {Neue Stellung eingeben (FEN oder manuell)}
menuText D EditCopyBoard "Stellung kopieren" 10  {Aktuelle Brettposition in die Zwischenablage kopieren (im FEN-Format)}
menuText D EditPasteBoard "Stellung einfgen" 12  {Stellung aus der Zwischenablage (im FEN-Format) einfgen}
menuText D Game "Partie" 0
menuText D GameNew "Neue Partie" 5  {Neue Partie beginnen, dabei alle nderungen verwerfen}
menuText D GameFirst "Erste Partie laden" 0 {Erste Partie im Filter laden}
menuText D GamePrev "Vorherige Partie laden" 0 {Vorherige Partie im Filter laden}
menuText D GameReload "Partie wiederladen" 7  {Diese Partie erneut laden, dabei alle nderungen verwerfen}
menuText D GameNext "Nchste Partie laden" 0 {Nchste Partie im Filter laden}
menuText D GameLast "Letzte Partie laden" 0 {Letzte Partie im Filter laden}
menuText D GameRandom "Zufllige Partie laden" 1  {Zufllig ausgewhlte Partie im Filter laden}
menuText D GameNumber "Lade Partie Nummer..." 14 {Partie durch Angabe der Nummer laden}
menuText D GameReplace "Partie ersetzen..." 8 {Diese Partie sichern, dabei alte Version berschreiben}
menuText D GameAdd "Partie speichern..." 7 {Diese Partie als neue Partie in der Datenbank sichern}
menuText D GameDeepest "Erffnung identifizieren" 10 {Zur Position der lngstmglichen Zugfolge nach ECO-Klassifikation gehen}
menuText D GameGotoMove "Zugnummer..." 0 {Zur angegebenen Zugnummer in der aktuellen Partie gehen}
menuText D GameNovelty "Finde Neuerung..." 0 {Ersten Zug dieser Partie finden, der vorher noch nie gespielt wurde}
menuText D Search "Suchen" 0
menuText D SearchReset "Filter zurcksetzen" 0 {Alle Partien in den Filter einschlieen}
menuText D SearchNegate "Filter invertieren" 7  {Alle ausgeschlossenen Partien in den Filter nehmen}
menuText D SearchCurrent "Brett..." 0 {Aktuelle Brettposition suchen}
menuText D SearchHeader "Partiedaten..." 0 {Partiedaten (Spieler, Turnier etc.) suchen}
menuText D SearchMaterial "Material/Muster..." 0 {Nach Material- oder Stellungsmustern suchen}
menuText D SearchUsing "Mit Suchoptionsdatei..." 4 {Mit Suchoptionsdatei suchen}
menuText D Windows "Fenster" 0
menuText D WindowsComment "Kommentareditor" 0 {Kommentareditor ffnen/schlieen}
menuText D WindowsGList "Partieliste" 6 {Partieliste ffnen/schlieen}
menuText D WindowsPGN "PGN-Fenster" 0 {PGN-Fenster (Partienotation) ffnen/schlieen}
menuText D WindowsPList "Spielersuche" 0 {Spielerfinder ffnen/schlieen}
menuText D WindowsTmt "Turniersuche" 0 {Turnierfinder ffnen/schlieen}
menuText D WindowsSwitcher "Datenbank-Umschalter" 0 {Datenbank-Umschalter ffnen/schlieen}
menuText D WindowsMaint "Wartungsfenster" 0 {(Datenbank-)Wartungsfenster ffnen/schlieen}
menuText D WindowsECO "ECO-Auswertung" 0 {ECO-Auswertung ffnen/schlieen}
menuText D WindowsRepertoire "Repertoire-Editor" 0 {Erffnungsrepertoire-Editor ffnen/schlieen}
menuText D WindowsStats "Statistik" 4 {Filterstatistik ffnen/schlieen}
menuText D WindowsTree "Zugbaum" 0 {Zugbaum ffnen/schlieen}
menuText D WindowsTB "Endspieltabellen..." 1 {Endspieltabellen ffnen/schlieen}
menuText D Tools "Werkzeuge" 0
menuText D ToolsAnalysis "Analyse-Engine..." 0  {Schachanalyse-Programm starten/beenden}
menuText D ToolsAnalysis2 "Analyse-Engine #2..." 16 {Schachanalyse-Programm Nr.2 starten/beenden}
menuText D ToolsCross "Kreuztabelle" 0 {Kreuztabelle fr diese Partie anzeigen}
menuText D ToolsEmail "E-Mail-Manager" 7 {E-Mail-Manager ffnen/schlieen}
menuText D ToolsFilterGraph "Filtergrafik" 6 {Filtergrafik ffnen/schlieen}
menuText D ToolsOpReport "Erffnungsbericht" 0 {Ausfhrliche Erffnungsbersicht fr die aktuelle Position erstellen}
menuText D ToolsTracker "Figurenverteilung"  7 {Figurenverteilungsfenster ffnen}
menuText D ToolsCoach "Play with coach"  0 {Start a game with a coach and tactical opportunities}
menuText D ToolsPInfo "Spielerinformation"  0 {Spielerinformation ffnen/schlieen}
# PLEASE TRANSLATE
menuText D ToolsPInfoBlack "Black"  0  {Open/update the Player Information window for the Black player}
# PLEASE TRANSLATE
menuText D ToolsPInfoWhite "White"  0  {Open/update the Player Information window for the White player}
menuText D ToolsPlayerReport "Spielerbericht..." 7 {Erzeuge einen Spielerbericht}
menuText D ToolsRating "ELO-Zahl-Verlauf" 4 {Wertungsverlauf beider Spieler grafisch darstellen}
menuText D ToolsScore "Partiebewertungsgraph" 0 {Partie-Bewertungsgraph zeigen}
menuText D ToolsExpCurrent "Partie exportieren" 8 {Aktuelle Partie in eine Textdatei schreiben}
menuText D ToolsExpCurrentPGN "Partie in PGN-Datei exportieren..." 10 {Aktuelle Partie in eine PGN-Datei schreiben}
menuText D ToolsExpCurrentHTML "Partie in HTML-Datei exportieren..." 10 {Aktuelle Partie in eine HTML-Datei schreiben}
menuText D ToolsExpCurrentLaTeX "Partie in LaTeX-Datei exportieren..." 10 {Aktuelle Partie in eine LaTeX-Datei schreiben}
menuText D ToolsExpFilter "Alle Partien im Filter exportieren" 16 {Alle Partien im Filter in eine Textdatei schreiben}
menuText D ToolsExpFilterPGN "Filter in PGN-Datei exportieren..." 10 {Alle Partien im Filter in eine PGN-Datei schreiben}
menuText D ToolsExpFilterHTML "Filter in HTML-Datei exportieren..." 10 {Alle Partien im Filter in eine HTML-Datei schreiben}
menuText D ToolsExpFilterLaTeX "Filter in LaTeX-Datei exportieren..." 10 {Alle Partien im Filter in eine LaTeX-Datei schreiben}
menuText D ToolsImportOne "Eine PGN-Partie importieren..." 16  {Eine Partie im PGN-Format eingeben oder einfgen}
menuText D ToolsImportFile "Datei mit PGN-Partien importieren..." 0  {Partien aus einer PGN-Datei lesen}
# PLEASE TRANSLATE
menuText D ToolsImportDir "Import all PGN files in a directory" 16  {Imports all the PGN files in a particular directory}
# PLEASE TRANSLATE
menuText D ToolsDownload "Download games " 0 {Download games from the internet}
# PLEASE TRANSLATE
menuText D ToolsDownloadFromICC   "ICC"  0 {Download the most recent games of anyone on ICC}
# PLEASE TRANSLATE
menuText D ToolsDownloadFromFICS  "FICS" 0 {Download the most recent games of anyone on FICS}
# PLEASE TRANSLATE
menuText D ToolsDownloadFromTWIC "TWIC" 0  {Download games in PGN format from the TWIC web site}
menuText D Options "Optionen" 0
menuText D OptionsBoard "Schachbrett" 6 {Schachbrettoptionen}
menuText D OptionsBoardSize "Brettgre" 0 {Brettgre ndern}
menuText D OptionsBoardPieces "Figurensatz" 2 {Figurensatz wechseln}
menuText D OptionsBoardColors "Farben..." 0 {Brettfarben ndern}
menuText D OptionsBoardNames "Meine Spielernamen..." 0 {Editiere meine Spielernamen}
menuText D OptionsExport "Export" 1 {Textausgabeoptionen ndern}
menuText D OptionsFonts "Zeichenstze" 3 {Zeichenstze wechseln}
menuText D OptionsFontsRegular "Normal" 0 {Standardzeichensatz}
menuText D OptionsFontsMenu "Men" 0 {Zeichensatz fr Mens}
menuText D OptionsFontsSmall "Klein" 0 {Kleine Zeichen}
menuText D OptionsFontsFixed "Fest" 0 {Zeichensatz mit fester Breite (nicht-proportional)}
menuText D OptionsGInfo "Partieinformation" 0 {Optionen fr Informationsbereich}
menuText D OptionsLanguage "Sprache" 0 {Sprache whlen}
menuText D OptionsMoves "Zge" 0 {Zugeingabeoptionen}
menuText D OptionsMovesAsk "Fragen vor Ersetzen" 0 {Vor berschreiben existierender Zge nachfragen}
menuText D OptionsMovesAnimate "Animation" 0 {Zeit fr Zuganimation einstellen}
menuText D OptionsMovesDelay "Autom. Vorspielen..." 7 {Zeit fr automatisches Vorspielen einstellen}
menuText D OptionsMovesCoord "Tastatureingabe" 0 {Zugeingabe ber Koordinaten ("g1f3") akzeptieren}
menuText D OptionsMovesSuggest "Zugvorschlag zeigen" 0 {Zugvorschlag ein-/ausschalten}
menuText D OptionsMovesKey "Autom. Zugergnzung" 10 {Automatische Zugergnzung ein-/ausschalten}
menuText D OptionsNumbers "Zahlenformat" 5 {Zahlenformat whlen}
menuText D OptionsStartup "Autostart" 1 {Fenster zum ffnen bei Start auswhlen}
menuText D OptionsWindows "Fenster" 6 {Fenster-Optionen}
menuText D OptionsWindowsIconify "Autom. minimieren" 7 {Alle Fenster mit dem Hauptfenster minimieren}
menuText D OptionsWindowsRaise "Autom. Verwaltung" 7 {Bestimmte Fenster (z.B. Zustandsleiste) bei Bedarf ffnen}
menuText D OptionsSounds "Tne..." 0 {Tne fr Zugankndigung einstellen} ;# *** Hmm, :-|
menuText D OptionsToolbar "Werkzeugleiste" 0 {Werkzeug- bzw. Symbolleiste Ein/Aus}
menuText D OptionsECO "ECO-Datei laden..." 0 {ECO-Klassifikationsdatei laden}
menuText D OptionsSpell "Schreibkorrekturdatei laden..." 7 {Datei fr ChessDB-Rechtschreibprfung laden}
menuText D OptionsTable "Endspieltabellenverzeichnis..." 16 {Eine Endspieltabellendatei whlen (und damit alle Tabellen in diesem Verzeichnis)}
menuText D OptionsRecent "Aktuelle Dateien..." 9 {Anzahl der aktuellen Dateien im Dateimen ndern}
menuText D OptionsSave "Optionen speichern" 0 "Alle einstellbaren Optionen in der Datei $::optionsFile sichern"
menuText D OptionsAutoSave "Autom. speichern bei Beenden" 0 {Alle Optionen beim Beenden von ChessDB automatisch speichern}
menuText D OptionsDownload "Downloads..." 0 {Configure Download settings}
menuText D Help "Hilfe" 0
menuText D HelpContents "Inhalt" 0 {Gehe zum Inhaltsverzeichnis}
menuText D HelpIndex "Index" 4 {Gehe zum Hilfeindex}
menuText D HelpGuide "Kurzanleitung" 4 {Ein ChessDB-Schnelldurchgang}
menuText D HelpHints "Hinweise" 0 {Die ChessDB-Kurztips}
menuText D HelpContact "Kontaktinformation" 0 {Hilfe zur Kontaktinformation}
menuText D HelpTip "Tagestip" 0 {Zeigt einen ntzlichen Tip an}
menuText D HelpStartup "Startfenster" 0 {Startfenster zeigen}
menuText D HelpAbout "ber ChessDB" 0 {Informationen zu ChessDB}
# PLEASE TRANSLATE
menuText D HelpCheckForUpdates "Check for Updates" 0 {Check software revision - this requires an internet connection, as it connects to the Sourceforge web server}
# PLEASE TRANSLATE
menuText D HelpBugs "Bugs" 0 {Known bugs in ChessDB}
# PLEASE TRANSLATE
menuText D HelpBugsKnownAtRelease  "Known  at release date" 0 {Bugs known at the time of release}
# PLEASE TRANSLATE
menuText D HelpBugsRecentlyFound  "Discovered since release" 0 {Recently discovered bugs - needs internet connection}
menuText D GInfoHideNext "Nchsten Zug verstecken" 13
menuText D GInfoMaterial "Materialwerte zeigen" 0
menuText D GInfoFEN "FEN zeigen" 0
menuText D GInfoMarks "Gefrbte Felder und Pfeile zeigen" 0
menuText D GInfoWrap "Umbruch bei langen Zeilen" 0
menuText D GInfoFullComment "Vollstndigen Kommentar zeigen" 14
menuText D GInfoPhotos "Fotos zeigen" 1
menuText D GInfoTBNothing "Endspieltabellen: nichts" 18
menuText D GInfoTBResult "Endspieltabellen: nur Ergebnis" 22
menuText D GInfoTBAll "Endspieltabellen: Ergebnis und bester Zug" 31
menuText D GInfoDelete "(Ent)Lsche diese Partie" 5
menuText D GInfoMark "(Un)Markiere diese Partie" 4
menuText D TreeFile "Datei" 0
menuText D TreeFileSave "Cache-Datei sichern" 12 {Speichere die Zugbaum-Cache-Datei (.stc)}
menuText D TreeFileFill "Cache-Datei fllen" 12 {Flle die Cache-Datei mit hufigen Erffnungspositionen}
menuText D TreeFileBest "Beste Partien" 0 {Zeige die Liste bester Partien im Baum}
menuText D TreeFileGraph "Grafikfenster" 0 {Zeige die Grafik fr diesen Ast}
menuText D TreeFileCopy "Kopiere Baumfenster in Zwischenablage" 0 {Kopiere die Zugbaum-Statistik in die Zwischenablage}
menuText D TreeFileClose "Baumfenster schlieen" 12 {Schliee Zugbaum}
menuText D TreeSort "Sortieren" 0
menuText D TreeSortAlpha "Alphabetisch" 0
menuText D TreeSortECO "ECO-Code" 0
menuText D TreeSortFreq "Hufigkeit" 0
menuText D TreeSortScore "Punkte" 0
menuText D TreeOpt "Optionen" 0
menuText D TreeOptLock "Anbinden" 0 {Zugbaum an aktive Datenbank anbinden(/lsen)}
menuText D TreeOptTraining "Training" 0 {Trainingsmodus ein-/ausschalten}
menuText D TreeOptAutosave "Autom. Cache-Datei sichern" 4 {Beim Schlieen des Zugbaums automatisch Cache-Datei sichern}
menuText D TreeHelp "Hilfe" 0
menuText D TreeHelpTree "Zugbaumhilfe" 0
menuText D TreeHelpIndex "Index" 0
menuText D FinderFile "Datei" 0
menuText D FinderFileSubdirs "Unterverzeichnisse beachten" 0
menuText D FinderFileClose "Dateifinder schlieen" 0
menuText D FinderSort "Sortieren" 0
menuText D FinderSortType "Typ" 0
menuText D FinderSortSize "Gre" 0
menuText D FinderSortMod "Modifiziert" 0
menuText D FinderSortName "Namen" 0
menuText D FinderSortPath "Pfad" 0
menuText D FinderTypes "Typen" 0
menuText D FinderTypesChessDB "ChessDB-Datenbanken" 0
menuText D FinderTypesOld "Datenbanken im alten Format" 0
menuText D FinderTypesPGN "PGN-Dateien" 0
menuText D FinderTypesEPD "EPD-Dateien" 0
menuText D FinderTypesRep "Repertoiredateien" 0
menuText D FinderHelp "Hilfe" 0
menuText D FinderHelpFinder "Dateifinderhilfe" 0
menuText D FinderHelpIndex "Index" 0
menuText D PListFile "Datei" 0
menuText D PListFileUpdate "Aktualisieren" 0
menuText D PListFileClose "Spielerfinder schlieen" 7
menuText D PListSort "Sortieren" 0
menuText D PListSortName "Name" 0
menuText D PListSortElo "Elo" 0
menuText D PListSortGames "Partien" 0
menuText D PListSortOldest "lteste" 0
menuText D PListSortNewest "Neueste" 0
menuText D TmtFile "Datei" 0
menuText D TmtFileUpdate "Aktualisieren" 0
menuText D TmtFileClose "Turnierfinder schlieen" 0
menuText D TmtSort "Sortieren" 0
menuText D TmtSortDate "Datum" 0
menuText D TmtSortPlayers "Spieler" 0
menuText D TmtSortGames "Partien" 0
menuText D TmtSortElo "Elo" 0
menuText D TmtSortSite "Ort" 0
menuText D TmtSortEvent "Turnier" 1
menuText D TmtSortWinner "Gewinner" 0
menuText D GraphFile "Datei" 0
menuText D GraphFileColor "Als Farb-Postscript speichern..." 4
menuText D GraphFileGrey "Als Graustufen-Postscript speichern..." 4
menuText D GraphFileClose "Fenster schlieen" 0
menuText D GraphOptions "Optionen" 0
menuText D GraphOptionsWhite "Wei" 0
menuText D GraphOptionsBlack "Schwarz" 0
menuText D GraphOptionsBoth "Beide" 0
menuText D GraphOptionsPInfo "Spielerinfo Spieler" 1
menuText D StatsFile "Datei" 0
menuText D StatsFilePrint "Drucken in Datei..." 0
menuText D StatsFileClose "Fenster schlieen" 0
menuText D StatsOpt "Optionen" 0
menuText D PgnFile "Datei" 0
menuText D PgnFileCopy "Kopiere Spiel in Zwischenablage" 0
menuText D PgnFilePrint "Drucken in Datei..." 0
menuText D PgnFileClose "PGN-Fenster schlieen" 0
menuText D PgnOpt "Ausgabe" 0
menuText D PgnOptColor "Farbige Darstellung" 0
menuText D PgnOptShort "Kurzer (3-Zeilen) Vorspann (Header)" 8
menuText D PgnOptSymbols "Symbolische Darstellung" 0
menuText D PgnOptIndentC "Kommentare einrcken" 0
menuText D PgnOptIndentV "Varianten einrcken" 0
menuText D PgnOptColumn "Tabellarisch (ein Zug pro Zeile)" 0
menuText D PgnOptSpace "Leerzeichen nach Zugnummer" 0
menuText D PgnOptStripMarks "Farbfelder-/Pfeile-Zeichen entfernen" 27
menuText D PgnOptBoldMainLine "Partiezge in Fettdruck" 0
menuText D PgnColor "Farben" 0
menuText D PgnColorHeader "Vorspann..." 0
menuText D PgnColorAnno "Anmerkungen..." 0
menuText D PgnColorComments "Kommentare..." 0
menuText D PgnColorVars "Varianten..." 0
menuText D PgnColorBackground "Hintergrund..." 0
menuText D PgnColorMain "Partiezge..." 0
menuText D PgnColorCurrent "Aktueller-Zug Hintergrund..." 0
menuText D PgnColorNextMove "Nchster-Zug Hintergrund..." 0
menuText D PgnHelp "Hilfe" 0
menuText D PgnHelpPgn "PGN-Hilfe" 0
menuText D PgnHelpIndex "Index" 0
menuText D CrosstabFile "Datei" 0
menuText D CrosstabFileText "Ausgabe in Textdatei..." 11
menuText D CrosstabFileHtml "Ausgabe in HTML-Datei..." 11
menuText D CrosstabFileLaTeX "Ausgabe in LaTeX-Datei..." 11
menuText D CrosstabFileClose "Kreuztabelle schlieen" 0
menuText D CrosstabEdit "Bearbeiten" 0
menuText D CrosstabEditEvent "Ereignis" 0
menuText D CrosstabEditSite "Ort" 0
menuText D CrosstabEditDate "Datum" 0
menuText D CrosstabOpt "Ausgabe" 0
menuText D CrosstabOptAll "Jeder gegen jeden" 0
menuText D CrosstabOptSwiss "Schweizer System" 0
menuText D CrosstabOptKnockout "K.o.-System" 0
menuText D CrosstabOptAuto "Automatisch" 1
menuText D CrosstabOptAges "Alter in Jahren" 0
menuText D CrosstabOptNats "Nationalitt" 0
menuText D CrosstabOptRatings "Elo" 0
menuText D CrosstabOptTitles "Titel" 0
menuText D CrosstabOptBreaks "Stichkampfpunkte" 10
menuText D CrosstabOptDeleted "Inklusive gelschte Partien" 10
menuText D CrosstabOptColors "Farben (nur Schweizer System)" 0
menuText D CrosstabOptColumnNumbers "Numerierte Spalten (Nur jeder-gegen-jeden-Tabelle)" 2
menuText D CrosstabOptGroup "Punktgruppen" 5
menuText D CrosstabSort "Sortieren" 0
menuText D CrosstabSortName "Name" 0
menuText D CrosstabSortRating "Elo" 0
menuText D CrosstabSortScore "Punkte" 0
menuText D CrosstabColor "Farben" 0
menuText D CrosstabColorPlain "Text" 0
menuText D CrosstabColorHyper "Hypertext" 0
menuText D CrosstabHelp "Hilfe" 0
menuText D CrosstabHelpCross "Kreuztabelle-Hilfe" 0
menuText D CrosstabHelpIndex "Index" 0
menuText D OprepFile "Datei" 0
menuText D OprepFileText "Ausgabe in Textdatei..." 11
menuText D OprepFileHtml "Ausgabe in HTML-Datei..." 11
menuText D OprepFileLaTeX "Ausgabe in LaTeX-Datei..." 11
menuText D OprepFileOptions "Optionen..." 0
menuText D OprepFileClose "Berichtsfenster schlieen" 0
menuText D OprepFavorites "Favoriten" 0
menuText D OprepFavoritesAdd "Bericht hinzufgen..." 8
menuText D OprepFavoritesEdit "Favoritenbericht editieren..." 0
menuText D OprepFavoritesGenerate "Berichte erzeugen..." 9
menuText D OprepHelp "Hilfe" 0
menuText D OprepHelpReport "Erffnungsbericht-Hilfe" 0
menuText D OprepHelpIndex "Index" 0
menuText D RepFile "Datei" 0
menuText D RepFileNew "Neu" 0
menuText D RepFileOpen "ffnen..." 0
menuText D RepFileSave "Speichern..." 0
menuText D RepFileSaveAs "Speichern unter..." 10
menuText D RepFileClose "Schlieen" 1
menuText D RepEdit "Bearbeiten" 0
menuText D RepEditGroup "Gruppe hinzufgen" 0
menuText D RepEditInclude "Variante einschlieen" 9
menuText D RepEditExclude "Variante ausschlieen" 9
menuText D RepView "Ansicht" 0
menuText D RepViewExpand "Alle Gruppen aufklappen" 13
menuText D RepViewCollapse "Alle Gruppen zuklappen" 13
menuText D RepSearch "Suchen" 0
menuText D RepSearchAll "Im gesamten Repertoire..." 0
menuText D RepSearchDisplayed "Nur in der aktuellen Variante..." 0
menuText D RepHelp "Hilfe" 0
menuText D RepHelpRep "Repertoire Hilfe" 0
menuText D RepHelpIndex "Index" 0
# PLEASE TRANSLATE
menuText D DownloadPGNFiles {Download PGN files} 0
# PLEASE TRANSLATE
menuText D ToolsPlay "Play" 0 {Play game vs the comptuter, online, or engine vs engine}
# PLEASE TRANSLATE
menuText D ToolsPlayYouBlack "Computer vs You" 0 {Play a game as Black against a chess engine}
# PLEASE TRANSLATE
menuText D ToolsPlayYouWhite "You vs Computer" 0 {Play a game as White against a chess engine}
# PLEASE TRANSLATE
menuText D ToolsPlayOnline "Play online" 0 {Play others on a chess server - requies an internet connection}
# PLEASE TRANSLATE
menuText D ToolsPlayEngineEngine "Computer vs Computer" 0 {Two chess computers play against each other}
# PLEASE TRANSLATE
menuText D ToolsObserveChessServer "Observe online game" 0 {Observe a game being played on a chess server}
# PLEASE TRANSLATE
menuText D HelpThanks "Thank you" 0 {A list of those who have helped ChessDB in some way}
# PLEASE TRANSLATE
menuText D HelpHowYouCanHelp "How you can help" 0 {How you can improve ChessDB - even if you are not a programmer}
# PLEASE TRANSLATE
menuText D HelpSupport "Support" 0 {How you can obtain support in using ChessDB - there is no charge for support}
# PLEASE TRANSLATE
menuText D HelpLicense "ChessDB's licence conditions" 0 {Displays the GNU General Public License (GPL)}
helpMsg D .button.start {Gehe zum Partieanfang  (Taste: Pos 1)}
helpMsg D .button.end {Gehe zum Partieende  (Taste: Ende)}
helpMsg D .button.back {Gehe einen Zug zurck  (Taste: LinksPfeil)}
helpMsg D .button.forward {Gehe einen Zug vor  (Taste: RechtsPfeil)}
helpMsg D .button.intoVar {Gehe in Variante  (Taste: v)}
helpMsg D .button.exitVar {Verlasse Variante  (Taste: z)}
helpMsg D .button.flip {Brett drehen  (Taste: .)}
helpMsg D .button.coords {Brettkoordinaten AN oder AUS  (Taste: 0)}
helpMsg D .button.stm {Anzeige "Wer ist am Zug" an oder aus}
helpMsg D .button.autoplay {Automatisches Vorspielen  (Taste: Strg+Z)}
# PLEASE TRANSLATE
translate D TitleDownloadFromTWIC {ChessDB: Download from TWIC website}
# PLEASE TRANSLATE
translate D WebServerNotOK {The web server did NOT respond with an OK (HTTP status code 200) hence unable to retrive}
# PLEASE TRANSLATE
translate D GotoTWICNumber {First issue to download}
# PLEASE TRANSLATE
translate D DownloadNow {Download now}
# PLEASE TRANSLATE
translate D NotBelow210 {The TWIC web site does not archive issues older than 210}
# PLEASE TRANSLATE
translate D TWICissuedDownloadedLast {issue(s) of TWIC downloaded }
# PLEASE TRANSLATE
translate D OneTWICIssueDownloaded {One issue of TWIC was downloaded (issue}
# PLEASE TRANSLATE
translate D TWICIssuesDownloaded {TWIC issues were download (issues}
# PLEASE TRANSLATE
translate D BasedOnTheDate {Based on the date, the last issue ChessDB estimated that would be on the TWIC web site was issue}
# PLEASE TRANSLATE
translate D soThisIsConsistant {so what you have retrieved is consistant with what ChessDB expected.}
# PLEASE TRANSLATE
translate D soThisInNotConsistant {This is not consistant with what ChessDB managed to download. Perhaps there was a problem, or perhaps TWIC are late updating the web site. Or perhaps the date is wrong on your computer.}
translate D TWICTitle {Downloads from The Week In Chess (TWIC)\n\n}
# PLEASE TRANSLATE
translate D NoChangesMade {Failed to retrieve the first file requested. Aborting. No PGN file or datebase has been created.}
# PLEASE TRANSLATE
translate D SomeFileButNotAll {Some, but not all of the files requested could be retrieved, so the database and/or PGN file will not have as many issues as you requested. Try another time, when TWIC have updated their web site}
# PLEASE TRANSLATE
translate D TitlePartiallyCompleteDownload {Downloads partially compleated}
# PLEASE TRANSLATE
translate D FailureOccuredAt {The failure occured when trying to retrieve issue}
# PLEASE TRANSLATE
translate D NoNewTWICIssueFound {No new TWIC issues were found - try again later, when TWIC may have updated their web site}
# PLEASE TRANSLATE
translate D TriedButFailed {ChessDB tried unsuccessfully to retrieve issue}
# PLEASE TRANSLATE
translate D TheNewDBAndOrPGN {The new ChessDB format database and/or PGN file, will be in the directory}
translate D Introduction {Introduction}
# PLEASE TRANSLATE
translate D Configuration {Configuration}
# PLEASE TRANSLATE
translate D DeleteIndividualZip {Delete individual Zip files in}
# PLEASE TRANSLATE
translate D DeleteIndividualZip2 {Delete individual Zip files}
# PLEASE TRANSLATE
translate D WhenTheyAreNoLongerNeeded  {when they are no longer needed.}
# PLEASE TRANSLATE
translate D DeleteIndividualPGN {Delete individual PGN files in}
# PLEASE TRANSLATE
translate D DeleteIndividualPGN2 {Delete individual PGN files}
# PLEASE TRANSLATE
translate D CreateLargePGN  {Create a large PGN of all PGN's downloaded in}
# PLEASE TRANSLATE
translate D CreateChessDBDatabase {Create ChessDB format database in}
# PLEASE TRANSLATE
translate D ManuallySetFirstIssue {Manually set first issue}
# PLEASE TRANSLATE
translate D ManuallySetLastIssue  {Manually set last issue}
# PLEASE TRANSLATE
translate D IssueNumber {Issue number}
# PLEASE TRANSLATE
translate D IsNotAvailableYet {is not available yet}
# PLEASE TRANSLATE
translate D DownloadResults {Download results}
# PLEASE TRANSLATE
translate D DownloadShouldBeComplete {The download should be complete, although if you see this message very quickly, it probably means there was a problem.}
# PLEASE TRANSLATE
translate D NeedWriteAccess  {This operation needs to write some file(s) to disk. It does this in the directory from where you started ChessDB, but in this case you don't have write access to that directory. Hence this feature is not available to you. Please exit ChessDB, change directory to one where you have write access, then run ChessDB again. Then you will be able to use this feature.} 
# PLEASE TRANSLATE
translate D NeedUnzip {The files on the TWIC web site are compressed and need 'unzip' to decompress them. If you do not have it, you can get the sources from http://www.info-zip.org/UnZip.html If you do have 'unzip', then make sure it is in the path, since ChessDB can't execute it. An 'unzip.exe' will be distibuted with binary versions of ChessDB for Windows, so you should have unzip.exe if you installed a Windows binary}
# PLEASE TRANSLATE
translate D WarningBeta  {WARNING: This copy of ChessDB is a 'beta' release, meaning it is intended mainly for testing and evaluation, but not really for everyday use. Beta releases may have significant bugs. Please use this 'beta' release only if you want the benefits (usually more functionality) and accept the higher risk of bugs. I would appreciate feedback, particularly on beta releases. Please check regularly for updates - you can do this from the Help menu.}
# PLEASE TRANSLATE
translate D HelpTitleUpdatesMessage {Checking software version}
# PLEASE TRANSLATE
translate D HelpUpdateStatusCurrent {Your version of ChessDB is current. It is version}
# PLEASE TRANSLATE
translate D FreeUpgradeAt {Upgrades, when they are available, can be found for free at http://sourceforge.net/projects/chessdb/ All the stable releases are in a package called simply 'chessdb' Any beta releases, when available, will always be in a package called 'chessdb-unstable-for-testing'. Any extra files, such as tablebases, of perhaps games, will be in a package called 'extras'.}
# PLEASE TRANSLATE
translate D ThisVersionIs {The version of ChessDB you currently using is}
# PLEASE TRANSLATE
translate D HelpUpdateStatuStableToBeta  {However, that release is not considered a stable/bug-free release (hence you will find it in the 'chessdb-unstable-for-testing' package on Sourceforge and it has 'beta' in the name). While it will probably have some bug fixes, feature enhancements or completely new features compared to this stable release, there will often be a higher total number of bugs, and some new features shown on it may not work at all. Hence think about this before you download the beta release. But the best way to get ChessDB improved is to provide feedback on the bugs that exist. Beta releases will normally have more functionality than a stable release such as this, but are not as risky as alpha releases, so are often a good choice.}
# PLEASE TRANSLATE
translate D UsingLatestStableNoLaterBeta {You are using the latest version of ChessDB. There is not even a later version at present for test purposes (a beta release). Well done! This is version}
# PLEASE TRANSLATE
translate D UsingLatestStableThereIsLaterBeta {You are using the most current stable release of ChessDB. There is however a later 'beta' release available, but that is not fully tested and so is mainly for people who want to try out the latest features. There may well be significant enhancements, but some of the enhancements might not be fully functional. There is a greater chance of bugs in that case. It's up to you to decide whether or not to try the beta release. If you do, please provide feedback, as providing feedback on beta releases is the best way for ChessDB to improve.}
# PLEASE TRANSLATE
translate D NotUsingLatestStableThereIsLaterBeta {You are not using the latest stable release of ChessDB, you are advised to upgrade to at least that as soon as possible.\nThere is also an even later 'beta' release available, but that is not fully tested and so is mainly for people who want to try out the latest features. There may well be significant enhancements in the beta release, but some of the enhancements might not be fully functional. There is a greater chance of bugs in that case. It's up to you to decide whether or not to try the beta release. If you do, please provide feedback, as providing feedback on beta releases is the best way for ChessDB to improve. but you are strongly advised to upgrade to at least the latest stable release.} 
# PLEASE TRANSLATE
translate D NotUsingLatestStableButNoLaterBeta {There is a more recent release of ChessdB which is considered stable. That is not an experimental (beta) release, as there are currently no beta releases available. There is believed to be no reason for you not to upgrade.}
# PLEASE TRANSLATE
translate D BetaButNotLatestBeta {You are using a beta version of ChessDB, but there is a later beta version available. Whilst the latest beta is not expected to be 100% perfect, it should be better than the version you are using. Hence you are strongly advised to upgrade to the latest beta release. Remember, please give feedback on versions of ChessDB, *especially* beta releases like this one, since beta vesions are released primarily so people can spot bugs, before they are made into a stable release.}
# PLEASE TRANSLATE
translate D VersionOfLatestStable {The latest stable release, which should be free of any significant problems, is version} 
# PLEASE TRANSLATE
translate D ButNoteNotStable {But note that this is *not* classed as a stable release, so might well have bugs which don't exist in an older stable release. (Of course, a bug that existed in a stable release may be fixed in this beta one, but in general stable releases give the less hassle, but have less features.)}
# PLEASE TRANSLATE
translate D VersionOfLatestBeta {The latest beta release is} 
# PLEASE TRANSLATE
translate D DateOfRelease {That was released on}
# PLEASE TRANSLATE
translate D WhichWasRelasedOn {which was released on}
# PLEASE TRANSLATE
translate D HelpUpdateStatusUnknown {Sorry, unable to determine version.\nPlease check manually at http://chessdb.sourceforge.net/ or try again later.} 
# PLEASE TRANSLATE
translate D HelpUpdateStatusCantConnect {Sorry, unable to connect to http://chessdb.sourceforge.net/ to find the current version of ChessDB. Please try again later.}
translate D HelpUpdateStatusTooNew1 {This version appears to be newer that the latest release, which is a little odd, *unless* you have checked out code from the CVS repository, in which case ignore this message. Otherwise, please contact david.kirkby@onetel.net, telling him the date, time and version of your software (}
# PLEASE TRANSLATE
translate D HelpUpdateStatusTooNew2 {) as well as the apparent latest version, which is}
translate D Back {Zurck}
translate D Browse {Blttern}
translate D Cancel {Abbrechen}
translate D Clear {Leeren}
translate D Close {Schlieen}
translate D Contents {Inhalt}
translate D Defaults {Standard}
translate D Delete {Lsche}
translate D Graph {Grafik}
translate D Help {Hilfe}
translate D Import {Importieren}
translate D Index {Index}
translate D LoadGame {Partie laden}
translate D BrowseGame {Partie betrachten}
translate D MergeGame {Partien kombinieren} ;# mischen?! einfgen!?
translate D Preview {Vorschau} ;# Voransicht!? (KDE)
translate D Revert {Umkehren}
translate D Save {Speichern}
translate D Search {Suchen}
translate D Stop {Halt}
translate D Store {Speichern}
translate D Update {Aktualisieren}
translate D ChangeOrient {Fensterausrichtung ndern}
translate D ShowIcons {Show Icons} ;# ***
translate D None {Keine}
translate D First {Erste}
translate D Current {Aktuelle}
translate D Last {Letzte}
translate D game {Partie}
translate D games {Partien}
translate D move {Zug}
translate D moves {Zge}
translate D all {Alle}
translate D Yes {Ja}
translate D No {Nein}
translate D Both {Beide}
translate D King {Knig}
translate D Queen {Dame}
translate D Rook {Turm}
translate D Bishop {Lufer}
translate D Knight {Springer}
translate D Pawn {Bauer}
translate D White {Wei}
translate D Black {Schwarz}
translate D Player {Spieler}
translate D Rating {Elo}
translate D RatingDiff {Elo-Differenz (Wei - Schwarz)}
translate D AverageRating {Elo-Durchschnitt}
translate D Event {Turnier}
translate D Site {Ort}
translate D Country {Land}
translate D IgnoreColors {Farben ignorieren}
translate D Date {Datum}
translate D EventDate {Turnierdatum}
translate D Decade {Dekade}
translate D Year {Jahr}
translate D Month {Monat}
translate D Months {Januar Februar Mrz April Mai Juni Juli August September Oktober November Dezember}
translate D Days {Son Mon Die Mit Don Fre Sam}
translate D YearToToday {Ein Jahr zurck}
translate D Result {Ergebnis}
translate D Round {Runde}
translate D Length {Lnge}
translate D ECOCode {ECO-Code}
translate D ECO {ECO}
translate D Deleted {Gelscht}
translate D SearchResults {Suchergebnisse}
translate D OpeningTheDatabase {Datenbank ffnen}
translate D Database {Datenbank}
translate D Filter {Filter}
translate D noGames {keine Partien}
translate D allGames {alle Partien}
translate D empty {leer}
translate D clipbase {Ablage}
translate D score {Punkte}
translate D StartPos {Stellung}
translate D Total {Summe}
translate D readonly {schreibgeschtzt}
translate D ErrNotOpen {Dies ist keine geffnete Datenbank.}
translate D ErrReadOnly {Diese Datenbank ist schreibgeschtzt; sie kann nicht gendert werden.}
translate D ErrSearchInterrupted {Suche wurde unterbrochen; Ergebnisse sind unvollstndig.}
translate D twin {Dublette}
translate D deleted {gelscht}
translate D comment {Kommentar}
translate D hidden {versteckt}
translate D LastMove {letzter Zug}
translate D NextMove {nchster Zug}
translate D GameStart {Partieanfang}
translate D LineStart {Beginn der Zugfolge}
translate D GameEnd {Partieende}
translate D LineEnd {Ende der Zugfolge}
translate D PInfoAll {Ergebnisse fr <b>alle</b> Spiele}
translate D PInfoFilter {Ergebnisse fr <b>Filter</b>-Spiele}
translate D PInfoAgainst {Ergebnisse gegen}
translate D PInfoMostWhite {Hufigste Erffnungen als Weier}
translate D PInfoMostBlack {Hufigste Erffnungen als Schwarzer}
translate D PInfoRating {ELO-Historie}
translate D PInfoBio {Biographie}
translate D PInfoEditRatings {Editiere Ratings}
translate D Draw {Remis}
translate D stalemate {Patt}
translate D withAllMoves {mit allen Zgen}
translate D withAllButOneMove {mit allen auer einem Zug}
translate D with {mit}
translate D only {nur}
translate D lose {verlieren}
translate D loses {verliert}
translate D allOthersLose {alle anderen verlieren}
translate D matesIn {setzt Matt in}
translate D hasCheckmated {hat Matt gesetzt}
translate D longest {lngste}
translate D WinningMoves {Gewinnzge}
translate D DrawingMoves {Remiszge}
translate D LosingMoves {Verlustzge}
translate D UnknownMoves {Zge mit unbekanntem Resultat}
translate D Tip {Tip}
translate D TipAtStartup {Tip beim Starten}
translate D SaveCache {Cache sichern}
translate D Training {Training}
translate D LockTree {Anbinden}
translate D TreeLocked {angebunden}
translate D TreeBest {Beste}
translate D TreeBestGames {Beste Zugbaumpartien}
translate D TreeTitleRow  {    Zug    ECO       Hufigkeit    Pkte   Elo  Erflg Jahr %Remis}
translate D TreeTotal {SUMME}
translate D FileFinder {Dateifinder}
translate D FinderDir {Verzeichnis}
translate D FinderDirs {Verzeichnisse}
translate D FinderFiles {Dateien}
translate D FinderUpDir {hoch}
translate D TmtLimit {Anzahl Turniere}
translate D TmtMeanElo {Unterster Elo-Durchschnitt}
translate D TmtNone {Keine zutreffenden Turniere gefunden.}
translate D GraphFilterTitle {Filtergrafik: Hufigkeit pro 1000 Partien}
translate D AddVariation {Variante hinzufgen}
translate D AddMove {Zug hinzufgen}
translate D Annotate {Autom. kommentieren}
translate D AnalysisCommand {Analysebefehl}
translate D PreviousChoices {Vorherige Wahl}
translate D AnnotateTime {Zeit zwischen den Zgen (in Sek.) einstellen}
translate D AnnotateWhich {Varianten hinzufgen}
translate D AnnotateAll {Fr Zge beider Seiten}
translate D AnnotateWhite {Nur fr Zge von Wei}
translate D AnnotateBlack {Nur fr Zge von Schwarz}
translate D AnnotateNotBest {Wenn der Partiezug nicht der beste Zug ist}
translate D AnnotateBlundersOnly {When game move is an obvious blunder}
translate D AnnotateBlundersOnlyScoreChange {score from/to: }
# PLEASE TRANSLATE
translate D MistakesThreshold {Score for mistake (?) }
# PLEASE TRANSLATE
translate D BlundersThreshold {Score for blunder (??) }
# PLEASE TRANSLATE
translate D StopBlunderAnalysisThreshold {Disregard when winning by at least }
translate D LowPriority {Niedrige CPU-Prioritt}
translate D EngineList {Analyse-Engines}
translate D EngineName {Name}
translate D EngineCmd {Befehl}
translate D EngineArgs {Parameter}
translate D EngineDir {Verzeichnis}
translate D EngineElo {Elo}
translate D EngineTime {Datum}
translate D EngineNew {Neu}
translate D EngineEdit {Bearbeiten}
translate D EngineRequired {Fettgedruckte Parameter obligatorisch, andere optional}
translate D PgnWindowTitle {Partienotation - Partie %u}
translate D SetFilter {Filter setzen}
translate D AddToFilter {Zum Filter hinzufgen}
translate D Swiss {Schweizer}
translate D Category {Kategorie}
translate D RepSearch {Repertoire Suche}
translate D RepIncludedLines {Eingeschlossene Varianten}
translate D RepExcludedLines {Ausgeschlossene Varianten}
translate D RepCloseDialog {Dieses Repertoire hat ungesicherte nderungen. Wollen Sie wirklich fortfahren und die nderungen verwerfen?}
translate D HeaderSearch {Partiedatensuche}
translate D EndSideToMove {Wer ist beim Partieende am Zug?}
translate D GamesWithNoECO {Partien ohne ECO?}
translate D GameLength {Partielnge}
translate D FindGamesWith {Finde Partien mit den Markierungen (Flags)}
translate D StdStart {Standardausgangsposition}
translate D Promotions {Umwandlung}
translate D Comments {Kommentare}
translate D Variations {Varianten}
translate D Annotations {Anmerkungen}
translate D DeleteFlag {Lschkennzeichen}
translate D WhiteOpFlag {Erffnung Wei}
translate D BlackOpFlag {Erffnung Schwarz}
translate D MiddlegameFlag {Mittelspiel}
translate D EndgameFlag {Endspiel}
translate D NoveltyFlag {Neuerung}
translate D PawnFlag {Bauernstruktur}
translate D TacticsFlag {Taktik}
translate D QsideFlag {Damenflgel}
translate D KsideFlag {Knigsflgel}
translate D BrilliancyFlag {Glnzend}
translate D BlunderFlag {Grober Fehler}
translate D UserFlag {Benutzer}
translate D PgnContains {PGN enthlt Text}
translate D GlistNumber {Nummer}
translate D GlistWhite {Wei}
translate D GlistBlack {Schwarz}
translate D GlistWElo {W-Elo}
translate D GlistBElo {S-Elo}
translate D GlistEvent {Turnier}
translate D GlistSite {Ort}
translate D GlistRound {Runde}
translate D GlistDate {Datum}
translate D GlistYear {Jahr}
translate D GlistEDate {Turnierdatum}
translate D GlistResult {Ergebnis}
translate D GlistLength {Lnge}
translate D GlistCountry {Land}
translate D GlistECO {ECO}
translate D GlistOpening {Erffnung}
translate D GlistEndMaterial {Endmaterial}
translate D GlistDeleted {Gelscht}
translate D GlistFlags {Markierungen}
translate D GlistVars {Varianten}
translate D GlistComments {Kommentare}
translate D GlistAnnos {Anmerkungen}
translate D GlistStart {Stellung}
translate D GlistGameNumber {Partie Nummer:}
translate D GlistFindText {Text finden}
translate D GlistMoveField {Verschieben}
translate D GlistEditField {Konfigurieren}
translate D GlistAddField {Hinzufgen}
translate D GlistDeleteField {Lschen}
translate D GlistWidth {Breite}
translate D GlistAlign {Ausrichtung}
translate D GlistColor {Farbe}
translate D GlistSep {Trennlinie}
translate D GlistRemoveThisGameFromFilter  {Entferne diese Partie aus Filte}
translate D GlistRemoveGameAndAboveFromFilter  {Entferne diese Partie (und alle davor) aus Filter}
translate D GlistRemoveGameAndBelowFromFilter  {Entferne diese Partie (und alle danach) aus Filter}
translate D DatabaseName {Datenbankname:}
translate D TypeIcon {Symbol:}
translate D NumOfGames {Partien:}
translate D NumDeletedGames {Gelschte Partien:}
translate D NumFilterGames {Partien im Filter:}
translate D YearRange {Jahr-Spanne:}
translate D RatingRange {Elo-Spanne:}
translate D Description {Beschreibung}
translate D Flag {Markierung}
translate D DeleteCurrent {Lsche aktuelle Partie}
translate D DeleteFilter {Lsche Partien im Filter}
translate D DeleteAll {Lsche alle Partien}
translate D UndeleteCurrent {Aktuelle Partie wiederherstellen}
translate D UndeleteFilter {Partien im Filter wiederherstellen}
translate D UndeleteAll {Alle Partien wiederherstellen}
translate D DeleteTwins {Lsche Dubletten}
translate D MarkCurrent {Markiere aktuelle Partie}
translate D MarkFilter {Markiere Partien im Filter}
translate D MarkAll {Markiere alle Partien}
translate D UnmarkCurrent {Entmarkiere aktuelle Partie}
translate D UnmarkFilter {Entmarkiere Partien im Filter}
translate D UnmarkAll {Entmarkiere alle Partien}
translate D Spellchecking {Schreibkorrektur}
translate D Players {Spieler}
translate D Events {Ereignis}
translate D Sites {Ort}
translate D Rounds {Runde}
translate D DatabaseOps {Datenbankoperationen}
translate D ReclassifyGames {Partien ECO-klassifizieren}
translate D CompactDatabase {Datenbank komprimieren}
translate D SortDatabase {Datenbank sortieren}
translate D AddEloRatings {ELO-Zahlen hinzufgen}
translate D AutoloadGame {Automatisch Partie Nr. laden}
translate D StripTags {PGN-Markierungen entfernen}
translate D StripTag {Markierung entfernen}
translate D Cleaner {Bereiniger}
translate D CleanerHelp1 { Der ChessDB-Bereiniger wird fr die aktuelle Datenbank alle Wartungsarbeiten ausfhren, welche aus der unten stehenden Liste ausgewhlt werden.}
translate D CleanerHelp2 {Aktuelle Einstellungen in den Mens "ECO-Klassifikation" und "Dubletten lschen" werden angewendet, falls diese Funktionen ausgewhlt sind.} 
translate D CleanerConfirm1 { Ist der Bereiniger einmal gestartet, kann er nicht mehr unterbrochen werden!}
translate D CleanerConfirm2 { Dies kann lange dauern, speziell bei groen Datenbanken, abhngig von den ausgewhlten Funktionen und deren Einstellungen.}
translate D CleanerConfirm3 { Sind Sie sicher, da Sie die ausgewhlten Wartungsarbeiten starten mchten? }
translate D AnnotationSymbols  {Kommentarzeichen:}
translate D Comment {Kommentar:}
translate D InsertMark {Markierung einfgen}
translate D InsertMarkHelp {Markierung einfgen/lschen: Farbe, Typ, Feld whlen.}
translate D InsertArrowHelp  {Pfeil einfgen/lschen: Rechtsklick auf zwei Felder. }
translate D GoodMove {Guter Zug}
translate D PoorMove {Schwacher Zug}
translate D ExcellentMove {Ausgezeichneter Zug}
translate D Blunder {Grober Fehler}
translate D InterestingMove {Interessanter Zug}
translate D DubiousMove {Zweifelhafter Zug}
translate D WhiteDecisiveAdvantage {Wei hat Vorteil}
translate D BlackDecisiveAdvantage {Schwarz hat Vorteil}
translate D WhiteClearAdvantage {Wei hat klaren Vorteil}
translate D BlackClearAdvantage {Schwarz hat klaren Vorteil}
translate D WhiteSlightAdvantage {Wei hat leichten Vorteil}
translate D BlackSlightAdvantage {Schwarz hat leichten Vorteil}
translate D Equality {Gleiche Chancen}
translate D Unclear {Unklar}
translate D Diagram {Diagramm}
translate D BoardSearch {Brettsuchen}
translate D FilterOperation {Durchfhrung am aktuellen Filter:}
translate D FilterAnd {UND (Beschrnke Filter)}
translate D FilterOr {ODER (Zum Filter hinzufgen)}
translate D FilterIgnore {IGNORIERE (Filter zurcksetzen)}
translate D SearchType {Suche nach Typ:}
translate D SearchBoardExact {Exakte Position (alle Steine auf gleichen Feldern)}
translate D SearchBoardPawns {Bauern (gleiche Figuren, alle Bauern auf gleichen Feldern)}
translate D SearchBoardFiles {Linien (gleiches Material, alle Bauern auf gleichen Linien)}
translate D SearchBoardAny {Material (gleiches Material, Bauern und Figuren beliebig)}
translate D LookInVars {Schaue in Varianten}
translate D MaterialSearch {Materialsuchen}
translate D Material {Material}
translate D Patterns {Muster}
translate D Zero {Null}
translate D Any {Irgendeine}
translate D CurrentBoard {Aktuelle Stellung}
translate D CommonEndings {Endspiele}
translate D CommonPatterns {Gleiche Muster}
translate D MaterialDiff {Materialdifferenz}
translate D squares {Felder}
translate D SameColor {Gleichfarbige}
translate D OppColor {Ungleichfarbige}
translate D Either {Beides}
translate D MoveNumberRange {Zugnummernbereich}
translate D MatchForAtLeast {Zutreffend fr mindestens}
translate D HalfMoves {Halbzge}
translate D EndingPawns {Bauernendspiele}
translate D EndingRookVsPawns {Turm gegen Bauer(n)}
translate D EndingRookPawnVsRook {Turm und 1 Bauer gegen Turm}
translate D EndingRookPawnsVsRook {Turm und Bauer(n) gegen Turm}
translate D EndingRooks {Turm gegen Turm}
translate D EndingRooksPassedA {Turm gegen Turm mit Freibauer}
translate D EndingRooksDouble {Doppelturm-Endspiele}
translate D EndingBishops {Lufer gegen Lufer}
translate D EndingBishopVsKnight {Lufer gegen Springer}
translate D EndingKnights {Springer gegen Springer}
translate D EndingQueens {Dame gegen Dame} ;# *** Damenendspiele !?
translate D EndingQueenPawnVsQueen {Dame und 1 Bauer gegen Dame}
translate D BishopPairVsKnightPair {Zwei Lufer gegen zwei Springer im Mittelspiel}
translate D PatternWhiteIQP {Weier isolierter Damenbauer}
translate D PatternWhiteIQPBreakE6 {Weier Isolani: Durchbruch d4-d5 gegen e6}
translate D PatternWhiteIQPBreakC6 {Weier Isolani: Durchbruch d4-d5 gegen c6}
translate D PatternBlackIQP {Schwarzer isolierter Damenbauer}
translate D PatternWhiteBlackIQP {Weier gegen schwarzer Damenbauerisolani}
translate D PatternCoupleC3D4 {Isoliertes Bauernpaar c3+d4}
translate D PatternHangingC5D5 {Hngende Bauern c5 und d5 von Schwarz}
translate D PatternMaroczy {Maroczy-Zentrum (mit Bauern auf c4 und e4)}
translate D PatternRookSacC3 {Turmopfer auf c3}
translate D PatternKc1Kg8 {0-0-0 gegen 0-0 (Kc1 gegen Kg8)}
translate D PatternKg1Kc8 {0-0 gegen 0-0-0 (Kg1 gegen Kc8)}
translate D PatternLightFian {Weifeldrige Fianchettos (Lufer g2 gegen Lufer b7)}
translate D PatternDarkFian {Schwarzfeldrige Fianchettos (Lufer b2 gegen Lufer g7)}
translate D PatternFourFian {Beiderseitiges Doppelfianchetto (Lufer auf b2,g2,b7,g7)}
translate D Today {Heute}
translate D ClassifyGame {Partie klassifizieren}
translate D EmptyBoard {Brett leeren}
translate D InitialBoard {Initialisiere Brett}
translate D SideToMove {Zugrecht}
translate D MoveNumber {Zugnummer}
translate D Castling {Rochade}
translate D EnPassantFile {EnPassant-Linie}
translate D ClearFen {FEN lschen}
translate D PasteFen {FEN einfgen}
translate D ReplaceMove {Zug ersetzen}
translate D AddNewVar {Neue Variante}
translate D ReplaceMoveMessage1 {Hier existiert bereits ein Zug.}
translate D ReplaceMoveMessage2 { Sie knnen diesen Zug ersetzen - unter Verlust aller nachfolgender Zge - oder mit dem Zug eine neue Variante hinzufgen.}
translate D ReplaceMoveMessage3 { (Sie knnen diese Anzeige vermeiden, indem Sie die Option "Fragen vor Ersetzen" im Men Optionen:Zge deaktivieren)}
translate D ReadOnlyDialog1 {Wenn Sie diese Datenbank mit Schreibschutz versehen, sind keine nderungen mglich. Es knnen keine Partien gespeichert oder ersetzt und keine Lschkennzeichen gendert werden. Alle Sortierungen oder ECO-Klassifikationsergebnisse sind nur temporr.}
translate D ReadOnlyDialog2 { Sie knnen den Schreibschutz einfach entfernen, indem Sie die Datenbank schlieen und wieder ffnen.}
translate D ReadOnlyDialog3  {Wollen Sie diese Datenbank wirklich schreibschtzen?}
translate D ClearGameDialog {Diese Partie wurde gendert. Wollen Sie wirklich fortsetzen und die nderungen verwerfen? }
translate D ExitDialog {Mchten Sie ChessDB beenden?}
translate D ExitUnsaved {Die folgenden Datenbanken haben ungesicherte Partienderungen. Wenn Sie jetzt beenden, gehen diese nderungen verloren.}
translate D PasteCurrentGame {Aktuelle Partie einfgen}
translate D ImportHelp1 {Eingeben oder Einfgen einer Partie im PGN-Format in den oberen Rahmen.}
translate D ImportHelp2 {Hier werden Fehler beim Importieren angezeigt.}
translate D ECOAllSections {alle ECO-Gruppen}
translate D ECOSection {ECO-Gruppe}
translate D ECOSummary {Zusammenfassung fr}
translate D ECOFrequency {Hufigkeit der Untercodes fr}
translate D OprepTitle {Erffnungsbericht}
translate D OprepReport {Bericht}
translate D OprepGenerated {Erzeugt durch}
translate D OprepStatsHist {Statistiken und Geschichte}
translate D OprepStats {Statistiken}
translate D OprepStatAll {Alle Berichtspartien}
translate D OprepStatBoth {Beide Spieler}
translate D OprepStatSince {Nach}
translate D OprepOldest {lteste Partien}
translate D OprepNewest {Neueste Partien}
translate D OprepPopular {Popularitt}
translate D OprepFreqAll {Hufigkeit in allen Jahren: }
translate D OprepFreq1   {im letzten Jahr:            }
translate D OprepFreq5   {der letzten  5 Jahre:       }
translate D OprepFreq10  {der letzten 10 Jahre:       }
translate D OprepEvery {Eine pro %u Partien}
translate D OprepUp {mehr als %u%s von allen Jahren}
translate D OprepDown {weniger als %u%s von allen Jahren}
translate D OprepSame {keine nderung in allen Jahren}
translate D OprepMostFrequent {Hufigste Spieler}
translate D OprepMostFrequentOpponents {Hufigste Gegner}
translate D OprepRatingsPerf {ELO und Performance}
translate D OprepAvgPerf {Durchschnitts-ELO und Performance}
translate D OprepWRating {ELO Wei}
translate D OprepBRating {ELO Schwarz}
translate D OprepWPerf {Performance Wei}
translate D OprepBPerf {Performance Schwarz}
translate D OprepHighRating {Spiele mit dem hchsten ELO-Durchschnitt}
translate D OprepTrends {Ergebnistrend}
translate D OprepResults {Ergebnis nach Lngen und Hufigkeiten}
translate D OprepLength {Partielnge}
translate D OprepFrequency {Hufigkeit}
translate D OprepWWins {Weisiege:    }
translate D OprepBWins {Schwarzsiege: }
translate D OprepDraws {Remis:        }
translate D OprepWholeDB {ganze Datenbank}
translate D OprepShortest {Krzester Sieg}
translate D OprepMovesThemes {Zge und Themen}
translate D OprepMoveOrders {Zugfolgen zum Erreichen der Berichtsposition}
translate D OprepMoveOrdersOne  {Es gab nur eine Zugfolge zur erreichten Position:}
translate D OprepMoveOrdersAll  {Es gab %u Zugfolgen zur erreichten Position:}
translate D OprepMoveOrdersMany  {Es gab  %u Zugfolgen zur erreichten Position. Die ersten %u sind:}
translate D OprepMovesFrom {Zge ab der Berichtsposition}
translate D OprepMostFrequentEcoCodes {Hufigste ECO-Codes}
translate D OprepThemes {Themen}
translate D OprepThemeDescription {Hufigkeit der Themen in den ersten %u Zgen jeder Partie}
translate D OprepThemeSameCastling {Gleichseitige Rochaden}
translate D OprepThemeOppCastling {Verschiedenseitige Rochaden}
translate D OprepThemeNoCastling {Beide Seiten unrochiert}
translate D OprepThemeKPawnStorm {Bauernsturm auf Knig}
translate D OprepThemeQueenswap {Damen getauscht}
translate D OprepThemeWIQP {Weier isolierter Damenbauer}
translate D OprepThemeBIQP {Schwarzer isolierter Damenbauer}
translate D OprepThemeWP567 {Weier Bauer auf Reihe 5/6/7}
translate D OprepThemeBP234 {Schwarzer Bauer auf Reihe 2/3/4}
translate D OprepThemeOpenCDE {Offene c/d/e-Linie}
translate D OprepTheme1BishopPair {Eine Seite hat Luferpaar}
translate D OprepEndgames {Endspiele}
translate D OprepReportGames {Berichtspartien}
translate D OprepAllGames {Alle Partien}
translate D OprepEndClass {Materialklassifikation von Endspielstellungen}
translate D OprepTheoryTable {Theorietabelle}
translate D OprepTableComment {Erzeugt aus %u Partien mit hchster ELO-Zahl.}
translate D OprepExtraMoves {Zustzliche Zge in Anmerkungen zur Theorietabelle}
translate D OprepMaxGames {Maximum an Partien in Theorietabelle}
translate D OprepViewHTML {Zeige HTML}
translate D OprepViewLaTeX {Zeige LaTeX}
translate D PReportTitle {Spielerbericht}
translate D PReportColorWhite {mit den weien Steinen}
translate D PReportColorBlack {mit den schwarzen Steinen}
translate D PReportMoves {nach %s}
translate D PReportOpenings {Erffnungen}
translate D PReportClipbase {Leere Zwischenablage und kopiere gefundene Spiele}
translate D TrackerSelectSingle {Linke Maustaste whlt diese Figur.}
translate D TrackerSelectPair  {Linke Maustaste whlt diese Figur; rechte Maustaste whlt das Figurenpaar.}
translate D TrackerSelectPawn  {Linke Maustaste whlt diesen Bauern; rechte Maustaste whlt alle 8 Bauern.}
translate D TrackerStat {Statistik}
translate D TrackerGames {% der Partien mit Zug auf das Feld}
translate D TrackerTime {% der Zeit auf jedem Feld}
translate D TrackerMoves {Zge}
translate D TrackerMovesStart  {Zugnummer, ab der die Verteilungsberechnung beginnen soll.}
translate D TrackerMovesStop  {Zugnummer, wo die Verteilungsberechnung enden soll.}
translate D SelectAllGames {Alle Spiele in der Datenbank}
translate D SelectFilterGames {Nur Spiele im Filter}
translate D SelectTournamentGames {Nur Spiele des aktuellen Turniers}
translate D SelectOlderGames {Nur ltere Spiele}
translate D TwinsNote1 {Damit zwei Spiele Dubletten sind, mssen diese mindestens die beiden selben Spieler haben und die folgenden Kriterien, die Sie auswhlen knnen, erfllen.  Wenn zwei Dubletten gefunden werden, so wird die krzere der beiden Spiele gelscht.}
translate D TwinsNote2 {Tip: am besten fhrt man erst eine Schreibkorrektur durch, da dadurch das Finden von Dubletten verbessert wird.}
translate D TwinsCriteria {Kriterium: Dubletten mssen haben ...}
translate D TwinsWhich {berprfe, welche Spiele}
translate D TwinsColors {die gleichen Spielerfarben?}
translate D TwinsEvent {das gleich Ereignis?}
translate D TwinsSite {den gleichen Ort?}
translate D TwinsRound {die gleiche Runde?}
translate D TwinsYear {das gleiche Jahr?}
translate D TwinsMonth {den gleichen Monat?}
translate D TwinsDay {den gleichen Tag?}
translate D TwinsResult {das gleiche Ergebnis?}
translate D TwinsECO {den gleichen ECO-Code?}
translate D TwinsMoves {die gleichen Zge?}
translate D TwinsPlayers {Vergleich Spielernamen}
translate D TwinsPlayersExact {Exakte Treffer}
translate D TwinsPlayersPrefix {Nur erste 4 Buchstaben}
translate D TwinsWhen {Beim Lschen der Dubletten}
translate D TwinsSkipShort {Partien unter 5 Zgen ignorieren?}
translate D TwinsUndelete {Zuerst alle Partien entlschen?}
translate D TwinsSetFilter {Filter auf Dubletten setzen?}
translate D TwinsComments {Spiele mit Kommentar immer behalten?}
translate D TwinsVars {Spiele mit Varianten immer behalten?}
translate D TwinsDeleteWhich {Welche Partie lschen:}
translate D TwinsDeleteShorter {Krzere Partie}
translate D TwinsDeleteOlder {Kleinere Partienummer}
translate D TwinsDeleteNewer {Grere Partienummer}
translate D TwinsDelete {Lsche Spiele}
translate D NameEditType {Namen ndern von}
translate D NameEditSelect {Welche Spiele sollen gendert werden?}
translate D NameEditReplace {Ersetze}
translate D NameEditWith {durch}
translate D NameEditMatches {Entsprechungen: Drcke Strg+1 bis Strg+9 zum Auswhlen}
translate D Classify {Klassifiziere}
translate D ClassifyWhich {ECO-klassifizieren}
translate D ClassifyAll {Alle Spiele (berschreibe alte ECO-Codes)}
translate D ClassifyYear {Alle Spiele  aus dem letzten Jahr}
translate D ClassifyMonth {Alle Spiele aus dem letzten Monat}
translate D ClassifyNew {Nur Spiele ohne ECO-Code}
translate D ClassifyCodes {Verwende}
translate D ClassifyBasic {Normale ECO-Codes ("B12", ...)}
translate D ClassifyExtended {ECO-Codes mit ChessDB-Erweiterung ("B12j", ...)}
translate D NameFile {Namendatenbank}
translate D GameFile {Partiendatenbank}
translate D Names {Namen}
translate D Unused {Unbenutzt}
translate D SizeKb {Gre (kB)}
translate D CurrentState {Momentaner Stand}
translate D AfterCompaction {nach Kompression}
translate D CompactNames {Komprimiere Namen}
translate D CompactGames {Komprimiere Partien}
translate D SortCriteria {Kriterium}
translate D AddCriteria {Fge Sortierkriterium hinzu}
translate D CommonSorts {bliche Sortierkriterien}
translate D Sort {Sortiere}
translate D AddToExistingFile {Anhngen an eine bestehende Datei?}
translate D ExportComments {Kommentare exportieren?}
translate D ExportVariations {Varianten exportieren?}
translate D IndentComments {Kommentare einrcken?}
translate D IndentVariations {Varianten einrcken?}
translate D ExportColumnStyle {Tabellarisch (ein Zug pro Zeile)?}
translate D ExportSymbolStyle {Symbolische Notation:}
translate D ExportStripMarks {Felder-/Pfeilemarkierzeichen aus den Kommentaren entfernen?}
translate D LoadGameNumber {Geben Sie die zu ladende Spielnr. ein:}
translate D GotoMoveNumber {Gehe zu Zugnr.:}
translate D CopyGames {Kopiere Spiele}
translate D CopyConfirm1 { M\366chten sie wirklich die }
translate D CopyConfirm2 { [::utils::thousands $nGamesToCopy] Spiele aus dem Filter }
translate D CopyConfirm3 { in der Datenbank "$fromName"}
translate D CopyConfirm4 {in die Datenbank "$targetName" kopieren? }
translate D CopyErr {Kann Spiele nicht kopieren}
translate D CopyErrSource {Die Quelldatenbank}
translate D CopyErrTarget {Die Zieldatenbank}
translate D CopyErrNoGames {hat keine Spiele im Filter}
translate D CopyErrReadOnly {ist schreibgeschtzt}
translate D CopyErrNotOpen {ist nicht geffnet}
translate D LightSquares {Helle Felder}
translate D DarkSquares {Dunkle Felder}
translate D SelectedSquares {Ausgewhlte Felder}
translate D SuggestedSquares {Zugvorschlagsfelder}
translate D WhitePieces {Weie Steine}
translate D BlackPieces {Schwarze Steine}
translate D WhiteBorder {Weie Umrandung}
translate D BlackBorder {Schwarze Umrandung}
translate D FindNovelty {Finde Neuerung}
translate D Novelty {Neuerung}
translate D NoveltyInterrupt {Neuerungensuche abgebrochen}
translate D NoveltyNone {In dieser Partie wurde keine Neuerung gefunden}
translate D NoveltyHelp { ChessDB wird den ersten Zug aus der aktuellen Partie finden, welcher zu einer Position fhrt, die nicht in der gewhlten Datenbank oder in dem ECO-Erffnungsbuch enthalten ist.  }
translate D SoundsFolder {Sounddateien-Verzeichnis}
translate D SoundsFolderHelp {Das Verzeichnis sollte enthalten: King.wav, a.wav, 1.wav etc.}
translate D SoundsAnnounceOptions {Optionen fr Zugankndigung}
translate D SoundsAnnounceNew {Kndige neue Zge an, wenn sie ausgefhrt werden}
translate D SoundsAnnounceForward {Knde Zug an beim Vorwrtspielen}
translate D SoundsAnnounceBack {Kndige Zug an beim Zurckgehen}
translate D Upgrading {Upgrading}
translate D ConfirmOpenNew { Dies ist eine Datenbank im alten (ChessDB 2.x) Format, die nicht in ChessDB 3.x geffnet werden kann. Aber eine Version im neuen Format wurde schon erstellt.  Wollen Sie die Version der Datenbank im neuen Format ffnen? }
translate D ConfirmUpgrade { Dies ist eine Datenbank im alten (Scid 2.x) Format. Vor der Verwendung in ChessDB 3 mu eine Version im neuen Format der Datenbank erstellt werden.  Beim Erstellen der neuen Version der Datenbank bleiben die Dateien der alten Version erhalten.  Dieser Vorgang kann eine Zeitlang dauern, mu aber nur einmal durchgefhrt werden. Sie knnen jederzeit abbrechen, wenn es Ihnen zu lange dauert.  Soll das Erstellen der Datenbank im neuen Format jetzt durchgefhrt werden? }
translate D RecentFilesMenu {Anzahl der aktuellen Dateien im Dateimen}
translate D RecentFilesExtra {Anzahl der aktuellen Dateien im zustzlichen Untermen}
translate D MyPlayerNamesDescription1 { Geben Sie unten eine Liste der bevorzugten Spielernamen ein, ein Name pro Zeile. Platzhalterzeichen (z.B. "?" fr ein beliebiges einzelnes Zeichen, "*" fr jede beliebige Folge von Zeichen) sind erlaubt.} 
translate D MyPlayerNamesDescription2 {Jedesmal, wenn ein Spiel mit einem aufgelisteten Spielernamen geladen wird, wird das Schachbrett im Hauptfenster erforderlichenfalls gedreht, um das Spiel aus der Sicht des betreffenden Spielers zu zeigen. }
# PLEASE TRANSLATE
translate D showblunderexists {show blunder exists}
# PLEASE TRANSLATE
translate D showblundervalue {show blunder value}
# PLEASE TRANSLATE
translate D showscore {show score}
# PLEASE TRANSLATE
translate D coachgame {coach game}
# PLEASE TRANSLATE
translate D configurecoachgame {configure coach game}
# PLEASE TRANSLATE
translate D Phalanxengine {Phalanx engine}
# PLEASE TRANSLATE
translate D Coachengine {Coach engine}
# PLEASE TRANSLATE
translate D difficulty {difficulty}
# PLEASE TRANSLATE
translate D hard {hard}
# PLEASE TRANSLATE
translate D easy {easy}
# PLEASE TRANSLATE
translate D Playwith {Play with}
# PLEASE TRANSLATE
translate D white {white}
# PLEASE TRANSLATE
translate D black {black}
# PLEASE TRANSLATE
translate D Play {Play}
# PLEASE TRANSLATE
translate D Noblunder {No blunder}
# PLEASE TRANSLATE
translate D blunder {blunder}
# PLEASE TRANSLATE
translate D Noinfo {-- No info --}
# PLEASE TRANSLATE
translate D selectCoachEngines {Select a Phalanx engine in the left list and a coach engine in the right list (a Crafty engine is preferable as coach)}
# PLEASE TRANSLATE
translate D moveblunderthreshold {move is a blunder if loss is greater than}
# PLEASE TRANSLATE
translate D limitanalysis {limit engine analysis time}
# PLEASE TRANSLATE
translate D seconds {seconds}
# PLEASE TRANSLATE
translate D Abort {Abort}
# PLEASE TRANSLATE
translate D TitleCanNotWriteDir {Error: Can't write to directory}
# PLEASE TRANSLATE
translate D CanNotWriteToDirectory {ChessDB was unable to write to the directory} 
# PLEASE TRANSLATE
translate D CanNotWriteFile {ChessDB was unable to open the following file for writing:} 
# PLEASE TRANSLATE
translate D CanNotWriteFile2 {Check the disk space and permissions} 
# PLEASE TRANSLATE
translate D CanNotReadFile {ChessDB was unable to read the following file:} 
# PLEASE TRANSLATE
translate D TitleCanNotOpenFile {ChessdDB Error: Can't open file} 
# PLEASE TRANSLATE
translate D OverwrriteFilesIfPresent {Overwrite files of the same name in}
# PLEASE TRANSLATE
translate D OverwrriteDBFilesIfPresent {Overwrite the database files (.sg3, si3 & .sn3) in}
# PLEASE TRANSLATE
translate D FilesFromTWICPlaced {Files from the TWIC web site will be put in} 
# PLEASE TRANSLATE
translate D NewDatabaseWillBeCreated {A new ChessDB database will be created in }
# PLEASE TRANSLATE
translate D NewPGNWillBeCreated {A new PGN file will be created, which will hold the contents of all the files downloaded from the TWIC website. The new PGN file will be:}
# PLEASE TRANSLATE
translate D ProblemWithWriteAcessToDatabaseFiles {You chose to create a database, but one or more of the database files exists. Since you chose not to overwrite the database files, this can not be done. Either don't create the database, move or delete the database files or change the tickbox to overwrite the database files in}
# PLEASE TRANSLATE
translate D Appending {Appending}
# PLEASE TRANSLATE
translate D ToTheEndOf {on to the end of}
# PLEASE TRANSLATE
translate D ActionsToBePerformed {Actions to be performed}
# PLEASE TRANSLATE
translate D DownloadLog {Log of actions performed}
# PLEASE TRANSLATE
translate D DatabaseCreated {A new database 'newgames' has been created, based on the contents of the TWIC web site}
# PLEASE TRANSLATE
translate D NewPGNCreated {A new PGN file 'newgames.pgn' has been created, based on the contents of the TWIC web site}
# PLEASE TRANSLATE
translate D Warning {Warning:}
# PLEASE TRANSLATE
translate D ErrorsDetectedWhenCreatingDatabase {Some errors were detected when creating the database. They were:}
# PLEASE TRANSLATE
translate D AutomaticallyDetermineNextDownload {Automatically set first issue to download}
# PLEASE TRANSLATE
translate D DownloadToLastCopyOnTWICWebSite {Download to the latest issue}
# PLEASE TRANSLATE
translate D ShouldYouChose {Should you chose to use use the automatic method to determine the first issue to download, next time the program will start on issue}
# PLEASE TRANSLATE
translate D CreateNeither {You selected neither to create a database or the large PGN file. Therefore there is nothing to do!}
# PLEASE TRANSLATE
translate D IfUsingManualYouMustEnterValue {If you select to manually choose an issue or issues to download, you must enter a value. This will need to be between 210 and the latest issue on TWIC. Based on the clock in your computer, the latter is estimated to be approximately}
# PLEASE TRANSLATE
translate D FileCorruption {ChessDB Error: File Corrupted}
# PLEASE TRANSLATE
translate D TheLengthOfFileIsNotCorrect {The following file should be of 4 or 5 bytes long, but it is not:}
# PLEASE TRANSLATE
translate D FirstIssueInFileTooLarge1 {The file}
# PLEASE TRANSLATE
translate D FirstIssueInFileTooLarge2 {requests downloads start at issue}
# PLEASE TRANSLATE
translate D FirstIssueInFileTooLarge3 {but that is unrealistically large. First check the date on your computer, as the estimate of what is unrealistic or not is based on the date. If the date is correct, set the first issue manually this time only, just in case it was an odd case of corruption. Check for an updated version of ChessDB (see 'Check for Updates' in the 'Help' menu)}
# PLEASE TRANSLATE
translate D ReportPossibleInternalError {Please  email chessdb-users@lists.sourceforge.net to report this, since this should generally not happen and may indicate an internal error in ChessDB, which the developers would like to correct.}
# PLEASE TRANSLATE
translate D butLastFileIndicates {but the file 'last-file.txt' indicates the next issue to download is less than that}
# PLEASE TRANSLATE
translate D FirstIssueGreaterLastIssue {The first issue must be less than or equal to the last issue}
# PLEASE TRANSLATE
translate D UserError {ChessDB: User Error}
# PLEASE TRANSLATE
translate D TitleNeedUnzip {ChessDB: Unzip not found}
# PLEASE TRANSLATE
translate D Needpgnchessdb {The executable program pgnchessdb can't be found - its impossible to continue without that.}
# PLEASE TRANSLATE
translate D LookAtTutorial {Please look at the online tutorial at http://chessdb.sourceforge.net/tutorial/ The online documentation is always the most accurate, as the website is updated much more frequently than any other documentation.}
# PLEASE TRANSLATE
translate D NumberOfHelpPages {ChessDB has 46 online help pages; just press F1 for help!}
# PLEASE TRANSLATE
translate D StartupCompleted {Start-up completed}
# PLEASE TRANSLATE
translate D ReviewStartupCompleted {Review the above log to ensure you can make best use of ChessDB. You may need to configure a chess engine later.}
# PLEASE TRANSLATE
translate D FoundThreePieceTablebases {You have only the 3-piece tablebases configured. These are all that comes with ChessDB, but the 4-piece and 5-piece can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but not 5-piece tablebases can also be downloaded from Sourceforge in the 'extras' package.) Be aware, the 5-piece tablebases require 7.1 GB of disk space - the 4-piece ones need a more modest 30 MB}
# PLEASE TRANSLATE
translate D FoundFourPieceTablebases {You have at least some (possibly all) of the 4-piece tablebases configured, but do not have any 5-piece ones. The 5-piece tablebases can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/, but be aware the complete set requires 7.1 GB of disk space, so you may prefer to use just the 4-piece ones you have configured.}
# PLEASE TRANSLATE
translate D FoundFivePieceTablebases {You have at least some (possibly all) of the 5-piece tablebases configured. They are the largest ChessDB supports. You are advised to make sure you have them all - any missing ones can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/}
# PLEASE TRANSLATE
translate D CheckingForTablebaseFiles {Checking for Nalimov endgame tablebase files...}
# PLEASE TRANSLATE
translate D ChessDBWebsite {Website: http://chessdb.sourceforge.net/}
# PLEASE TRANSLATE
translate D ChessDBBasedOnScid {ChessDB is based on Scid -  http://scid.sourceforge.net/ but has new features, enhancements and bug-fixes. More than 90% of ChessDB's code comes from Scid.}
# PLEASE TRANSLATE
translate D MainScidAuthor {The main author of Scid was Shane Hudson}
# PLEASE TRANSLATE
translate D ShaneNoBugs {Shane is NOT responsible for any bugs in ChessDB}
# PLEASE TRANSLATE
translate D SeeTutorial {Please see the online tutorial at http://chessdb/sourceforge.net/tutorial/}
# PLEASE TRANSLATE
translate D GPL {ChessDB is distributed under the terms of the GNU General Public License}
# PLEASE TRANSLATE
translate D Copyright {Copyright (C)}
# PLEASE TRANSLATE
translate D AboutChessDB {About ChessDB}
# PLEASE TRANSLATE
translate D FastStart {Fast start: no tablebases, ECO or spelling file loaded.}
# PLEASE TRANSLATE
translate D TryECO {Trying to load the ECO openings file...}
# PLEASE TRANSLATE
translate D CantLoadSpellcheck {Unable to load the default spellcheck file}
# PLEASE TRANSLATE
translate D ErrorCantLoadDatbase {Error: could not open database}
# PLEASE TRANSLATE
translate D Email {Email:}
# PLEASE TRANSLATE
translate D TextAt {Text at}
# PLEASE TRANSLATE
translate D start {start}
# PLEASE TRANSLATE
translate D end {end}
# PLEASE TRANSLATE
translate D file {file}
# PLEASE TRANSLATE
translate D ResetToDefault {Reset to default}
# PLEASE TRANSLATE
translate D SetPGNFileExportText {ChessDB: Set PGN file export text}
# PLEASE TRANSLATE
translate D SetHTMLFileExportText {ChessDB: Set HTML file export text}
# PLEASE TRANSLATE
translate D SetLaTexFileExportText {ChessDB: Set LaTex file export text}
# PLEASE TRANSLATE
translate D ErrorOpening {Error opening}
# PLEASE TRANSLATE
translate D ErrorOpeningEPDFile {Error opening EPD file}
# PLEASE TRANSLATE
translate D OpeningEPDFile {Opening EPD file:}
# PLEASE TRANSLATE
translate D OpeningRepertoireFile {Opening repertoire file:}
# PLEASE TRANSLATE
translate D UnableToMergeGame {Unable to merge the selected game:}
# PLEASE TRANSLATE
translate D SubscribeToMailingList {Please subscribe to the chessdb-users@lists.sourceforge.net mailing list by visiting https://lists.sourceforge.net/lists/listinfo/chessdb-users}
# PLEASE TRANSLATE
translate D SettingUpAudio {Setting up audio move announcement...}
# PLEASE TRANSLATE
translate D SeachingSounds {Searching sounds folder for move announcement sounds...}
# PLEASE TRANSLATE
translate D NoSnack {Move speech disabled - Snack sound package 2.0 or later was not found}
# PLEASE TRANSLATE
translate D Snack {Move speech enabled - Snack sound package 2.0 or later was found}
# PLEASE TRANSLATE
translate D ConfigureSoundDir {Although you have the sound package installed, not all sounds were found. Select the directory from the Options Menu}
# PLEASE TRANSLATE
translate D Found {Found}
# PLEASE TRANSLATE
translate D of {of}
# PLEASE TRANSLATE
translate D soundFilesIn {sound files in}
# PLEASE TRANSLATE
translate D WarningUnknownOption {Warning: unknown option:}
# PLEASE TRANSLATE
translate D TryingToLoadTheECOOpeningsFile {Trying to load the ECO openings file...}
# PLEASE TRANSLATE
translate D UnableToOpenTheECOOpeningsFile {Unable to open the ECO file:}
# PLEASE TRANSLATE
translate D ConfiguringSpellingAndRatings {Configuring spellings and ratings - please wait.}
# PLEASE TRANSLATE
translate D TryingToLoadTheSpellingFile {Since the spelling and rating file (ratings.ssp) was not found, ChessDB will try to load the spellcheck file without ELO ratings (spelling.ssp)}
# PLEASE TRANSLATE
translate D TryingToLoadTheSpellingAndRatingsFile {First trying to load the spellcheck file which has ELO ratings too:}
# PLEASE TRANSLATE
translate D ThisCanBeSlowToLoad {This can be slow to load, so if you do not want to add ELO ratings, use spelling.ssp instead, which will load much faster.}
# PLEASE TRANSLATE
translate D UnableToOpenTheSpellCheckFile {Unable to open the spellcheck only file either}
# PLEASE TRANSLATE
translate D UnableToOpenTheSpellingAndRatingsFile {Unable to open the spellcheck and rating file:}
# PLEASE TRANSLATE
translate D NeitherSpellingOrRatingFilesFound {Neither the spellling+rating file (ratings.ssp) or the spellcheck only file (spelling.ssp) could be loaded. These were included with ChessDB. You may need to set the directory on the Options menu}
# PLEASE TRANSLATE
translate D positions {positions}
# PLEASE TRANSLATE
translate D SpellcheckFile {Spellcheck file}
# PLEASE TRANSLATE
translate D SpellcheckAndRatingsFile {Spellcheck and ratings file}
# PLEASE TRANSLATE
translate D loaded {loaded}
# PLEASE TRANSLATE
translate D DocumentationAndSupport {Documentation and support}
# PLEASE TRANSLATE
translate D CopyrightHistoryLicence {Copyright, History and License}
# PLEASE TRANSLATE
translate D NoTablebasesFoundWindows {No tablebases were found. The small 3-piece tablesbases are included in ChessDB in a directory 'tablebases' (typically C:>\Program Files\ChessDB\tablebases\) so you should configure ChessDB to use them by setting the Tablebase Directory on the Options menu. The 4 piece tablebases (which take up about 30 MB) and 5 piece tablebases (which use about 7.1 GB of disk space) are not included in ChessDB due to their size. They can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but not 5-piece tablebases can also be downloaded from Sourceforge in ChessDB's 'extras' package)}
# PLEASE TRANSLATE
translate D NoTablebasesFoundUNIX {No tablebases were found. The small 3-piece tablesbases are included in ChessDB in a directory 'tablebases' so you should configure ChessDB to use them by setting the Tablebase Directory on the Options menu. The 4 piece tablebases (which take up about 30 MB) and 5 piece tablebases (which use about 7.1 GB of disk space) are not included in ChessDB due to their size. They can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but *not* 5-piece tablebases can also be downloaded from Sourceforge in ChessDB's 'extras' package)}
# PLEASE TRANSLATE
translate D ConvertNullMovesToComments {Convert null moves to comments}
# PLEASE TRANSLATE
translate D Random {Random}
# PLEASE TRANSLATE
translate D GotoTheFirstPageOfGames {Go to the first page of games}
# PLEASE TRANSLATE
translate D GotoTheLastPageOfGames {Go to the last page of games}
# PLEASE TRANSLATE
translate D PreviousPageOfGames {Previous page of games}
# PLEASE TRANSLATE
translate D NextPageOfGames {Next page of games}
# PLEASE TRANSLATE
translate D NoGamesInCurrentFiler {There are no games in the current filter}
# PLEASE TRANSLATE
translate D ChessDBSaveGameList {ChessDB: Save Game List}
# PLEASE TRANSLATE
translate D SavingGameList {Saving game list...}
# PLEASE TRANSLATE
translate D databases {databases}
# PLEASE TRANSLATE
translate D All {All}
# PLEASE TRANSLATE
translate D files {files}
# PLEASE TRANSLATE
translate D TooManyDatabasesOpen {Too many databases open; close one first}
# PLEASE TRANSLATE
translate D OpenAChessDBFile {Open a ChessDB file}
# PLEASE TRANSLATE
translate D ErrorOpeningFile {ChessDB: Error opening file}
# PLEASE TRANSLATE
translate D UnableToUpgradeTheDatabase {Unable to upgrade the database}
# PLEASE TRANSLATE
translate D Opening {Opening}
# PLEASE TRANSLATE
translate D ReadOnly {read-only...}
# PLEASE TRANSLATE
translate D text {text}
# PLEASE TRANSLATE
translate D HashChessDBOptiomFile {ChessDB options file}
# PLEASE TRANSLATE
translate D HashInTclFormat {This file contains commands in the Tcl language format}
# PLEASE TRANSLATE
translate D HashVersion    {Version:}
# PLEASE TRANSLATE
translate D HashIfYouEdit {If you edit this file, you must preserve its valid Tcl}
# PLEASE TRANSLATE
translate D HashformatOrNotSet {format or it will not set your ChessDB options properly}
# PLEASE TRANSLATE
translate D ProxyHost {HTTP Proxy Host}
# PLEASE TRANSLATE
translate D ProxyPort {HTTP Proxy Port}
# PLEASE TRANSLATE
translate D Logo {Thanks to James Mossop who designed the logo.}
# PLEASE TRANSLATE
translate D DownloadOptions {ChessDB: Download options}
# PLEASE TRANSLATE
translate D ICCuser { ICC username}
# PLEASE TRANSLATE
translate D FICSuser { FICS username}
# PLEASE TRANSLATE
translate D ICCserver {ICC server}
# PLEASE TRANSLATE
translate D FICSserver {FICS server}
# PLEASE TRANSLATE
translate D ICCpass {ICC password}
# PLEASE TRANSLATE
translate D FICSpass {FICS password}
# PLEASE TRANSLATE
translate D Port {Port}
# PLEASE TRANSLATE
translate D SavePassword {Save password}
# PLEASE TRANSLATE
translate D NotEncrypted {WARNING: Saved as plain text - not encrypted at all.}
# PLEASE TRANSLATE
translate D WeakEncryption {WARNING: Only a very weak encryption is used.}
# PLEASE TRANSLATE
translate D ExtraTags {Extra Tags}
# PLEASE TRANSLATE
translate D AsLastGame {As last game}
# PLEASE TRANSLATE
translate D Databases {Databases}
# PLEASE TRANSLATE
translate D Notation {Notation}
# PLEASE TRANSLATE
translate D UpToMove {Up to move}
# PLEASE TRANSLATE
translate D OK {OK}
# PLEASE TRANSLATE
translate D bitmaps {bitmaps}
# PLEASE TRANSLATE
translate D bitmaps2 {bitmaps2}
# PLEASE TRANSLATE
translate D AutoCloseAfterStartup {Auto-close after startup}
# PLEASE TRANSLATE
translate D SelectUptoFour1 {Select up to 4 table base *directories*}
# PLEASE TRANSLATE
translate D ByClicking {By clicking any tablebase *file* in a directory}
# PLEASE TRANSLATE
translate D IKnowConfusing {This bit is a bit confusing I know, but it verifies the tablebases are compatible}
# PLEASE TRANSLATE
translate D LookingForOptionsFile {Looking for your options file}
# PLEASE TRANSLATE
translate D OptionsFound {Your options file}
# PLEASE TRANSLATE
translate D WasFoundAndLoaded {was found and loaded}
# PLEASE TRANSLATE
translate D DownloadGamesFromPre {Download games from}
# PLEASE TRANSLATE
translate D DownloadGamesFromPost { }
# PLEASE TRANSLATE
translate D OnlyCompleteGames {Completed games only}
# PLEASE TRANSLATE
translate D CompletedAndAdjourned {Completed and adjourned games}
# PLEASE TRANSLATE
translate D Download {Download}
# PLEASE TRANSLATE
translate D UsernamesFromFile {usernames from file}
# PLEASE TRANSLATE
translate D UsernamesFromList {usernames from list}
# PLEASE TRANSLATE
translate D ChessDBChooseECORange {ChessDB: Choose ECO Range}
# PLEASE TRANSLATE
translate D ChessDBSearchOptionsFiles {ChessDB SearchOptions files}
# PLEASE TRANSLATE
translate D UnabletocreateSearchOptionsfile {Unable to create SearchOptions file:}
# PLEASE TRANSLATE
translate D Textfile {Text file}
# PLEASE TRANSLATE
translate D CreateSearchOptionsfile {Create a SearchOptions file}
# PLEASE TRANSLATE
translate D CreateListOf {Create list of}
# PLEASE TRANSLATE
translate D usernames {usernames}
# PLEASE TRANSLATE
translate D UnableToCreatelistOfUsername {Unable to create a list of user names}
# PLEASE TRANSLATE
translate D HeaderSearchOptionSsavedTo {Header search options saved to}
# PLEASE TRANSLATE
translate D UserNameList {User name list}
# PLEASE TRANSLATE
translate D MainHelpIndex {Index of all help pages} 
# PLEASE TRANSLATE
translate D HelpOnDownloadingChessServer {Help on downloading games from}
# PLEASE TRANSLATE
translate D Connectto {Connect to}
# PLEASE TRANSLATE
translate D CloseConnection {Close connection}
# PLEASE TRANSLATE
translate D ConfigureSettings {Set server, username, password and port}
# PLEASE TRANSLATE
translate D OutputFromChessServer {Output from the chess server will be shown here}
# PLEASE TRANSLATE
translate D CurrentlyOnlyDemo {This part of the code is currently NON-FUNCTIONAL, as it has not been developed fully at this time.}
# PLEASE TRANSLATE
translate D CommandToChessServer {Once connected, commands typed here will be sent to the chess server}
# PLEASE TRANSLATE
translate D Login {Login}
# PLEASE TRANSLATE
translate D Logout {Logout} 
# PLEASE TRANSLATE
translate D ZipfileTooShort {The ZIP File is too small (< 5000 bytes) to be one of TWIC's zip files. Aborting....}
# PLEASE TRANSLATE
translate D TitleZipfileTooShort {The ZIP File is too small}
# PLEASE TRANSLATE
translate D TitleUnliklyLastIssue {Last Issue is unrealistic}
# PLEASE TRANSLATE
translate D UnliklyLastIssue1 {The last issue you requested is not a practical value. Based on the date on your computer, the last TWIC issue is estimated to be very approximately}
# PLEASE TRANSLATE
translate D UnliklyLastIssue2 {Therefore a request for an issue of}
# PLEASE TRANSLATE
translate D UnliklyLastIssue3 {or more is considered to be an error by ChessDB.}
# PLEASE TRANSLATE
translate D UnliklyLastIssue4 {Therefore your request to retrieve up to issue}
# PLEASE TRANSLATE
translate D UnliklyIssue      {will not be attempted. }
# PLEASE TRANSLATE
translate D IfyouBeliveAnError {If you believe this is incorrect, please check the date on your computer, check for an updated version of ChessDB, or email chessdb-users@lists.sourceforge.net for further advice.}
# PLEASE TRANSLATE
translate D UnliklyFirstIssue1 {The first issue you requested is not a practical value. Based on the date on your computer, the latest TWIC issue is estimated to be very approximately}
# PLEASE TRANSLATE
translate D UnliklyFirstIssue2 {so a request for issues starting at}
# PLEASE TRANSLATE
translate D UnliklyFirstIssue3 {or more is considered to be an error by ChessDB. Therefore your request to retrieve TWIC issues starting at}
# PLEASE TRANSLATE
translate D ImportToCurrentDatabase {Import games to the current database}
# PLEASE TRANSLATE
translate D CreateLargePGNofGames {Create a large PGN file of games}
# PLEASE TRANSLATE
translate D AutomaticallySetFirstIssue {Automatically set first issue}
# PLEASE TRANSLATE
translate D DoNothingAtAll {You have not chosen to create a large PGN file or to read games into the current database. Therefore there is nothing to do! Please go back and choose one or both of these}
# PLEASE TRANSLATE
translate D GamesWillBeReadToCurrent {Games will be imported into the current database}
# PLEASE TRANSLATE
translate D NewPGNandCurrent {If you selected 'Import games to the current database' the games should be there now. If you selected 'Create a large PGN file of games' the PGN file will be called 'newgames.pgn' in the directory}
# PLEASE TRANSLATE
translate D CurrentDatabaseReadOnly {The current database is read-only, so you can not import games into it}
# PLEASE TRANSLATE
translate D NotOpenDatabase {The current database is not open, so you can not import games into it} 
# PLEASE TRANSLATE
translate D WarningCurrentDatabaseHasGames1 {The current database has}
# PLEASE TRANSLATE
translate D WarningCurrentDatabaseHasGames2 {games in it. Importing games will not overwrite these, it will simply add the new games to the database. Please check that you have selected the right database - one would for example generally not want to add games from TWIC, ICC, or FICS to a database of your own games.}
# PLEASE TRANSLATE
translate D WarningCurrentDatabaseHasGames3 {OK to proceed and download games into the current database?}
# PLEASE TRANSLATE
translate D WarningCurrentDatabaseHasGames4 {games in it. Importing games will not overwrite these, it will simply add the new games to the current database.}
# PLEASE TRANSLATE
translate D WarningCurrentDatabaseHasGames5 {Please check that you have the right database and the right directory. It is much easier to double-check now, than to try removing the games later if you accidently put them in the wrong database!}
# PLEASE TRANSLATE
translate D WarningCurrentDatabaseHasGames6 {Continue, and import the games?}
# PLEASE TRANSLATE
translate D WarningCurrentDBNotEmpty {Warning - the current database is not empty}
# PLEASE TRANSLATE
translate D WithSomeEngines {With some engines, you will not see any analysis until the board changes. So if you see this message, try changing the board by moving backwards or forwards or making a new move.}
# PLEASE TRANSLATE
translate D AnalysisEnginesList {Analysis engines list file for ChessDB}
# PLEASE TRANSLATE
translate D Doyoureallywant {Do you really want to remove this engine from the list?}
# PLEASE TRANSLATE
translate D TheNameCommand {The Name, Command and Directory fields must not be empty.}
# PLEASE TRANSLATE
translate D NOTELogFileSizelimit {NOTE  : Log file size limit reached; closing log file.}
# PLEASE TRANSLATE
translate D UnableToStartTheProgram {Unable to start the program:}
# PLEASE TRANSLATE
translate D EngineCommunicationLog {ChessDB-Engine communication log file}
# PLEASE TRANSLATE
translate D ThisFileWasAutomatically {This file was automatically generated by ChessDB.}
# PLEASE TRANSLATE
translate D ItIsRewritten {It is rewritten every time an engine is started in ChessDB.}
# PLEASE TRANSLATE
translate D ChessDBAnalysis {ChessDB: Analysis:}
# PLEASE TRANSLATE
translate D QuietEngine {Quiet engine (still no output); sending it initial commands.}
# PLEASE TRANSLATE
translate D Engine {Engine}
# PLEASE TRANSLATE
translate D EngineTerminatedWithout {The analysis engine terminated without warning; it probably crashed or had an internal error.}
# PLEASE TRANSLATE
translate D SeenCrafty {Seen Crafty; assuming analyze and setboard commands.}
# PLEASE TRANSLATE
translate D SetEngingThinkingTime {Set the engine thinking time per move in seconds:}
# PLEASE TRANSLATE
translate D SorryNonStandard {Sorry, this game has a non-standard start position.}
# PLEASE TRANSLATE
translate D ShareTags {Share tags}
# PLEASE TRANSLATE
translate D undeletesBoth {undeletes both}
# PLEASE TRANSLATE
translate D noTwin {no twin} 
# PLEASE TRANSLATE
translate D NoDuplicatesDetectedFor {No duplicates detected for this game}
# PLEASE TRANSLATE
translate D TwinGameChecker {Twin game checker}
# PLEASE TRANSLATE
translate D ToShowTwinGams {To show twins using this window you must first use the 'Delete twin games' function}
# PLEASE TRANSLATE
translate D Downloads {Downloads}
# PLEASE TRANSLATE
translate D PreviousPair {Previous pair}
# PLEASE TRANSLATE
translate D NextPair {Next pair}
# PLEASE TRANSLATE
translate D ChessDBfound  {ChessDB found}
# PLEASE TRANSLATE
translate D PlayerNameCorrections {player name corrections, the first}
# PLEASE TRANSLATE
translate D areListedBelow {are listed below.}
# PLEASE TRANSLATE
translate D EditTheList {Edit the list to remove any corrections you do not want.}
# PLEASE TRANSLATE
translate D OnlyLinesOf {Only lines of the form:}
# PLEASE TRANSLATE
translate D OldNameToNewName { 'Old Name' >> 'New Name'}
# PLEASE TRANSLATE
translate D withNoSpaces {(with no spaces before the 'Old Name') are processed.}
# PLEASE TRANSLATE
translate D Ambiguous {Ambiguous}
# PLEASE TRANSLATE
translate D Surnames {Surnames}
# PLEASE TRANSLATE
translate D YouCanDisreguardA {You can discard a correction you do not want by deleting its line, or simply by adding a space or any other character at the start of the line}
# PLEASE TRANSLATE
translate D ToggleAnalysisBoard {Show/Hide Analysis Board}
# PLEASE TRANSLATE
translate D ShowAnalysisBoard {Show Analysis Board}
# PLEASE TRANSLATE
translate D HideAnalysisBoard {Hide Analysis Board}
# PLEASE TRANSLATE
translate D Score {Score}
# PLEASE TRANSLATE
translate D Depth {Depth}
# PLEASE TRANSLATE
translate D Nodes {Nodes}
# PLEASE TRANSLATE
translate D Time {Time}
# PLEASE TRANSLATE
translate D YourMove {Your move...... }
# PLEASE TRANSLATE
translate D Thinking {Thinking....... }
# PLEASE TRANSLATE
translate D SetEngineThinkingTime {Set the engine thinking time per move in seconds:}
# PLEASE TRANSLATE
translate D DoYouReally {Do you really want to remove this engine from the list?}
# PLEASE TRANSLATE
translate D NameCommandAndDir {The Name, Command and Directory fields must not be empty.}
# PLEASE TRANSLATE
translate D NoExtraTags {No extra tags were found}
# PLEASE TRANSLATE
translate D FirstLineFrom {First line from engine seen; sending it initial commands now.}
# PLEASE TRANSLATE
translate D Crafty18White {Crafty version is >= 18.0; assuming scores are from White perspective.}
# PLEASE TRANSLATE
translate D TitleEnginethinkingtime {ChessDB Engine thinking time}
# PLEASE TRANSLATE
translate D SoundOptions {Sound Options}
# PLEASE TRANSLATE
translate D FreeChessDatabase {ChessDB: A free Chess Database}
# PLEASE TRANSLATE
translate D UsingTclTkVersion {Using Tcl/Tk version:}
# PLEASE TRANSLATE
translate D Maintainer {Maintainer: Dr. David Kirkby}
# PLEASE TRANSLATE
translate D emailDave {Email: drkirkby@users.sourceforge.net}
# PLEASE TRANSLATE
translate D SearchOptionsSaved {Material/pattern search options saved to file:}
# PLEASE TRANSLATE
translate D TitleSearchOptionsSaved {Search Options saved}
# PLEASE TRANSLATE
translate D ExtraTagsEgAnand {Extra Tags: (example format: Annotator "Anand, V")}
# PLEASE TRANSLATE
translate D YouWereNotLoggedIn {You are not currently logged in to the chess server, so you can not log out}
# PLEASE TRANSLATE
translate D TitleYouWereNotLoggedIn  {ChessDB: Logout error}
# PLEASE TRANSLATE
translate D TitleCreateRepertore {Create a repertoire file}
# PLEASE TRANSLATE
translate D NonStartedStartNoRepertoir {The current game does not have the standard starting position, so its positions cannot be added to the repertoire.}
# PLEASE TRANSLATE
translate D RepetoireFiles {ChessDB repertoire files}
# PLEASE TRANSLATE
translate D AreYouSureDeleteRepGroup {Are you sure you want to delete this group, keeping all the groups and lines under it?}
# PLEASE TRANSLATE
translate D AreYouSureRecursivelyDeleteRepGroups {Are you sure you want to delete this group, AND ALL the groups and lines under it?}
# PLEASE TRANSLATE
translate D AreYouSureDeleteLine {Are you sure you want to delete this line?}
# PLEASE TRANSLATE
translate D TitleDeleteGroup {ChessDB: Delete group?}
# PLEASE TRANSLATE
translate D TitleDeleteLine  {ChessDB: Delete line?}
# PLEASE TRANSLATE
translate D NotLoggedOInNoDownload {You are not logged into the chess server, so can not download games. Please press 'Login' first.}
# PLEASE TRANSLATE
translate D TitleNotLoggedOInNoDownload {Error: Not logged in}
# PLEASE TRANSLATE
translate D ICCLimitOnGames {Note, the Internet Chess Club (ICC) limits the number of attempts that be made to download games in quick succession to 100. Once 100 have been attempted (whether or not they could all be downloaded), ICC server will simply reply "Game database temporarily unavailable". Since you have requested data on 6 or more players, each assumed to have 20 games in their history, this limit will be reached. After 100 attempts are made, there will be a long delay (x seconds), before any more are dowloads are attempted. ChessDB will resume once the ICC server will allow it. Note, the exact details of what limits the ICC server is programmed with are not known, so best guesses are used. If you see the message "Game database temporarily unavailable", please report the circumstances to the ChessDB mailing list.}
# PLEASE TRANSLATE
translate D ICCLimitOnGames1 {Note, the Internet Chess Club (ICC) limits the number of attempts that be made to download games in quick succession to 100. Once 100 have been attempted (whether or not they could all be downloaded), ICC server will simply reply "Game database temporarily unavailable" It will stay like this for some time (approximately 80s)  before allowing further downloads}
# PLEASE TRANSLATE
translate D ICCLimitOnGames2 {Since you have requested data on 6 or more players, each assumed to have 20 games in their history, this limit will be reached. After 100 attempts are made, there will be a long delay (80 seconds), before any more dowloads are attempted. ChessDB will resume once it believes the ICC server will allow it.}
# PLEASE TRANSLATE
translate D ICCLimitOnGames3 {Note, the exact details of what limits the ICC server is programmed with are not known, so best guesses are used. If you see the message "Game database temporarily unavailable", please report the circumstances to the ChessDB mailing list. If you know the parameters ICC use, then please let us know, so best use can be made of this facility} 
# PLEASE TRANSLATE
translate D TitleICCLimitOnGames {ICC database limit}
# PLEASE TRANSLATE
translate D EmailAddressFields {Email address fields:}
# PLEASE TRANSLATE
translate D Downloading {Please Wait !!}
# PLEASE TRANSLATE
translate D DownloadsComplete {An attempt has been made to download the histories of all the players. If ICC's database became unavailable, (as it sometimes does with rapid downloads), then they may not be complete. Double check the number of games. Assuming you have all the games, you may close the database if you wish. You are still logged in, so log out if you wish.}
# PLEASE TRANSLATE
translate D TitleDownloadsComplete {Downloads complete}
# PLEASE TRANSLATE
translate D WillSlowNow {The downloads from ICC will slow now quite considerably, from one every 500 ms to one every 60 seconds. This is because the ICC server is configured to restrict the rate at which games can extracted from the database. A message will be printed when all games are downloaded - until then, please keep the database open. You can leave ChessDB unattended - perhaps take a break while the downloads continue at the reduced rate. }
# PLEASE TRANSLATE
translate D WillSlowNow2 {If you want to get the games as fast as possible, save the database, log out, then back in again, after which you can download another 100 games very quickly.}
# PLEASE TRANSLATE
translate D TitleWillSlowNow {Downloads will slow down}
# PLEASE TRANSLATE
translate D DatabaseUnavailable {ICC's database is temporarily unavailable. This will happen if a lot of games are downloaded in a short time. ChessDB tries to avoid this, by slowing the rate of downloads after the first 100. However, as the exact conditions wwhich cause this to happen are unknown, it is difficult to do this well. If you get this message, please email chessdb-users-owner@lists.sourceforge.net and explain what you did. It is not an unusual message and is nothing to worry about.}
# PLEASE TRANSLATE
translate D TitleDatabaseUnavailable {ICC database is temporarily unavailable}
# PLEASE TRANSLATE
translate D LogInAnonymously {When connecting to ICC for the purpose of downloading games, it is suggested you do so anonymously. If not, anyone with you on their notify list will see ChessDB connect, which is probably not what you want. You can log into ICC anonymously by adding a "!" in front of your username. So if your ICC user name is "foobar", it is probably better to set it in ChessDB as "!foobar"}
# PLEASE TRANSLATE
translate D TitleLogInAnonymously {Anonymous login}
# PLEASE TRANSLATE
translate D ExtraSpacesBetweenUsernames {The list of user names must be separated by ONLY ONE SPACE. You have two or more spaces in the list. Please remove them.}
# PLEASE TRANSLATE
translate D TitleExtraSpacesBetweenUsernames {User errror: Too many spaces}
# PLEASE TRANSLATE
translate D SuccessfullySorted {The database was successfully sorted.}
# PLEASE TRANSLATE
translate D TitleSortResults {ChessDB: Sort results}
# PLEASE TRANSLATE
translate D ThisIsNotOpenNothingToSort {This is not an open database; there are no games to sort.}
# PLEASE TRANSLATE
translate D WillAddEloRatings {This command will use the current spellcheck file to add Elo ratings to games in this database. Wherever a player has no currrent rating but his/her rating at the time of the game is listed in the spellcheck file, that rating will be added.}
# PLEASE TRANSLATE
translate D OverwriteExistingNonZero {Overwrite existing non-zero ratings?}
# PLEASE TRANSLATE
translate D AddRatingsTo {Add ratings to:}
# PLEASE TRANSLATE
translate D AddedNElo {ChessDB added $r Elo ratings in $g games.}
# PLEASE TRANSLATE
translate D ExtraPGNTags {Extra PGN tags:}
# PLEASE TRANSLATE
translate D RemoveAllOccurageOfTag {Do you really want to remove all occurences of the PGN tag}
# PLEASE TRANSLATE
translate D FromThisDatabase {from this database?}
# PLEASE TRANSLATE
translate D RemovingThePGNTag {Removing the PGN tag}
# PLEASE TRANSLATE
translate D ToSaveSpaceAnd {To save space and maintain database efficiency, it is a}
# PLEASE TRANSLATE
translate D ToSaveSpaceAnd2 {good idea to compact the game file after removing tags.}
# PLEASE TRANSLATE
translate D FindingGamesWithPGN {Finding games with the PGN tag}
# PLEASE TRANSLATE
translate D ChangeTheFollowingGame {Change the following game tags:}
# PLEASE TRANSLATE
translate D Game {Game}
# PLEASE TRANSLATE
translate D NoUnusedNames {There are no unused names, so the name file is already fully compacted.}
# PLEASE TRANSLATE
translate D TheNameFile {The name file for the database}
# PLEASE TRANSLATE
translate D wasCompated {was compacted.}
# PLEASE TRANSLATE
translate D TitleErrorCompactingFile {ChessDB: Error compacting file}
# PLEASE TRANSLATE
translate D TitleNameFileCompacted {ChessDB: Name file compacted}
# PLEASE TRANSLATE
translate D TitleGameFileCompacted {ChessDB: Game file compacted}
# PLEASE TRANSLATE
translate D TheGameFileIsAlreadyCompacted {The game file is already fully compacted.}
# PLEASE TRANSLATE
translate D TheGameFile {The game  file for the database}
# PLEASE TRANSLATE
translate D YourSetting4Twins {Your settings for finding twin games are potentially likely to }
# PLEASE TRANSLATE
translate D YourSetting4Twins2 {cause non-twin games with similar moves to be marked as twins.}
# PLEASE TRANSLATE
translate D DoYouWantToContinueAndDelete {Do you want to continue and delete twin games anyway?}
# PLEASE TRANSLATE
translate D ItIsReccomenedThatYou {It is recommended that you specify "Yes" for at least two of the "same site", "same round" and "same year" settings.}
# PLEASE TRANSLATE
translate D ItIsReccommendedThatIf {It is recommended that if you select "No" for "same moves", you should select "Yes" for the colors, event, site, round, year and month settings} 
# PLEASE TRANSLATE
translate D AllSettingNotEntered1 {You MUST configure a chess server name (usually chessclub.com for ICC and freechess.org for FICS), a username, a password and a port (usually 5000, but 23 might be useful in some cases).}
# PLEASE TRANSLATE
translate D AllSettingNotEntered2 {Please set these either from the File menu of this window, or Options -> Downloads on the main ChessDB window.}
# PLEASE TRANSLATE
translate D NeedLoginParamtersSet {Login parameters must be set}
# PLEASE TRANSLATE
translate D UsernameNotReconised1 {The chess server does not reconsise the username of :}
# PLEASE TRANSLATE
translate D ICCUsernameNotReconised2 {Have you got the right username for this server? Has your account expired? Check all settings CAREFULLY.}
# PLEASE TRANSLATE
translate D TitleICCUsernameNotReconised {Unknown user name}
# PLEASE TRANSLATE
translate D InvalidPassword {does not reconise that password given for the username }
# PLEASE TRANSLATE
translate D TitleInvalidPassword {Invalid password}
# PLEASE TRANSLATE
translate D ConnectionToChessSeverFailed {Connection to chess server failed. Is  your network connection OK? Is the firewall blocking traffic? The chess server could be down. The error message generated was:}
# PLEASE TRANSLATE
translate D TitleConnectionToChessSeverFailed {Unable to connect to chess server}
# PLEASE TRANSLATE
translate D TheSettingsUsed {The setting used when trying to connect were:}
# PLEASE TRANSLATE
translate D LookingForSpellingFile {Looking for the spelling and ratings file "ratings.ssp"}
# PLEASE TRANSLATE
translate D SpellCheckFileFound {The spell check and ratings file was found}
# PLEASE TRANSLATE
translate D SpellCheckFileNotFound {The spell check file, which has the ELO ratings of players, could not be located. This was distributed with ChessDB with the name "ratings.ssp"}
# PLEASE TRANSLATE
translate D OptionsFile {Options File}
# PLEASE TRANSLATE
translate D UnableToFindOptions1 {Unable to find the options file}
# PLEASE TRANSLATE
translate D UnableToFindOptions2 {A new options file will be created}
# PLEASE TRANSLATE
translate D AttemptingToLoadTheSpellingAndRatingsFile {Attempting to load the spellcheck file which has ELO ratings too:}
# PLEASE TRANSLATE
translate D KiloNodesPerSecond {kn/s}
# PLEASE TRANSLATE
translate D IfYouWantTheseTablebases {If you want these tablebases to be used whenever you start ChessDB, select "Save Options" from the Options menu before you exit ChessDB.}
# PLEASE TRANSLATE
translate D UnableToReadFromChessServer1 {An error occured when ChessDB tried to read from the chess server.}
# PLEASE TRANSLATE
translate D UnableToReadFromChessServer2 {This can occur if there is a network problem, a fault at the chess server, you have logged out but a request from ChessDB to read has taken place (this is a bug that will be fixed later).}
# PLEASE TRANSLATE
translate D ErrorMessage {The error message generated was:}
# PLEASE TRANSLATE
translate D TitleReadFromChessSeverFailed {Unable to read from the chess server}
# PLEASE TRANSLATE
translate D TitleWriteFromChessSeverFailed {Unable to write to chess server}
# PLEASE TRANSLATE
translate D UnableToWriteToChessServer1 {An error occured when ChessDB tried to write to the chess server.}
# PLEASE TRANSLATE
translate D UnableToWriteToChessServer2 {This can occur if there is a network problem, a fault at the chess server, you have logged out but a request from ChessDB to write has taken place (this is a bug that will be fixed later).}
# PLEASE TRANSLATE
translate D IfYouWishToContinue {If you wish to continute to download  more files, it *may* be necessary to quit ChessDB and log in again (this is a bug that will be fixed later.)}
# PLEASE TRANSLATE
translate D NoFICSYet1 {Although it is possible to download games into a database from ICC, this is not currently possible with FICS.}
# PLEASE TRANSLATE
translate D NoFICSYet2 {FICS support will be added, but it is a bit more complex than on ICC, since FICS does not have the 'spgn' (or similar) command to show the PGN of a game. Expect FICS support by April or May 2007.}
# PLEASE TRANSLATE
translate D TitleNoFICSYet {No support currently for download via FICS}
# PLEASE TRANSLATE
translate D TitleImportFromAPGNFile {Import from a PGN file}
# PLEASE TRANSLATE
translate D TitleImportingPGNFile {ChessDB: Importing PGN file}
# PLEASE TRANSLATE
translate D TitleImportingPGNFiles {ChessDB: Importing PGN files}
# PLEASE TRANSLATE
translate D NoPGNErrorsOrWarnings {with no PGN errors or warnings.}
# PLEASE TRANSLATE
translate D PGNErrorsWarnings {PGN error/warnings:}
# PLEASE TRANSLATE
translate D ImportingPGNgamesFrom {Importing PGN games from}
# PLEASE TRANSLATE
translate D TitleSelectATablebaseFile {ChessDB: Select a Tablebase  file}
# PLEASE TRANSLATE
translate D ChooseDirectoryWithPGN {Choose a directory containing one or more PGN files}
# PLEASE TRANSLATE
translate D NoPGNFileInDir {It is not possible to import any PGN files, since there are no files with the extension .pgn or .PGN in the directory}
# PLEASE TRANSLATE
translate D TitleNoPGNFileInDir {ChessDB Error: No PGN files in the directory}
# PLEASE TRANSLATE
translate D ImportingNumber {This will import} 
# PLEASE TRANSLATE
translate D PGNFilesFromDir {PGN files from the directory}
# PLEASE TRANSLATE
translate D ToolsImportDirText {Import all the PGN files in a directory}
# PLEASE TRANSLATE
translate D TitleChessDBError {ChessDB: Error}
# PLEASE TRANSLATE
translate D ToHaveThisLoaded {To have this file automatically loaded when you start ChessDB, select "Save Options" from the Options menu before exiting.}
# PLEASE TRANSLATE
translate D ECOfile {ECO file}
# PLEASE TRANSLATE
translate D TitleChessDBECOFileLoaded {ChessDB: ECO file loaded.}
# Do NOT translate the following line - it is there to help translators only
##context D gdgfgffggertldffdo {Importing file number 12 of 124}
# PLEASE TRANSLATE
translate D TablebasesWithUpto {Endgame tablebases with up to}
# PLEASE TRANSLATE
translate D NPieces {pieces were found, so those tablebases will be used to allow ChessDB to perform an exact analysis of endgames.}
# PLEASE TRANSLATE
translate D ChessDBEGTBResults {ChessDB: Endgame tablebase results}
# PLEASE TRANSLATE
translate D TitleUnableToWriteFile {Unable to write file}
# Do NOT translate the following line - it is there to help translators only
##context D ImportingFileNumberN {Importing file number 12 of 124}
# PLEASE TRANSLATE
translate D ImportingFileNumberN {Importing file number}
# Do NOT translate the following line - it is there to help translators only
##context D er34093489fl {Importing all 124 files PGN files from the directory C:\Program Files\My Documents}
# PLEASE TRANSLATE
translate D ImportingAll {Importing all}
# PLEASE TRANSLATE
translate D PGNfilesFrom {PGN files from the directory}
# PLEASE TRANSLATE
translate D ThereWereWarnings {WARNING: There were errors or warnings while importing those PGN files. This is not unusual, as many games found on the internet have errors in them. If you have imported a lot of games, you might wish to just ignore them. Otherwise, check the line numbers indicated carefully to find the problem. }
# PLEASE TRANSLATE
translate D ThereWereNoWarnings {Note: The PGN file(s) imported without any warning messages. That is obviously good!}
# Do NOT translate the following line - it is there to help translators only
##context D jhdgdret {Imported file 12 of 345 files, with 456 games. 323232 games have been imported now.}
# PLEASE TRANSLATE
translate D ImportedFile {Imported file}
# PLEASE TRANSLATE
translate D filesWith {files, with}
# PLEASE TRANSLATE
translate D gamesImportedNow {games have been imported now}
# PLEASE TRANSLATE
translate D OpenRepertoireFile {Open a repertoire file}
# PLEASE TRANSLATE
translate D TitleSaveOpeningReport {ChessDB: Save opening report}
# PLEASE TRANSLATE
translate D TitleErrorWritingReport {ChessDB: Error writing report}
# PLEASE TRANSLATE
translate D TitleErrorStartingAnalysis {ChessDB: Error starting analysis}
# PLEASE TRANSLATE
translate D StartingToImportFilename {Start to import file:}
# PLEASE TRANSLATE
translate D TitleThankYouTo {Thank you to ...}
# PLEASE TRANSLATE
translate D ThanksToOthers {I would like to express my thanks to the following, who have helped improve ChessDB. If I have omitted anyone, please let me know and I will correct the omission. Of course, many helped Shane Hudson with Scid, and since ChessDB is based on Scid, they have contributed too. The file THANKS.Shane in the source is a list of people Shane thanked.}
# PLEASE TRANSLATE
translate D ThanksTranslators {Thank you to the following have either provided translations for ChessDB, or in some other way helped to improve the translations.}
# PLEASE TRANSLATE
translate D ThanksWebsite {Thank you to the following, who have translated sections of the ChessDB website to another language.  By doing this, the number of potential users will be increased, which will almost certainly lead to more developers and so an improved program.}
# PLEASE TRANSLATE
translate D ThanksCode {The following have contributed code to ChessDB.}
# PLEASE TRANSLATE
translate D ThanksBugReports {Unfortunately bugs are inevitable in complex software such as ChessDB. Bug reports are always useful - even if they are as small as an incorrect spelling. The following have provided bug reports in sufficient detail for the report to be useful.}
# PLEASE TRANSLATE
translate D HelpChessDB1 {If anyone is able to help promote or improve ChessDB in the following ways, I would appreciate it:}
# PLEASE TRANSLATE
translate D HelpChessDB2 {Submit details about ChessDB to chess related web sites. This is particularly useful if that web site uses a language other than English. It would be nice if people searching on the web found out about ChessDB, no matter what language they performed their search in.}
# PLEASE TRANSLATE
translate D HelpChessDB3 {Tell others about ChessDB - it would be nice if it was as well known as ChessBase. I do this on the Internet Chess Club (ICC) some times and are surprised how many do not know what a chess database is.}
# PLEASE TRANSLATE
translate D HelpChessDB4 {Write code to add new functionality, or improve upon present functionality. ChessDB uses C++ and Tcl}
# PLEASE TRANSLATE
translate D HelpChessDB5 {If you are a GM or IM and are willing to put some positive comments about ChessDB on the ChessDB (or other) website, it would help. ChessDB is a LOT more than a free alternative for those who don't wish to spend their money on commercial products.}
# PLEASE TRANSLATE
translate D HelpChessDB6 {Write better documentation. There are some areas of the documentation which are poor or non-existent - especially in languages other than English. Do you have any good tips that can be included in the 'Tip of the Day' which is displayed at startup?}
# PLEASE TRANSLATE
translate D HelpChessDB7 {Produce binaries for Linux distributions (Redhat, Suse, Debian, Slackware etc) and preferably keep them regularly maintained. Some people may only find out about ChessDB if they find it on Linux.}
# PLEASE TRANSLATE
translate D HelpChessDB8 {Maintain a binary for other UNIX and UNIX-like distibutions, such as those for AIX, Mac OS X, Solaris, IRIX, HP-UX, FreeBSD, OpenBSD, NetBSD etc. One of my projects 'atlc' (http://atlc.sourceforge.net/) has been ported to everything from a Sony Playstation 2 games console to a Cray supercomputer. I doubt ChessDB will ever be as portable, but it should be possible to produce binaries which are easy for users to install.}
# PLEASE TRANSLATE
translate D HelpChessDB9 {Provide a link to the ChessDB website, http://chessdb.sourceforge.net/ on your web site. This will improve the search engine ranking of ChessDB. That will give us more users, more developers and so software with more features.}
# PLEASE TRANSLATE
translate D HelpChessDB10 {Send copies of ChessDB to magazine Editors for review.}
# PLEASE TRANSLATE
translate D HelpChessDB11 {Suggestions for additional features are welcome, but these are always more numerous than I have time for. Suggesions from those who contribute to ChessDB will be given higher priority. The suggestion to add a facility to import lots of PGN games at once by Mario Molinari was given higher priority (and now impleneted), since Mario has updated the Italian translation.} 
# PLEASE TRANSLATE
translate D HelpChessDB12 {Update the language files. ChessDB supports many langugages, but some of the the language files have not been updated for a long time. If you, or someone you know is willing to update any of the following language files, it would be very useful:}
# PLEASE TRANSLATE
translate D HelpChessDB13 {The main language file has a name somelanguage-basic.tcl (eg. swedish-basic.tcl). You can download the files from http://chessdb.cvs.sourceforge.net/chessdb/chessdb/tcl/lang/ Click on the relavant language file. Near the top you will see the following: }
# PLEASE TRANSLATE
translate D HelpChessDB14 {Click on 'download', edit the file, then email the updated file to drkirkby@users.sourceforge.net}
# PLEASE TRANSLATE
translate D HelpChessDB15 {Advise me of any place in which you see English text, when you expect to see that of another language. In some cases, it is difficult to convert the text, but in others it is simply I have overlooked something. In other cases it is simply nobody has translated something. }
# PLEASE TRANSLATE
translate D IfYouCanSuggest {If you can think of other ways in which the user base of ChessDB can be increased, please let me know at drkirkby@users.sourceforge.net.}
# PLEASE TRANSLATE
translate D NoOpenDatabaseNoPlayerReport {There are 9 database slots which are used to hold a database. The current database slot is empty. Please change to a database that is not empty, using 'Switch to Database' on the 'File' menu} 
# PLEASE TRANSLATE
translate D ZeroGames {The current database has 0 games in it.}
# PLEASE TRANSLATE
translate D TitleZeroGames {Database has no games}
# PLEASE TRANSLATE
translate D ZeroGamesNoPlayerReport {Since the database has no games in it, there are no players in the database and so a Player Report can not be generated. }
# PLEASE TRANSLATE
translate D OpenDatabaseWithGames {Please open a database that has some games in it. }
# PLEASE TRANSLATE
translate D NewUserNewDatabase {If you are a new user of ChessDB, you can download a database from the ChessDB web site, create one by reading in some PGN files, download games from The Week In Chess (TWIC), ICC or FICS. There are many ways to create a database, if you don't already have one. A very small sample database, having the games from the World Chess Championships, is distributed with ChessDB under the name 'wcc'.}
# PLEASE TRANSLATE
translate D ZeroGamesNoFilterGraph {Since the database has no games in it, there are no players in the database and so a Filter Graph can not be generated.}
# PLEASE TRANSLATE
translate D TitleYouCanHelp {How you can help ChessDB}
# PLEASE TRANSLATE
translate D Czech {Czech}
# PLEASE TRANSLATE
translate D Dutch {Dutch}
# PLEASE TRANSLATE
translate D Finnish {Finnish}
# PLEASE TRANSLATE
translate D French {French}
# PLEASE TRANSLATE
translate D German {German}
# PLEASE TRANSLATE
translate D Hungarian {Hungarian}
# PLEASE TRANSLATE
translate D Italian {Italian}
# PLEASE TRANSLATE
translate D Korean {Korean}
# PLEASE TRANSLATE
translate D Norwegian {Norwegian}
# PLEASE TRANSLATE
translate D Polish {Polish}
# PLEASE TRANSLATE
translate D Portuguese {Portuguese}
# PLEASE TRANSLATE
translate D Russian {Russian}
# PLEASE TRANSLATE
translate D Serbian {Serbian}
# PLEASE TRANSLATE
translate D Swedish {Swedish}
# PLEASE TRANSLATE
translate D Spanish {Spanish}
# PLEASE TRANSLATE
translate D Turkish {Turkish}
# PLEASE TRANSLATE
translate D UnableLoadGame {Unable to load game number:}
# PLEASE TRANSLATE
translate D TitleUnableLoadGame {ChessDB Error: Unable to load game}
# PLEASE TRANSLATE
translate D UnableToWriteBooksmarks {Unable to write bookmarks file:}
# PLEASE TRANSLATE
translate D TitleSupport {Support on ChessDB}
# PLEASE TRANSLATE
translate D SupportChessDB1 {Support on ChessDB is much better than on almost any commerical software. You can easily contact the developers - not some dumb support staff, who usually know less than you. Support is free and responses to support requests are usually answered in less than 24 hours. It is quite common for a bug to be reported and a solution given in under 1 day.}
# PLEASE TRANSLATE
translate D SupportChessDB2 {First, before asking for support, read the documentation. In particular take a look at the tutorial at http://chessdb.sourceforge.net/tutorial/ The archives of the mailing lists at http://sourceforge.net/mailarchive/forum.php?forum=chessdb-users are helpful too.}
# PLEASE TRANSLATE
translate D SupportChessDB3 {Please email your support requests to}
# PLEASE TRANSLATE
translate D SupportChessDB4 {Please provide the following information:}
# Do NOT translate the following line - it is there to help translators only
##context D dfd4dfdf {The version number of ChessDB will be printed after the contents of line 'SupportChessDB5'}
# PLEASE TRANSLATE
translate D SupportChessDB5 {The version of ChessDB you are using, which is}
# Do NOT translate the following line - it is there to help translators only
##context D doererdf {The version number of Tcl/Tk will be printed after the contents of line 'SupportChessDB6'}
# PLEASE TRANSLATE
translate D SupportChessDB6 {The version of Tcl/Tk you are using. Tcl/Tk is needed to run ChessDB - you are using version }
# PLEASE TRANSLATE
translate D SupportChessDB7 {The version of Windows you are using (95, 98, NT, 98SE, 2000, ME, XP home, XP Pro, Vista etc.} 
# PLEASE TRANSLATE
translate D SupportChessDB8 {The version of UNIX or Linux you are using (Debian Linux, Slackware Linux, Solaris, FreeBSD, NetBSD etc).}
# PLEASE TRANSLATE
translate D SupportChessDB9 {Whether you compiled this yourself, or if you obtained a binary from somewhere. If you compiled it yourself, report the version of gcc used. Did you build it from the code in the CVS repository? If you used a binary, report where you obtained the binary.)}
# PLEASE TRANSLATE
translate D SupportChessDB10 {What steps you have taken to sort the problem out yourself.}
# PLEASE TRANSLATE
translate D SupportChessDB11 {If this is a bug report and you are in a position to check this under both Windows and UNIX/Linux, it would be useful to verify if the problem exists on both systems. But this is not essential - just do it if you can easily.}
# PLEASE TRANSLATE
translate D SupportChessDB12 {MOST IMPORTANT OF ALL, make the bug report or support request MEANINGFUL. Give as much detail as possible.}
# PLEASE TRANSLATE
translate D SupportChessDB13 {Reports like "ChessDB does not work on my laptop" are next to useless. So are reports like "I was analysing a game and a window popped up which said Application Error". Again, that is useless, since without the exact error message (which can be saved to a log file in this case), it is difficult to know where to look for the bug.}
# PLEASE TRANSLATE
translate D SupportChessDB14 {If possible send any support of bug requests in English. If sent privately to David Kirkby, please put 'ChessDB' in the title, so it is sorted into the correct mail folder. This is not necessary if sending to chessdb-users@lists.sourceforge.net, which is the generally the preferred address to use.}
# PLEASE TRANSLATE
translate D TitleFilterGraph {ChessDB: Filter Graph}
# PLEASE TRANSLATE
translate D TitleSaveGraph {ChessDB: Save Graph}
# PLEASE TRANSLATE
translate D ThankYouDavidKirkby {Thank you from David Kirkby}
# PLEASE TRANSLATE
translate D ThankYouShaneHudon  {Thank you from Shane Hudson}
# PLEASE TRANSLATE
translate D THANKSdotShane {The following is the contents of the file 'THANKS' which was in Scid and so have indirectly helped ChessDB. The contents for the file are unmodified, and so are therefore in English only.}
# PLEASE TRANSLATE
translate D ThanksTclTelnet {Thank you to Todd Martin for developing 'tcltelnet' http://tmartin.org/tcltelnet/ which ChessDB uses to connect to chess servers using the telnet protocol.}
# PLEASE TRANSLATE
translate D APoliteRequest1 {If you wish to contribute to ChessDB and become a developer, you would be most welcome. ChessDB is programmed in C++, Tcl and Tk. If you wish to create another project, based on code in ChessDB, I would respectfully ask you use another name to ChessDB - just credit Scid and ChessDB where appropiate. Using the name 'Scid' or 'ChessDB' will cause confusion amougst users, with them not knowing who to attribute bugs to.} 
# PLEASE TRANSLATE
translate D APoliteRequest2 {If you create any data files (such as, but not limited to opening books, databases etc) for use with ChessDB, or derived software, I would appreciate if you keep to the spirit of free software and do not restrict their use to any particular piece of software.} 
# PLEASE TRANSLATE
translate D GPL2 {ChessDB is free (but copyrighted) chess software which is licensed under the GNU General Public License (GPL). Copyrights are held by Dr. David Kirkby, Shane Hudson and others. The conditions of the GPL are listed below.}
}
