### russian.tcl:
#  Russian language support for ChessDB.
#  Contributed by Alex Sedykh.
#  Untranslated messages are marked with a "***" comment.
#  Untranslated help page sections are in <NEW>...</NEW> tags.

addLanguage R "Russian (ISO 8859-5)" 1 iso8859-5

proc setLanguage_R {} {

menuText R File "" 0
menuText R FileNew "..." 0 {    ChessDB}
menuText R FileOpen "..." 0 {   ChessDB}
menuText R FileClose "" 0 {    ChessDB}
menuText R FileFinder "" 0 {   }
menuText R FileBookmarks "" 2 {  (: Ctrl+B)}
menuText R FileBookmarksAdd " " 0 {       }
menuText R FileBookmarksFile " " 0 {      }
menuText R FileBookmarksEdit " ..." 0 {  }
menuText R FileBookmarksList "    " 0 {  ,   ,   }
menuText R FileBookmarksSub "   " 1  {    ,    }
menuText R FileMaint "" 2 {    ChessDB}
menuText R FileMaintWin " " 0 {/     ChessDB}
menuText R FileMaintCompact "  ..." 0 {   ,      }
menuText R FileMaintClass "ECO- ..." 0 {  ECO   }
menuText R FileMaintSort "  ..." 2 {     }
menuText R FileMaintDelete " -..." 0 { -     }
menuText R FileMaintTwin "  " 14 {/   }
menuText R FileMaintName " " 0 {    }
menuText R FileMaintNameEditor " " 0 {/   }
menuText R FileMaintNamePlayer "  ..." 9 {      }
menuText R FileMaintNameEvent "  ..." 18 {      }
menuText R FileMaintNameSite "  ..." 18 {      }
menuText R FileMaintNameRound "  ..." 20 {      }
menuText R FileReadOnly "  ..." 0 {       ,  }
menuText R FileSwitch "  " 6 {     }
menuText R FileExit "" 0 {  ChessDB}
menuText R Edit "" 0
menuText R EditAdd " " 0 {     }
menuText R EditDelete " " 0 {    }
menuText R EditFirst "  " 0 {      }
menuText R EditMain "   " 0 {    }
menuText R EditTrial " " 0 {/  ,     }
menuText R EditStrip "" 1 {     }
menuText R EditStripComments "" 0 {       }
menuText R EditStripVars "" 0 {     }
menuText R EditStripBegin "Moves from the beginning" 1 {Strip moves from the beginning of the game} ;# ***
menuText R EditStripEnd "Moves to the end" 0 {Strip moves to the end of the game} ;# ***
menuText R EditReset " " 0 {   }
menuText R EditCopy "     " 1 {     }
menuText R EditPaste "     " 0 {Paste the active Clipbase game here}
menuText R EditPastePGN "Paste Clipboard text as PGN game..." 18 {Interpret the clipboard text as a game in PGN notation and paste it here}
menuText R EditSetup " ..." 2 {     }
menuText R EditCopyBoard " " 4 {     FEN    ()}
menuText R EditPasteBoard "  " 3 {       ()}
menuText R Game "" 0
menuText R GameNew " " 0 {    ,   }
menuText R GameFirst "  " 0 {   }
menuText R GamePrev "  " 1 {   }
menuText R GameReload "  " 1 {  ,    }
menuText R GameNext "  " 2 {   }
menuText R GameLast "  " 3 {   }
menuText R GameRandom "  " 4 {   }
menuText R GameNumber "  ..." 6 { ,   }
menuText R GameReplace ":  ..." 0 {  ,   }
menuText R GameAdd ":   ..." 2 {  ,     }
menuText R GameDeepest " " 0 {    ,    ECO}
menuText R GameGotoMove "   ..." 5 {     }
menuText R GameNovelty " ..." 2 {     ,    }
menuText R Search "" 0
menuText R SearchReset " " 0 { ,    }
menuText R SearchNegate " " 0 { ,     }
menuText R SearchCurrent " ..." 0 {  }
menuText R SearchHeader "..." 0 {   (, ,  ..)}
menuText R SearchMaterial "/..." 0 {     }
menuText R SearchUsing "  ..." 0 {      }
menuText R Windows "" 0
menuText R WindowsComment " " 0 {/  }
menuText R WindowsGList " " 0 {/   }
menuText R WindowsPGN " PGN" 0 {/  PGN ( )}
menuText R WindowsPList " " 2 {/   }
menuText R WindowsTmt " " 0 {/   }
menuText R WindowsSwitcher "  " 1 {/    }
menuText R WindowsMaint " " 1 {/  }
menuText R WindowsECO " ECO" 4 {/   ECO}
menuText R WindowsRepertoire " " 2 {/    }
menuText R WindowsStats " " 2 {/   }
menuText R WindowsTree " " 10 {/  }
menuText R WindowsTB "  " 10 {/   }
menuText R Tools "" 0
menuText R ToolsAnalysis " ..." 0 {/   }
menuText R ToolsAnalysis2 "  2..." 22 {/    }
menuText R ToolsCross " " 0 {     }
menuText R ToolsEmail " " 0 {/    }
menuText R ToolsFilterGraph " " 0 {/   }
menuText R ToolsOpReport " " 0 {     }
menuText R ToolsTracker " "  4 {   }
menuText R ToolsCoach "Play with coach"  0 {Start a game with a coach and tactical opportunities}
menuText R ToolsPInfo "  "  1 {/    }
# PLEASE TRANSLATE
menuText R ToolsPInfoBlack "Black"  0  {Open/update the Player Information window for the Black player}
# PLEASE TRANSLATE
menuText R ToolsPInfoWhite "White"  0  {Open/update the Player Information window for the White player}
menuText R ToolsPlayerReport "Player Report..." 3 {Generate a player report} ;# ***
menuText R ToolsRating " " 1 {      }
menuText R ToolsScore " " 2 {   }
menuText R ToolsExpCurrent "  " 0 {     }
menuText R ToolsExpCurrentPGN "    PGN..." 0 {     PGN}
menuText R ToolsExpCurrentHTML "    HTML..." 1 {     HTML}
menuText R ToolsExpCurrentLaTeX "    LaTeX..." 2 {     LaTeX}
menuText R ToolsExpFilter "   " 11 {      }
menuText R ToolsExpFilterPGN "     PGN..." 1 {      PGN}
menuText R ToolsExpFilterHTML "     HTML..." 2 {      HTML}
menuText R ToolsExpFilterLaTeX "     LaTeX..." 3 {      LaTeX}
menuText R ToolsImportOne "   PGN..." 0 {     PGN}
menuText R ToolsImportFile "   PGN..." 9 {    PGN}
# PLEASE TRANSLATE
menuText R ToolsImportDir "Import all PGN files in a directory" 16  {Imports all the PGN files in a particular directory}
# PLEASE TRANSLATE
menuText R ToolsDownload "Download games from ..." 0 {Download games from the internet}
# PLEASE TRANSLATE
menuText R ToolsDownloadFromICC   "ICC"  0 {Download the most recent games of anyone on ICC}
# PLEASE TRANSLATE
menuText R ToolsDownloadFromFICS  "FICS" 0 {Download the most recent games of anyone on FICS}
menuText R ToolsDownloadFromTWIC "TWIC" 0 {Download games in PGN format from the TWIC web site}
menuText R Options "" 0
menuText R OptionsBoard "Chessboard" 0 {Chess board appearance options} ;# ***
menuText R OptionsBoardSize " " 0 {  }
menuText R OptionsBoardPieces " " 0 {  }
menuText R OptionsBoardColors "..." 0 {  }
menuText R OptionsBoardNames "My Player Names..." 0 {Edit my player names} ;# ***
menuText R OptionsExport "" 0 {  }
menuText R OptionsFonts "" 0 { }
menuText R OptionsFontsRegular "" 0 {  }
menuText R OptionsFontsMenu "" 0 {  }
menuText R OptionsFontsSmall "" 1 {  }
menuText R OptionsFontsFixed "" 0 {  }
menuText R OptionsGInfo "  " 0 {   }
menuText R OptionsLanguage "" 0 {  }
menuText R OptionsMoves "" 0 {  }
menuText R OptionsMovesAsk "   " 0 {    }
menuText R OptionsMovesAnimate " " 1 {  ,    }
menuText R OptionsMovesDelay "  ..." 0 {     }
menuText R OptionsMovesCoord " " 1 {      ("g1f3")}
menuText R OptionsMovesSuggest "  " 0 {/   }
menuText R OptionsMovesKey " " 0 {/   }
menuText R OptionsNumbers " " 0 {  }
menuText R OptionsStartup "" 0 { ,   }
menuText R OptionsWindows "" 0 { }
menuText R OptionsWindowsIconify "-" 0 {  ,    }
menuText R OptionsWindowsRaise "-" 1 {   (,  )  ,   }
menuText R OptionsSounds "Sounds..." 2 {Configure move announcement sounds}
menuText R OptionsToolbar " " 0 {    }
menuText R OptionsECO "  ECO..." 2 {    ECO}
menuText R OptionsSpell "   ..." 4 { ChessDB   }
menuText R OptionsTable " ..." 15 {  ;       }
menuText R OptionsRecent "  ..." 2 {       }
menuText R OptionsSave " " 0 "     $::optionsFile"
menuText R OptionsAutoSave "   " 0 {      }
# PLEASE TRANSLATE
menuText R OptionsDownload "Downloads..." 0 {Configure Download settings}
menuText R Help "" 0
menuText R HelpContents "Contents" 0 {Show the help contents page} ;# ***
menuText R HelpIndex "" 0 {   }
menuText R HelpGuide " " 0 {    }
menuText R HelpHints "" 0 {  }
menuText R HelpContact " " 0 {  }
menuText R HelpTip " " 2 {  }
menuText R HelpStartup " " 1 {  }
menuText R HelpAbout " ChessDB" 0 {  ChessDB}
# PLEASE TRANSLATE
menuText R HelpCheckForUpdates "Check for Updates" 0 {Check software revision - this requires an internet connection, as it connects to the Sourceforge web server}
# PLEASE TRANSLATE
menuText R HelpBugs "Bugs" 0 {Known bugs in ChessDB}
# PLEASE TRANSLATE
menuText R HelpBugsKnownAtRelease  "Known  at release date" 0 {Bugs known at the time of release}
# PLEASE TRANSLATE
menuText R HelpBugsRecentlyFound  "Discovered since release" 0 {Recently discovered bugs - needs internet connection}
menuText R GInfoHideNext "  " 0
menuText R GInfoMaterial "  " 0
menuText R GInfoFEN " FEN" 1
menuText R GInfoMarks "    " 3
menuText R GInfoWrap "  " 0
menuText R GInfoFullComment "  " 7
menuText R GInfoPhotos " " 9
menuText R GInfoTBNothing " : " 0
menuText R GInfoTBResult " :  " 5
menuText R GInfoTBAll " :    " 7
menuText R GInfoDelete "()  " 1
menuText R GInfoMark "( )  " 2
menuText R TreeFile "" 0
menuText R TreeFileSave "  " 0 {    (.stc)}
menuText R TreeFileFill "  " 0 {      }
menuText R TreeFileBest "  " 1 {    }
menuText R TreeFileGraph " " 0 {     }
menuText R TreeFileCopy "    " 1 {    }
menuText R TreeFileClose "  " 4 {  }
menuText R TreeSort "" 0
menuText R TreeSortAlpha "" 0
menuText R TreeSortECO "  ECO" 3
menuText R TreeSortFreq " " 3
menuText R TreeSortScore " " 3
menuText R TreeOpt "" 0
menuText R TreeOptLock "" 0 {()    }
menuText R TreeOptTraining "" 0 {/  }
menuText R TreeOptAutosave "  " 0 {  ,    }
menuText R TreeHelp "" 0
menuText R TreeHelpTree "  " 0
menuText R TreeHelpIndex " " 0
menuText R FinderFile "" 0
menuText R FinderFileSubdirs "  " 0
menuText R FinderFileClose "  " 0
menuText R FinderSort "" 0
menuText R FinderSortType "" 0
menuText R FinderSortSize "" 0
menuText R FinderSortMod "" 0
menuText R FinderSortName "" 0
menuText R FinderSortPath "" 0
menuText R FinderTypes "" 0
menuText R FinderTypesChessDB "  ChessDB" 0
menuText R FinderTypesOld "    ChessDB" 0
menuText R FinderTypesPGN " PGN" 0
menuText R FinderTypesEPD " EPD" 1
menuText R FinderTypesRep " " 6
menuText R FinderHelp "" 0
menuText R FinderHelpFinder "   " 0
menuText R FinderHelpIndex " " 0
menuText R PListFile "" 0
menuText R PListFileUpdate "" 0
menuText R PListFileClose "  " 0
menuText R PListSort "" 0
menuText R PListSortName "" 0
menuText R PListSortElo "Elo" 0
menuText R PListSortGames "" 0
menuText R PListSortOldest "" 1
menuText R PListSortNewest "" 0
menuText R TmtFile "" 0
menuText R TmtFileUpdate "" 0
menuText R TmtFileClose "  " 0
menuText R TmtSort "" 0
menuText R TmtSortDate "" 0
menuText R TmtSortPlayers "" 0
menuText R TmtSortGames "" 0
menuText R TmtSortElo "Elo" 0
menuText R TmtSortSite "" 0
menuText R TmtSortEvent "" 0
menuText R TmtSortWinner "" 2
menuText R GraphFile "" 0
menuText R GraphFileColor "   PostScript..." 14
menuText R GraphFileGrey "  - PostScript..." 14
menuText R GraphFileClose " " 6
menuText R GraphOptions "" 0
menuText R GraphOptionsWhite "" 0
menuText R GraphOptionsBlack "" 0
menuText R GraphOptionsBoth "" 0
menuText R GraphOptionsPInfo " -   " 0
menuText R StatsFile "" 0
menuText R StatsFilePrint "  ..." 0
menuText R StatsFileClose " " 0
menuText R StatsOpt "" 0
menuText R PgnFile "" 0
menuText R PgnFileCopy "Copy Game to Clipboard" 0 ;# ***
menuText R PgnFilePrint "  ..." 0
menuText R PgnFileClose "  PGN" 0
menuText R PgnOpt "" 0
menuText R PgnOptColor " " 0
menuText R PgnOptShort " () " 0
menuText R PgnOptSymbols " " 0
menuText R PgnOptIndentC "  " 2
menuText R PgnOptIndentV "  " 0
menuText R PgnOptColumn "  (   )" 4
menuText R PgnOptSpace "   " 0
menuText R PgnOptStripMarks "   /" 0
menuText R PgnOptBoldMainLine "Use Bold Text for Main Line Moves" 4 ;# ***
menuText R PgnColor "" 0
menuText R PgnColorHeader "..." 0
menuText R PgnColorAnno "..." 0
menuText R PgnColorComments "..." 0
menuText R PgnColorVars "..." 0
menuText R PgnColorBackground "..." 0
menuText R PgnColorMain "Main line..." 0
menuText R PgnColorCurrent "Current move background..." 1
menuText R PgnColorNextMove "Next move background..." 0
menuText R PgnHelp "" 0
menuText R PgnHelpPgn "  PGN" 0
menuText R PgnHelpIndex "" 0
menuText R CrosstabFile "" 0
menuText R CrosstabFileText "   ..." 11
menuText R CrosstabFileHtml "  HTML ..." 11
menuText R CrosstabFileLaTeX "  LaTeX ..." 11
menuText R CrosstabFileClose "   " 0
menuText R CrosstabEdit "" 0
menuText R CrosstabEditEvent "" 0
menuText R CrosstabEditSite "" 0
menuText R CrosstabEditDate "" 0
menuText R CrosstabOpt "" 0
menuText R CrosstabOptAll "  " 0
menuText R CrosstabOptSwiss " " 0
menuText R CrosstabOptKnockout " " 0
menuText R CrosstabOptAuto "" 0
menuText R CrosstabOptAges "  " 2
menuText R CrosstabOptNats "" 2
menuText R CrosstabOptRatings "" 0
menuText R CrosstabOptTitles "" 0
menuText R CrosstabOptBreaks " -" 0
menuText R CrosstabOptDeleted "  " 1
menuText R CrosstabOptColors " (   )" 0
menuText R CrosstabOptColumnNumbers "  (    )" 2
menuText R CrosstabOptGroup " " 0
menuText R CrosstabSort "" 0
menuText R CrosstabSortName "" 0
menuText R CrosstabSortRating "" 0
menuText R CrosstabSortScore "" 0
menuText R CrosstabColor "" 0
menuText R CrosstabColorPlain " " 0
menuText R CrosstabColorHyper "" 0
menuText R CrosstabHelp "" 0
menuText R CrosstabHelpCross "   " 0
menuText R CrosstabHelpIndex " " 0
menuText R OprepFile "" 0
menuText R OprepFileText "   ..." 11
menuText R OprepFileHtml "  HTML ..." 11
menuText R OprepFileLaTeX "  LaTeX ..." 11
menuText R OprepFileOptions "..." 0
menuText R OprepFileClose "  " 0
menuText R OprepFavorites "Favorites" 1 ;# ***
menuText R OprepFavoritesAdd "Add Report..." 0 ;# ***
menuText R OprepFavoritesEdit "Edit Report Favorites..." 0 ;# ***
menuText R OprepFavoritesGenerate "Generate Reports..." 0 ;# ***
menuText R OprepHelp "" 0
menuText R OprepHelpReport "   " 0
menuText R OprepHelpIndex " " 0
menuText R RepFile "" 0
menuText R RepFileNew "" 0
menuText R RepFileOpen "..." 0
menuText R RepFileSave ".." 0
menuText R RepFileSaveAs " ..." 2
menuText R RepFileClose " " 0
menuText R RepEdit "" 0
menuText R RepEditGroup " " 9
menuText R RepEditInclude "  " 9
menuText R RepEditExclude "  " 9
menuText R RepView "" 0
menuText R RepViewExpand "  " 0
menuText R RepViewCollapse "  " 0
menuText R RepSearch "" 0
menuText R RepSearchAll " ..." 0
menuText R RepSearchDisplayed "  ..." 0
menuText R RepHelp "" 4
menuText R RepHelpRep "  " 0
menuText R RepHelpIndex " " 0
# PLEASE TRANSLATE
menuText R DownloadPGNFiles {Download PGN files} 0
# PLEASE TRANSLATE
menuText R ToolsPlay "Play" 0 {Play game vs the comptuter, online, or engine vs engine}
# PLEASE TRANSLATE
menuText R ToolsPlayYouBlack "Computer vs You" 0 {Play a game as Black against a chess engine}
# PLEASE TRANSLATE
menuText R ToolsPlayYouWhite "You vs Computer" 0 {Play a game as White against a chess engine}
# PLEASE TRANSLATE
menuText R ToolsPlayOnline "Play online" 0 {Play others on a chess server - requies an internet connection}
# PLEASE TRANSLATE
menuText R ToolsPlayEngineEngine "Computer vs Computer" 0 {Two chess computers play against each other}
# PLEASE TRANSLATE
menuText R ToolsObserveChessServer "Observe online game" 0 {Observe a game being played on a chess server}
# PLEASE TRANSLATE
menuText R HelpThanks "Thank you" 0 {A list of those who have helped ChessDB in some way}
# PLEASE TRANSLATE
menuText R HelpHowYouCanHelp "How you can help" 0 {How you can improve ChessDB - even if you are not a programmer}
# PLEASE TRANSLATE
menuText R HelpSupport "Support" 0 {How you can obtain support in using ChessDB - there is no charge for support}
# PLEASE TRANSLATE
menuText R HelpLicense "ChessDB's licence conditions" 0 {Displays the GNU General Public License (GPL)}
helpMsg R .button.start {     (: Home)}
helpMsg R .button.end {     (: End)}
helpMsg R .button.back {    (: LeftArrow)}
helpMsg R .button.forward {   (: RightArrow)}
helpMsg R .button.intoVar {    (: v)}
helpMsg R .button.exitVar {    (: z)}
helpMsg R .button.flip {  (: .)}
helpMsg R .button.coords {/   (: 0)}
helpMsg R .button.stm {/   }
helpMsg R .button.autoplay {    (: Ctrl+Z)}
translate R TitleDownloadFromTWIC {ChessDB: Download from TWIC website}
# PLEASE TRANSLATE
translate R WebServerNotOK {The web server did NOT respond with an OK (HTTP status code 200) hence unable to retrive}
translate R GotoTWICNumber {First issue to download}
translate R DownloadNow {Download now}
translate R NotBelow210 {The TWIC web site does not archive issues older than 210}
# PLEASE TRANSLATE
translate R TWICissuedDownloadedLast {issue(s) of TWIC downloaded }
# PLEASE TRANSLATE
translate R OneTWICIssueDownloaded {One issue of TWIC was downloaded (issue}
# PLEASE TRANSLATE
translate R TWICIssuesDownloaded {TWIC issues were download (issues}
# PLEASE TRANSLATE
translate R BasedOnTheDate {Based on the date, the last issue ChessDB estimated that would be on the TWIC web site was issue}
# PLEASE TRANSLATE
translate R soThisIsConsistant {so what you have retrieved is consistant with what ChessDB expected.}
# PLEASE TRANSLATE
translate R soThisInNotConsistant {This is not consistant with what ChessDB managed to download. Perhaps there was a problem, or perhaps TWIC are late updating the web site. Or perhaps the date is wrong on your computer.}
translate R TWICTitle {Downloads from The Week In Chess (TWIC)\n\n}
# PLEASE TRANSLATE
translate R NoChangesMade {Failed to retrieve the first file requested. Aborting. No PGN file or datebase has been created.}
# PLEASE TRANSLATE
translate R SomeFileButNotAll {Some, but not all of the files requested could be retrieved, so the database and/or PGN file will not have as many issues as you requested. Try another time, when TWIC have updated their web site}
# PLEASE TRANSLATE
translate R TitlePartiallyCompleteDownload {Downloads partially compleated}
# PLEASE TRANSLATE
translate R FailureOccuredAt {The failure occured when trying to retrieve issue}
# PLEASE TRANSLATE
translate R NoNewTWICIssueFound {No new TWIC issues were found - try again later, when TWIC may have updated their web site}
# PLEASE TRANSLATE
translate R TriedButFailed {ChessDB tried unsuccessfully to retrieve issue}
# PLEASE TRANSLATE
translate R TheNewDBAndOrPGN {The new ChessDB format database and/or PGN file, will be in the directory}
translate R Introduction {Introduction}
translate R Configuration {Configuration}
translate R DeleteIndividualZip {Delete individual Zip files in}
# PLEASE TRANSLATE
translate R DeleteIndividualZip2 {Delete individual Zip files}
translate R WhenTheyAreNoLongerNeeded  {when they are no longer needed.}
translate R DeleteIndividualPGN {Delete individual PGN files in}
# PLEASE TRANSLATE
translate R DeleteIndividualPGN2 {Delete individual PGN files}
translate R CreateLargePGN  {Create a large PGN of all PGN's downloaded in}
translate R CreateChessDBDatabase {Create ChessDB format database in}
# PLEASE TRANSLATE
translate R ManuallySetFirstIssue {Manually set first issue}
# PLEASE TRANSLATE
translate R ManuallySetLastIssue  {Manually set last issue}
translate R IssueNumber {Issue number}
translate R IsNotAvailableYet {is not available yet}
translate R DownloadResults {Download results}
translate R DownloadShouldBeComplete {The download should be complete, although if you see this message very quickly, it probably means there was a problem.}
translate R NeedWriteAccess  {This operation needs to write some file(s) to disk. It does this in the directory from where you started ChessDB, but in this case you don't have write access to that directory. Hence this feature is not available to you. Please exit ChessDB, change directory to one where you have write access, then run ChessDB again. Then you will be able to use this feature. } 
translate R NeedUnzip {The files on the TWIC web site are compressed and need 'unzip' to decompress them. If you do not have it, you can get the sources from http://www.info-zip.org/UnZip.html If you do have 'unzip', then make sure it is in the path, since ChessDB can't execute it. An 'unzip.exe' will be distibuted with binary versions of ChessDB for Windows, so you should have unzip.exe if you installed a Windows binary}
translate R WarningBeta  {WARNING: This copy of ChessDB is a 'beta' release, meaning it is intended mainly for testing and evaluation, but not really for everyday use. Beta releases may have significant bugs. Please use this 'beta' release only if you want the benefits (usually more functionality) and accept the higher risk of bugs. I would appreciate feedback, particularly on beta releases. Please check regularly for updates - you can do this from the Help menu.}
translate R HelpTitleUpdatesMessage {Checking software version}
translate R HelpUpdateStatusCurrent {Your version of ChessDB is current. It is version}
translate R FreeUpgradeAt {Upgrades, when they are available, can be found for free at http://sourceforge.net/projects/chessdb/ All the stable releases are in a package called simply 'chessdb' Any beta releases, when available, will always be in a package called 'chessdb-unstable-for-testing'. Any extra files, such as tablebases, of perhaps games, will be in a package called 'extras'.}
translate R ThisVersionIs {The version of ChessDB you currently using is}
translate R HelpUpdateStatuStableToBeta  {However, that release is not considered a stable/bug-free release (hence you will find it in the 'chessdb-unstable-for-testing' package on Sourceforge and it has 'beta' in the name). While it will probably have some bug fixes, feature enhancements or completely new features compared to this stable release, there will often be a higher total number of bugs, and some new features shown on it may not work at all. Hence think about this before you download the beta release. But the best way to get ChessDB improved is to provide feedback on the bugs that exist. Beta releases will normally have more functionality than a stable release such as this, but are not as risky as alpha releases, so are often a good choice.}
translate R UsingLatestStableNoLaterBeta {You are using the latest version of ChessDB. There is not even a later version at present for test purposes (a beta release). Well done! This is version}
translate R UsingLatestStableThereIsLaterBeta {You are using the most current stable release of ChessDB. There is however a later 'beta' release available, but that is not fully tested and so is mainly for people who want to try out the latest features. There may well be significant enhancements, but some of the enhancements might not be fully functional. There is a greater chance of bugs in that case. It's up to you to decide whether or not to try the beta release. If you do, please provide feedback, as providing feedback on beta releases is the best way for ChessDB to improve.}
translate R NotUsingLatestStableThereIsLaterBeta {You are not using the latest stable release of ChessDB, you are advised to upgrade to at least that as soon as possible.\nThere is also an even later 'beta' release available, but that is not fully tested and so is mainly for people who want to try out the latest features. There may well be significant enhancements in the beta release, but some of the enhancements might not be fully functional. There is a greater chance of bugs in that case. It's up to you to decide whether or not to try the beta release. If you do, please provide feedback, as providing feedback on beta releases is the best way for ChessDB to improve. but you are strongly advised to upgrade to at least the latest stable release.} 
translate R NotUsingLatestStableButNoLaterBeta {There is a more recent release of ChessdB which is considered stable. That is not an experimental (beta) release, as there are currently no beta releases available. There is believed to be no reason for you not to upgrade.}
translate R BetaButNotLatestBeta {You are using a beta version of ChessDB, but there is a later beta version available. Whilst the latest beta is not expected to be 100% perfect, it should be better than the version you are using. Hence you are strongly advised to upgrade to the latest beta release. Remember, please give feedback on versions of ChessDB, *especially* beta releases like this one, since beta vesions are released primarily so people can spot bugs, before they are made into a stable release.}
translate R VersionOfLatestStable {The latest stable release, which should be free of any significant problems, is version} 
translate R ButNoteNotStable {But note that this is *not* classed as a stable release, so might well have bugs which don't exist in an older stable release. (Of course, a bug that existed in a stable release may be fixed in this beta one, but in general stable releases give the less hassle, but have less features.)}
translate R VersionOfLatestBeta {The latest beta release is} 
translate R DateOfRelease {That was released on}
translate R WhichWasRelasedOn {which was released on}
translate R HelpUpdateStatusUnknown {Sorry, unable to determine version.\nPlease check manually at http://chessdb.sourceforge.net/ or try again later.} 
translate R HelpUpdateStatusCantConnect {Sorry, unable to connect to http://chessdb.sourceforge.net/ to find the current version of ChessDB. Please try again later.}
translate R HelpUpdateStatusTooNew1 {This version appears to be newer that the latest release, which is a little odd, *unless* you have checked out code from the CVS repository, in which case ignore this message. Otherwise, please contact david.kirkby@onetel.net, telling him the date, time and version of your software (}
translate R HelpUpdateStatusTooNew2 {) as well as the apparent latest version, which is}
translate R Back {}
translate R Browse {Browse} ;# ***
translate R Cancel {}
translate R Clear {}
translate R Close {}
translate R Contents {Contents} ;# ***
translate R Defaults { }
translate R Delete {}
translate R Graph {}
translate R Help {}
translate R Import {}
translate R Index {}
translate R LoadGame { }
translate R BrowseGame { }
translate R MergeGame { }
translate R Preview { }
translate R Revert {}
translate R Save {}
translate R Search {}
translate R Stop {}
translate R Store {}
translate R Update {}
translate R ChangeOrient {  }
translate R ShowIcons {Show Icons}
translate R None {}
translate R First {}
translate R Current {}
translate R Last {}
translate R game {}
translate R games {}
translate R move {}
translate R moves {}
translate R all {}
translate R Yes {}
translate R No {}
translate R Both {}
translate R King {}
translate R Queen {}
translate R Rook {}
translate R Bishop {}
translate R Knight {}
translate R Pawn {}
translate R White {}
translate R Black {}
translate R Player {}
translate R Rating {}
translate R RatingDiff {  ( - )}
translate R AverageRating { }
translate R Event {}
translate R Site {}
translate R Country {}
translate R IgnoreColors { }
translate R Date {}
translate R EventDate { }
translate R Decade {}
translate R Year {}
translate R Month {}
translate R Months {          }
translate R Days {      }
translate R YearToToday { }
translate R Result {}
translate R Round {}
translate R Length {}
translate R ECOCode { ECO}
translate R ECO {ECO}
translate R Deleted {}
translate R SearchResults { }
translate R OpeningTheDatabase {  }
translate R Database { }
translate R Filter {}
translate R noGames { }
translate R allGames { }
translate R empty {}
translate R clipbase {}
translate R score {}
translate R StartPos { }
translate R Total {}
translate R readonly {read-only}
translate R ErrNotOpen {    .}
translate R ErrReadOnly {     ;     .}
translate R ErrSearchInterrupted {  ;   .}
translate R twin {}
translate R deleted {}
translate R comment {}
translate R hidden {}
translate R LastMove { }
translate R NextMove {}
translate R GameStart { }
translate R LineStart { }
translate R GameEnd { }
translate R LineEnd { }
translate R PInfoAll { <b></b> }
translate R PInfoFilter { <b></b> }
translate R PInfoAgainst { }
translate R PInfoMostWhite {    }
translate R PInfoMostBlack {    }
translate R PInfoRating { }
translate R PInfoBio {}
translate R PInfoEditRatings {Edit Ratings} ;# ***
translate R Draw {}
translate R stalemate {}
translate R withAllMoves {  }
translate R withAllButOneMove {    }
translate R with {}
translate R only {}
translate R lose {}
translate R loses {}
translate R allOthersLose {  }
translate R matesIn { }
translate R hasCheckmated {}
translate R longest { }
translate R WinningMoves { }
translate R DrawingMoves { }
translate R LosingMoves { }
translate R UnknownMoves {,    }
translate R Tip {}
translate R TipAtStartup {  }
translate R SaveCache { }
translate R Training {}
translate R LockTree {}
translate R TreeLocked {}
translate R TreeBest {}
translate R TreeBestGames {  }
translate R TreeTitleRow {        ECO               Elo    %}
translate R TreeTotal {TOTAL} ;# ***
translate R FileFinder { }
translate R FinderDir {}
translate R FinderDirs {}
translate R FinderFiles {}
translate R FinderUpDir {}
translate R TmtLimit { }
translate R TmtMeanElo {  Elo}
translate R TmtNone {    .}
translate R GraphFilterTitle { :   1000 }
translate R AddVariation { }
translate R AddMove { }
translate R Annotate {}
translate R AnalysisCommand { }
translate R PreviousChoices { }
translate R AnnotateTime {     }
translate R AnnotateWhich { }
translate R AnnotateAll {   }
translate R AnnotateWhite {   }
translate R AnnotateBlack {   }
translate R AnnotateNotBest {       }
translate R AnnotateBlundersOnly {When game move is an obvious blunder}
translate R AnnotateBlundersOnlyScoreChange {Analysis reports blunder, with score change from/to: }
translate R MistakesThreshold {Score for weak move (?) }
translate R BlundersThreshold {Threshold}
translate R StopBlunderAnalysisThreshold {Disregard when winning by at least }
translate R LowPriority {  CPU}
translate R EngineList {  }
translate R EngineName {}
translate R EngineCmd {}
translate R EngineArgs {}
translate R EngineDir {}
translate R EngineElo {Elo}
translate R EngineTime {}
translate R EngineNew {}
translate R EngineEdit {}
translate R EngineRequired {,   ,  ,   }
translate R PgnWindowTitle {Game Notation - game %u} ;# ***
translate R SetFilter { }
translate R AddToFilter {  }
translate R Swiss { }
translate R Category {}
translate R RepSearch { }
translate R RepIncludedLines { }
translate R RepExcludedLines { }
# PLEASE TRANSLATE
translate R RepCloseDialog {This repertoire has unsaved changes. Do you really want to continue and discard the changes you have made? }
translate R HeaderSearch {  }
translate R EndSideToMove {Side to move at end of game}
translate R GamesWithNoECO {  ECO?}
translate R GameLength { }
translate R FindGamesWith {   }
translate R StdStart { }
translate R Promotions {}
translate R Comments {}
translate R Variations {}
translate R Annotations {}
translate R DeleteFlag { }
translate R WhiteOpFlag { }
translate R BlackOpFlag { }
translate R MiddlegameFlag {}
translate R EndgameFlag {}
translate R NoveltyFlag {}
translate R PawnFlag { }
translate R TacticsFlag {}
translate R QsideFlag {   }
translate R KsideFlag {   }
translate R BrilliancyFlag {}
translate R BlunderFlag {}
translate R UserFlag {}
translate R PgnContains { PGN}
translate R GlistNumber {}
translate R GlistWhite {}
translate R GlistBlack {}
translate R GlistWElo {-Elo}
translate R GlistBElo {-Elo}
translate R GlistEvent {}
translate R GlistSite {}
translate R GlistRound {}
translate R GlistDate {}
translate R GlistYear {}
translate R GlistEDate { }
translate R GlistResult {}
translate R GlistLength {}
translate R GlistCountry {}
translate R GlistECO {ECO}
translate R GlistOpening {}
translate R GlistEndMaterial { }
translate R GlistDeleted {}
translate R GlistFlags {}
translate R GlistVars {}
translate R GlistComments {}
translate R GlistAnnos {}
translate R GlistStart {}
translate R GlistGameNumber { }
translate R GlistFindText { }
translate R GlistMoveField {}
translate R GlistEditField {}
translate R GlistAddField {}
translate R GlistDeleteField {}
translate R GlistWidth {}
translate R GlistAlign {}
translate R GlistColor {}
translate R GlistSep {}
translate R GlistRemoveThisGameFromFilter  {Remove this game from Filter}
translate R GlistRemoveGameAndAboveFromFilter  {Remove game (and all above it) from Filter}
translate R GlistRemoveGameAndBelowFromFilter  {Remove game (and all below it) from Filter}
translate R DatabaseName {  :}
translate R TypeIcon { :}
translate R NumOfGames {:}
translate R NumDeletedGames { :}
translate R NumFilterGames {  :}
translate R YearRange { :}
translate R RatingRange { :}
translate R Description {}
translate R Flag {}
translate R DeleteCurrent {  }
translate R DeleteFilter {  }
translate R DeleteAll {  }
translate R UndeleteCurrent {  }
translate R UndeleteFilter {  }
translate R UndeleteAll {  }
translate R DeleteTwins {  }
translate R MarkCurrent {  }
translate R MarkFilter {  }
translate R MarkAll {  }
translate R UnmarkCurrent {    }
translate R UnmarkFilter {    }
translate R UnmarkAll {    }
translate R Spellchecking { }
translate R Players {}
translate R Events {}
translate R Sites {}
translate R Rounds {}
translate R DatabaseOps {   }
translate R ReclassifyGames {   ECO}
translate R CompactDatabase {  }
translate R SortDatabase {  }
translate R AddEloRatings {  Elo}
translate R AutoloadGame {  }
translate R StripTags {  PGN}
translate R StripTag { }
translate R Cleaner {}
translate R CleanerHelp1 { ChessDB    ,      ,    .}
translate R CleanerHelp2 {   ECO      ,     .}
translate R CleanerConfirm1 {   ,     !}
translate R CleanerConfirm2 {        ,    ,       .}
translate R CleanerConfirm3 { ,     ,   ?}
translate R AnnotationSymbols  { :}
translate R Comment {:}
translate R InsertMark { }
translate R InsertMarkHelp {Insert/remove mark: Select color, type, square.}
translate R InsertArrowHelp {Insert/remove arrow: Right-click two squares.}
translate R GoodMove {Good move} ;# ***
translate R PoorMove {Poor move} ;# ***
translate R ExcellentMove {Excellent move} ;# ***
translate R Blunder {Blunder}
translate R InterestingMove {Interesting move} ;# ***
translate R DubiousMove {Dubious move} ;# ***
translate R WhiteDecisiveAdvantage {White has a decisive advantage} ;# ***
translate R BlackDecisiveAdvantage {White has a decisive advantage} ;# ***
translate R WhiteClearAdvantage {White has a clear advantage} ;# ***
translate R BlackClearAdvantage {White has a clear advantage} ;# ***
translate R WhiteSlightAdvantage {White has a slight advantage} ;# ***
translate R BlackSlightAdvantage {White has a slight advantage} ;# ***
translate R Equality {Equality} ;# ***
translate R Unclear {Unclear} ;# ***
translate R Diagram {Diagram} ;# ***
translate R BoardSearch { }
translate R FilterOperation {   :}
translate R FilterAnd {AND ( )}
translate R FilterOr {OR (  )}
translate R FilterIgnore {IGNORE ( )}
translate R SearchType { :}
translate R SearchBoardExact {  (     )}
translate R SearchBoardPawns { (  ,      )}
translate R SearchBoardFiles { (  ,      )}
translate R SearchBoardAny { (  ,      )}
translate R LookInVars {  }
translate R MaterialSearch { }
translate R Material {}
translate R Patterns {}
translate R Zero {}
translate R Any {}
translate R CurrentBoard { }
translate R CommonEndings { }
translate R CommonPatterns { }
translate R MaterialDiff { }
translate R squares {}
translate R SameColor {  }
translate R OppColor { }
translate R Either {}
translate R MoveNumberRange {  }
translate R MatchForAtLeast {   }
translate R HalfMoves {}
translate R EndingPawns {Pawn endings}
translate R EndingRookVsPawns {Rook vs. Pawn(s)}
translate R EndingRookPawnVsRook {Rook and 1 Pawn vs. Rook}
translate R EndingRookPawnsVsRook {Rook and Pawn(s) vs. Rook}
translate R EndingRooks {Rook vs. Rook endings}
translate R EndingRooksPassedA {Rook vs. Rook endings with a passed a-pawn}
translate R EndingRooksDouble {Double Rook endings}
translate R EndingBishops {Bishop vs. Bishop endings}
translate R EndingBishopVsKnight {Bishop vs. Knight endings}
translate R EndingKnights {Knight vs. Knight endings}
translate R EndingQueens {Queen vs. Queen endings}
translate R EndingQueenPawnVsQueen {Queen and 1 Pawn vs. Queen}
translate R BishopPairVsKnightPair {Two Bishops vs. Two Knights middlegame}
translate R PatternWhiteIQP {White IQP}
translate R PatternWhiteIQPBreakE6 {White IQP: d4-d5 break vs. e6}
translate R PatternWhiteIQPBreakC6 {White IQP: d4-d5 break vs. c6}
translate R PatternBlackIQP {Black IQP}
translate R PatternWhiteBlackIQP {White IQP vs. Black IQP}
translate R PatternCoupleC3D4 {White c3+d4 Isolated Pawn Couple}
translate R PatternHangingC5D5 {Black Hanging Pawns on c5 and d5}
translate R PatternMaroczy {Maroczy Center (with Pawns on c4 and e4)}
translate R PatternRookSacC3 {Rook Sacrifice on c3}
translate R PatternKc1Kg8 {O-O-O vs. O-O (Kc1 vs. Kg8)}
translate R PatternKg1Kc8 {O-O vs. O-O-O (Kg1 vs. Kc8)}
translate R PatternLightFian {Light-Square Fianchettos (Bishop-g2 vs. Bishop-b7)}
translate R PatternDarkFian {Dark-Square Fianchettos (Bishop-b2 vs. Bishop-g7)}
translate R PatternFourFian {Four Fianchettos (Bishops on b2,g2,b7,g7)}
translate R Today {}
translate R ClassifyGame { }
translate R EmptyBoard { }
translate R InitialBoard { }
translate R SideToMove { }
translate R MoveNumber { }
translate R Castling {}
translate R EnPassantFile { }
translate R ClearFen { FEN}
translate R PasteFen { FEN}
translate R ReplaceMove { }
translate R AddNewVar {  }
translate R ReplaceMoveMessage1 {   .}
translate R ReplaceMoveMessage2 {   ,     ,    ,   .}
translate R ReplaceMoveMessage3 {(       ,   "   "   : .)}
translate R ReadOnlyDialog1 {        ,     .      ,       .       ECO  .}
translate R ReadOnlyDialog2 {           .}
translate R ReadOnlyDialog3 {         ?}
translate R ClearGameDialog {   .    ,    ? }
translate R ExitDialog {     ChessDB?}
translate R ExitUnsaved {       .    ,   .}
translate R PasteCurrentGame {  }
translate R ImportHelp1 {      PGN   .}
translate R ImportHelp2 {      .}
translate R ECOAllSections {  ECO}
translate R ECOSection { ECO}
translate R ECOSummary { }
translate R ECOFrequency {  }
translate R OprepTitle { }
translate R OprepReport {}
translate R OprepGenerated {}
translate R OprepStatsHist {  }
translate R OprepStats {}
translate R OprepStatAll {  }
translate R OprepStatBoth {  }
translate R OprepStatSince {}
translate R OprepOldest { }
translate R OprepNewest { }
translate R OprepPopular { }
translate R OprepFreqAll {   :   }
translate R OprepFreq1   {  : }
translate R OprepFreq5   {   : }
translate R OprepFreq10  {   : }
translate R OprepEvery {   %u }
translate R OprepUp { - %u%s   }
translate R OprepDown { - %u%s   }
translate R OprepSame {    }
translate R OprepMostFrequent {   }
translate R OprepMostFrequentOpponents {Most frequent opponents} ;# ***
translate R OprepRatingsPerf {  }
translate R OprepAvgPerf {   }
translate R OprepWRating { }
translate R OprepBRating { }
translate R OprepWPerf { }
translate R OprepBPerf { }
translate R OprepHighRating {    }
translate R OprepTrends { }
translate R OprepResults {   }
translate R OprepLength { }
translate R OprepFrequency {}
translate R OprepWWins { : }
translate R OprepBWins { : }
translate R OprepDraws {:      }
translate R OprepWholeDB {  }
translate R OprepShortest {  }
translate R OprepMovesThemes {  }
translate R OprepMoveOrders {      }
translate R OprepMoveOrdersOne {        :}
translate R OprepMoveOrdersAll { %u       :}
translate R OprepMoveOrdersMany { %u       .  %u:}
translate R OprepMovesFrom {   }
translate R OprepMostFrequentEcoCodes {Most frequent ECO codes} ;# ***
translate R OprepThemes { }
translate R OprepThemeDescription {Frequency of themes in the first %u moves of each game} ;# ***
translate R OprepThemeSameCastling { }
translate R OprepThemeOppCastling { }
translate R OprepThemeNoCastling {   }
translate R OprepThemeKPawnStorm {  }
translate R OprepThemeQueenswap { }
translate R OprepThemeWIQP {White Isolated Queen Pawn} ;# ***
translate R OprepThemeBIQP {Black Isolated Queen Pawn} ;# ***
translate R OprepThemeWP567 {   5/6/7 }
translate R OprepThemeBP234 {   2/3/4 }
translate R OprepThemeOpenCDE { c/d/e }
translate R OprepTheme1BishopPair {     }
translate R OprepEndgames {}
translate R OprepReportGames { }
translate R OprepAllGames    { }
translate R OprepEndClass {    }
translate R OprepTheoryTable { }
translate R OprepTableComment {  %u  .}
translate R OprepExtraMoves {      }
translate R OprepMaxGames {    }
translate R OprepViewHTML {View HTML} ;# ***
translate R OprepViewLaTeX {View LaTeX} ;# ***
translate R PReportTitle {Player Report} ;# ***
translate R PReportColorWhite {with the White pieces} ;# ***
translate R PReportColorBlack {with the Black pieces} ;# ***
translate R PReportMoves {after %s} ;# ***
translate R PReportOpenings {Openings} ;# ***
translate R PReportClipbase {Empty clipbase and copy matching games to it} ;# ***
translate R TrackerSelectSingle {     .}
translate R TrackerSelectPair {     ;     .}
translate R TrackerSelectPawn {     ;    8 .}
translate R TrackerStat {}
translate R TrackerGames {%      }
translate R TrackerTime {%    }
translate R TrackerMoves {}
translate R TrackerMovesStart {  ,    .}
translate R TrackerMovesStop {  ,   .}
translate R SelectAllGames {    }
translate R SelectFilterGames {  }
translate R SelectTournamentGames {   }
translate R SelectOlderGames {  }
translate R TwinsNote1 {  ,         ,  ,    .    ,    .}
translate R TwinsNote2 {:      ,    . }
translate R TwinsCriteria {:   ...}
translate R TwinsWhich {  }
translate R TwinsColors {    ?}
translate R TwinsEvent {  ?}
translate R TwinsSite {  ?}
translate R TwinsRound {  ?}
translate R TwinsYear {  ?}
translate R TwinsMonth {  ?}
translate R TwinsDay {  ?}
translate R TwinsResult {  ?}
translate R TwinsECO {   ECO?}
translate R TwinsMoves {  ?}
translate R TwinsPlayers {  :}
translate R TwinsPlayersExact { }
translate R TwinsPlayersPrefix {  4 }
translate R TwinsWhen {   }
translate R TwinsSkipShort {  ,   5 ?}
translate R TwinsUndelete {   ?}
translate R TwinsSetFilter {     ?}
translate R TwinsComments {    ?}
translate R TwinsVars {    ?}
translate R TwinsDeleteWhich {  :}
translate R TwinsDeleteShorter {  }
translate R TwinsDeleteOlder {  }
translate R TwinsDeleteNewer {  }
translate R TwinsDelete { }
translate R NameEditType {   }
translate R NameEditSelect {  }
translate R NameEditReplace {}
translate R NameEditWith {}
translate R NameEditMatches {:  Ctrl+1 - Ctrl+9  }
translate R Classify {}
translate R ClassifyWhich {   ECO}
translate R ClassifyAll {  (  ECO)}
translate R ClassifyYear { ,    }
translate R ClassifyMonth { ,    }
translate R ClassifyNew {    ECO}
translate R ClassifyCodes { ECO  }
translate R ClassifyBasic {   ("B12", ...)}
translate R ClassifyExtended {ChessDB  ("B12j", ...)}
translate R NameFile { }
translate R GameFile { }
translate R Names {}
translate R Unused { }
translate R SizeKb { (kb)}
translate R CurrentState { }
translate R AfterCompaction { }
translate R CompactNames {  }
translate R CompactGames {  }
translate R SortCriteria {}
translate R AddCriteria { }
translate R CommonSorts { }
translate R Sort {}
translate R AddToExistingFile {    ?}
translate R ExportComments { ?}
translate R ExportVariations { ?}
translate R IndentComments {  ?}
translate R IndentVariations {  ?}
translate R ExportColumnStyle {  (   )?}
translate R ExportSymbolStyle {  :}
translate R ExportStripMarks {   /  ?}
translate R LoadGameNumber {    :}
translate R GotoMoveNumber {   :}
translate R CopyGames { }
translate R CopyConfirm1 {   }
translate R CopyConfirm2 {[::utils::thousands $nGamesToCopy]  }
translate R CopyConfirm3 {   "$fromName"}
translate R CopyConfirm4 {   "$targetName"?}
translate R CopyErr {   }
translate R CopyErrSource {  }
translate R CopyErrTarget {  }
translate R CopyErrNoGames {has no games in its filter}
translate R CopyErrReadOnly {  }
translate R CopyErrNotOpen { }
translate R LightSquares { }
translate R DarkSquares { }
translate R SelectedSquares { }
translate R SuggestedSquares {  }
translate R WhitePieces { }
translate R BlackPieces { }
translate R WhiteBorder { }
translate R BlackBorder { }
translate R FindNovelty { }
translate R Novelty {}
translate R NoveltyInterrupt {  }
translate R NoveltyNone {     }
translate R NoveltyHelp {ChessDB      ,    ,        .}
translate R SoundsFolder {Sound Files Folder}
translate R SoundsFolderHelp {The folder should contain the files King.wav, a.wav, 1.wav, etc}
translate R SoundsAnnounceOptions {Move Announcement Options}
translate R SoundsAnnounceNew {Announce new moves as they are made}
translate R SoundsAnnounceForward {Announce moves when moving forward one move}
translate R SoundsAnnounceBack {Announce when retracting or moving back one move}
translate R Upgrading {}
translate R ConfirmOpenNew {   (Scid 2)  ,       ChessDB 3,     (ChessDB 3)    .        ?}
translate R ConfirmUpgrade {   (ChessDB 2)  .              ChessDB 3.       ;        .     ,      .   ,      .       ?}
translate R RecentFilesMenu {      }
translate R RecentFilesExtra {      }
translate R MyPlayerNamesDescription1 { Enter a list of preferred player names below, one name per line. Wildcards (e.g. "?" for any single character, "*" for any sequence of characters) are permitted.}
translate R MyPlayerNamesDescription2 {Every time a game with a player in the list is loaded, the main window chessboard will be rotated if necessary to show the game from that players perspective.}
translate R showblunderexists {show blunder exists}
translate R showblundervalue {show blunder value}
translate R showscore {show score}
translate R coachgame {coach game}
translate R configurecoachgame {configure coach game}
translate R Phalanxengine {Phalanx engine}
translate R Coachengine {Coach engine}
translate R difficulty {difficulty}
translate R hard {hard}
translate R easy {easy}
translate R Playwith {Play with}
translate R white {white}
translate R black {black}
translate R Play {Play}
translate R Noblunder {No blunder}
translate R blunder {blunder}
translate R Noinfo {-- No info --}
translate R selectCoachEngines {Select a Phalanx engine in the left list and a coach engine in the right list (a Crafty engine is preferable as coach)}
translate R moveblunderthreshold {move is a blunder if loss is greater than}
translate R limitanalysis {limit engine analysis time}
translate R seconds {seconds}
translate R Abort {Abort}
# PLEASE TRANSLATE
translate R TitleCanNotWriteDir {Error: Can't write to directory}
# PLEASE TRANSLATE
translate R CanNotWriteToDirectory {ChessDB was unable to write to the directory} 
# PLEASE TRANSLATE
translate R CanNotWriteFile {ChessDB was unable to open the following file for writing:} 
# PLEASE TRANSLATE
translate R CanNotWriteFile2 {Check the disk space and permissions} 
# PLEASE TRANSLATE
translate R CanNotReadFile {ChessDB was unable to read the following file:} 
# PLEASE TRANSLATE
translate R TitleCanNotOpenFile {ChessdDB Error: Can't open file} 
# PLEASE TRANSLATE
translate R OverwrriteFilesIfPresent {Overwrite files of the same name in}
# PLEASE TRANSLATE
translate R OverwrriteDBFilesIfPresent {Overwrite the database files (.sg3, si3 & .sn3) in}
# PLEASE TRANSLATE
translate R FilesFromTWICPlaced {Files from the TWIC web site will be put in} 
# PLEASE TRANSLATE
translate R NewDatabaseWillBeCreated {A new ChessDB database will be created in }
# PLEASE TRANSLATE
translate R NewPGNWillBeCreated {A new PGN file will be created, which will hold the contents of all the files downloaded from the TWIC website. The new PGN file will be:}
# PLEASE TRANSLATE
translate R ProblemWithWriteAcessToDatabaseFiles {You chose to create a database, but one or more of the database files exists. Since you chose not to overwrite the database files, this can not be done. Either don't create the database, move or delete the database files or change the tickbox to ovewrite the database files in}
# PLEASE TRANSLATE
translate R Appending {Appending}
# PLEASE TRANSLATE
translate R ToTheEndOf {on to the end of}
# PLEASE TRANSLATE
translate R ActionsToBePerformed {Actions to be performed}
# PLEASE TRANSLATE
translate R DownloadLog {Log of actions performed}
# PLEASE TRANSLATE
translate R DatabaseCreated {A new database has been created, based on the contents of the TWIC web site}
# PLEASE TRANSLATE
translate R NewPGNCreated {A new PGN file 'newgames.pgn' has been created, based on the contents of the TWIC web site}
# PLEASE TRANSLATE
translate R Warning {Warning:}
# PLEASE TRANSLATE
translate R ErrorsDetectedWhenCreatingDatabase {Some errors were detected when creating the database. They were:}
# PLEASE TRANSLATE
translate R AutomaticallyDetermineNextDownload {Automatically determine next file to download from}
# PLEASE TRANSLATE
translate R DownloadToLastCopyOnTWICWebSite {Download to the latest issue available on the TWIC web site}
# PLEASE TRANSLATE
translate R ShouldYouChose {Should you chose to use use the automatic method to determine the first issue to download, next time the program will start on issue}
# PLEASE TRANSLATE
translate R CreateNeither {You selected neither to create a database or the large PGN file. Therefore there is nothing to do!}
# PLEASE TRANSLATE
translate R IfUsingManualYouMustEnterValue {If you select to manually choose an issue or issues to download, you must enter a value. This will need to be between 210 and the latest issue on TWIC. Based on the date of your computer, the latter is estimated to be approximately}
# PLEASE TRANSLATE
translate R FileCorruption {ChessDB Error: File Corrupted}
# PLEASE TRANSLATE
translate R TheLengthOfFileIsNotCorrect {The following file should be of 4 or 5 bytes long, but it is not:}
# PLEASE TRANSLATE
translate R FirstIssueInFileTooLarge1 {The file}
# PLEASE TRANSLATE
translate R FirstIssueInFileTooLarge2 {requests downloads start at issue}
# PLEASE TRANSLATE
translate R FirstIssueInFileTooLarge3 {but that is unrealisticaly large. First check the date on your computer, as the estimate of what is unrealistic or not is based on the date. If the date is correct, set the first issue manually time only, just in case it was an odd case of corruption. Check for an updated version of ChessDB (see 'Check for Updates' on the 'Help' menu)}
# PLEASE TRANSLATE
translate R ReportPossibleInternalError {Please  email chessdb-users@lists.sourceforge.net to report this, since this should generally not happen and may indicate an internal error in ChessDB, which the developers would like to correct.}
# PLEASE TRANSLATE
translate R butLastFileIndicates {but the file 'last-file.txt' indicates the next issue to down is less than that}
# PLEASE TRANSLATE
translate R FirstIssueGreaterLastIssue {The first issue must be less than or equal to the last issue}
# PLEASE TRANSLATE
translate R UserError {ChessDB: User Error}
# PLEASE TRANSLATE
translate R TitleNeedUnzip {ChessDB: Unzip not found}
# PLEASE TRANSLATE
translate R Needpgnchessdb {The executable program pgnchessdb can't be found - its impossible to continue without that.}
# PLEASE TRANSLATE
translate R LookAtTutorial {Please look at the online tutorial at http://chessdb.sourceforge.net/tutorial/ The online documentation is always the most accurate, as the website is updated much more frequently than any other documentation.}
# PLEASE TRANSLATE
translate R NumberOfHelpPages {ChessDB has 46 online help pages; just press F1 for help!}
# PLEASE TRANSLATE
translate R StartupCompleted {Start-up completed}
# PLEASE TRANSLATE
translate R ReviewStartupCompleted {Review the above log to ensure you can make best use of ChessDB. You may need to configure a chess engine later.}
# PLEASE TRANSLATE
translate R FoundThreePieceTablebases {You have only the 3-piece tablebases configured. These are all that comes with ChessDB, but the 4-piece and 5-piece can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but not 5-piece tablebases can also be downloaded from Sourceforge in the 'extras' package.) Be aware, the 5-piece tablebases require 7.1 GB of disk space - the 4-piece ones need a more modest 30 MB}
# PLEASE TRANSLATE
translate R FoundFourPieceTablebases {You have at least some (possibly all) of the 4-piece tablebases configured, but do not have any 5-piece ones. The 5-piece tablebases can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/, but be aware the complete set requires 7.1 GB of disk space, so you may prefer to use just the 4-piece ones you have configured.}
# PLEASE TRANSLATE
translate R FoundFivePieceTablebases {You have at least some (possibly all) of the 5-piece tablebases configured. They are the largest ChessDB supports. You are advised to make sure you have them all - any missing ones can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/}
# PLEASE TRANSLATE
translate R CheckingForTablebaseFiles {Checking for Nalimov endgame tablebase files...}
# PLEASE TRANSLATE
translate R ChessDBWebsite {Website: http://chessdb.sourceforge.net/}
# PLEASE TRANSLATE
translate R ChessDBBasedOnScid {ChessDB is based on Scid -  http://scid.sourceforge.net/ but has new features, enhancements and bug-fixes. More than 90% of ChessDB's code comes from Scid.}
# PLEASE TRANSLATE
translate R MainScidAuthor {The main author of Scid was Shane Hudson}
# PLEASE TRANSLATE
translate R ShaneNoBugs {Shane is NOT responsible for any bugs in ChessDB}
# PLEASE TRANSLATE
translate R SeeTutorial {Please see the online tutorial at http://chessdb/sourceforge.net/tutorial/}
# PLEASE TRANSLATE
translate R GPL {ChessDB is distributed under the terms of the GNU General Public License}
# PLEASE TRANSLATE
translate R Copyright {Copyright (C)}
# PLEASE TRANSLATE
translate R AboutChessDB {About ChessDB}
# PLEASE TRANSLATE
translate R FastStart {Fast start: no tablebases, ECO or spelling file loaded.}
# PLEASE TRANSLATE
translate R TryECO {Trying to load the ECO openings file...}
# PLEASE TRANSLATE
translate R CantLoadSpellcheck {Unable to load the default spellcheck file}
# PLEASE TRANSLATE
translate R ErrorCantLoadDatbase {Error: could not open database}
# PLEASE TRANSLATE
translate R Email {Email:}
# PLEASE TRANSLATE
translate R TextAt {Text at}
# PLEASE TRANSLATE
translate R start {start}
# PLEASE TRANSLATE
translate R end {end}
# PLEASE TRANSLATE
translate R file {file}
# PLEASE TRANSLATE
translate R ResetToDefault {Reset to default}
# PLEASE TRANSLATE
translate R SetPGNFileExportText {ChessDB: Set PGN file export text}
# PLEASE TRANSLATE
translate R SetHTMLFileExportText {ChessDB: Set HTML file export text}
# PLEASE TRANSLATE
translate R SetLaTexFileExportText {ChessDB: Set LaTex file export text}
# PLEASE TRANSLATE
translate R ErrorOpening {Error opening}
# PLEASE TRANSLATE
translate R ErrorOpeningEPDFile {Error opening EPD file}
# PLEASE TRANSLATE
translate R OpeningEPDFile {Opening EPD file:}
# PLEASE TRANSLATE
translate R OpeningRepertoireFile {Opening repertoire file:}
# PLEASE TRANSLATE
translate R UnableToMergeGame {Unable to merge the selected game:}
# PLEASE TRANSLATE
translate R SubscribeToMailingList {Please subscribe to the chessdb-users@lists.sourceforge.net mailing list by visiting https://lists.sourceforge.net/lists/listinfo/chessdb-users}
# PLEASE TRANSLATE
translate R SettingUpAudio {Setting up audio move announcement...}
# PLEASE TRANSLATE
translate R SeachingSounds {Searching sounds folder for move announcement sounds...}
# PLEASE TRANSLATE
translate R NoSnack {Move speech disabled - Snack sound package 2.0 or later was not found}
# PLEASE TRANSLATE
translate R Snack {Move speech enabled - Snack sound package 2.0 or later was found}
# PLEASE TRANSLATE
translate R ConfigureSoundDir {Although you have the sound package installed, not all sounds were found. Select the directory from the Options Menu}
# PLEASE TRANSLATE
translate R Found {Found}
# PLEASE TRANSLATE
translate R of {of}
# PLEASE TRANSLATE
translate R soundFilesIn {sound files in}
# PLEASE TRANSLATE
translate R WarningUnknownOption {Warning: unknown option:}
# PLEASE TRANSLATE
translate R TryingToLoadTheECOOpeningsFile {Trying to load the ECO openings file...}
# PLEASE TRANSLATE
translate R UnableToOpenTheECOOpeningsFile {Unable to open the ECO file:}
# PLEASE TRANSLATE
translate R ConfiguringSpellingAndRatings {Configuring spellings and ratings - please wait.}
# PLEASE TRANSLATE
translate R TryingToLoadTheSpellingFile {Since the spelling and rating file (ratings.ssp) was not found, ChessDB will try to load the spellcheck file without ELO ratings (spelling.ssp)}
# PLEASE TRANSLATE
translate R TryingToLoadTheSpellingAndRatingsFile {First trying to load the spellcheck file which has ELO ratings too:}
# PLEASE TRANSLATE
translate R ThisCanBeSlowToLoad {This can be slow to load, so if you do not want to add ELO ratings, use spelling.ssp instead, which will load much faster.}
# PLEASE TRANSLATE
translate R UnableToOpenTheSpellCheckFile {Unable to open the spellcheck only file either}
# PLEASE TRANSLATE
translate R UnableToOpenTheSpellingAndRatingsFile {Unable to open the spellcheck and rating file:}
# PLEASE TRANSLATE
translate R NeitherSpellingOrRatingFilesFound {Neither the spellling+rating file (ratings.ssp) or the spellcheck only file (spelling.ssp) could be loaded. These were included with ChessDB. You may need to set the directory on the Options menu}
# PLEASE TRANSLATE
translate R positions {positions}
# PLEASE TRANSLATE
translate R SpellcheckFile {Spellcheck file}
# PLEASE TRANSLATE
translate R SpellcheckAndRatingsFile {Spellcheck and ratings file}
# PLEASE TRANSLATE
translate R loaded {loaded}
# PLEASE TRANSLATE
translate R DocumentationAndSupport {Documentation and support}
# PLEASE TRANSLATE
translate R CopyrightHistoryLicence {Copyright, History and License}
# PLEASE TRANSLATE
translate R NoTablebasesFoundWindows {No tablebases were found. The small 3-piece tablesbases are included in ChessDB in a directory 'tablebases' (typically C:>\Program Files\ChessDB\tablebases\) so you should configure ChessDB to use them by setting the Tablebase Directory on the Options menu. The 4 piece tablebases (which take up about 30 MB) and 5 piece tablebases (which use about 7.1 GB of disk space) are not included in ChessDB due to their size. They can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but not 5-piece tablebases can also be downloaded from Sourceforge in ChessDB's 'extras' package)}
# PLEASE TRANSLATE
translate R NoTablebasesFoundUNIX {No tablebases were found. The small 3-piece tablesbases are included in ChessDB in a directory 'tablebases' so you should configure ChessDB to use them by setting the Tablebase Directory on the Options menu. The 4 piece tablebases (which take up about 30 MB) and 5 piece tablebases (which use about 7.1 GB of disk space) are not included in ChessDB due to their size. They can be downloaded from ftp://ftp.cis.uab.edu/pub/hyatt/TB/3-4-5/ (The 4-piece, but *not* 5-piece tablebases can also be downloaded from Sourceforge in ChessDB's 'extras' package)}
# PLEASE TRANSLATE
translate R ConvertNullMovesToComments {Convert null moves to comments}
# PLEASE TRANSLATE
translate R Random {Random}
# PLEASE TRANSLATE
translate R GotoTheFirstPageOfGames {Go to the first page of games}
# PLEASE TRANSLATE
translate R GotoTheLastPageOfGames {Go to the last page of games}
# PLEASE TRANSLATE
translate R PreviousPageOfGames {Previous page of games}
# PLEASE TRANSLATE
translate R NextPageOfGames {Next page of games}
# PLEASE TRANSLATE
translate R NoGamesInCurrentFiler {There are no games in the current filter}
# PLEASE TRANSLATE
translate R ChessDBSaveGameList {ChessDB: Save Game List}
# PLEASE TRANSLATE
translate R SavingGameList {Saving game list...}
# PLEASE TRANSLATE
translate R databases {databases}
# PLEASE TRANSLATE
translate R All {All}
# PLEASE TRANSLATE
translate R files {files}
# PLEASE TRANSLATE
translate R TooManyDatabasesOpen {Too many databases open; close one first}
# PLEASE TRANSLATE
translate R OpenAChessDBFile {Open a ChessDB file}
# PLEASE TRANSLATE
translate R ErrorOpeningFile {ChessDB: Error opening file}
# PLEASE TRANSLATE
translate R UnableToUpgradeTheDatabase {Unable to upgrade the database}
# PLEASE TRANSLATE
translate R Opening {Opening}
# PLEASE TRANSLATE
translate R ReadOnly {read-only...}
# PLEASE TRANSLATE
translate R text {text}
# PLEASE TRANSLATE
translate R HashChessDBOptiomFile {ChessDB options file}
# PLEASE TRANSLATE
translate R HashInTclFormat {This file contains commands in the Tcl language format}
# PLEASE TRANSLATE
translate R HashVersion    {Version:}
# PLEASE TRANSLATE
translate R HashIfYouEdit {If you edit this file, you must preserve its valid Tcl}
# PLEASE TRANSLATE
translate R HashformatOrNotSet {format or it will not set your ChessDB options properly}
# PLEASE TRANSLATE
translate R ProxyHost {   Proxy Host}
# PLEASE TRANSLATE
translate R ProxyPort {   Proxy Port}
# PLEASE TRANSLATE
translate R Logo {Logo designed by James Mossop}
# PLEASE TRANSLATE
translate R DownloadOptions {ChessDB: Download options}
# PLEASE TRANSLATE
translate R ICCuser { ICC username}
# PLEASE TRANSLATE
translate R FICSuser { FICS username}
# PLEASE TRANSLATE
translate R ICCserver { ICC server}
# PLEASE TRANSLATE
translate R FICSserver {FICS server}
# PLEASE TRANSLATE
translate R ICCpass {ICC password}
# PLEASE TRANSLATE
translate R FICSpass {FICS password}
# PLEASE TRANSLATE
translate R Port {Port}
# PLEASE TRANSLATE
translate R SavePassword {Save password}
# PLEASE TRANSLATE
translate R NotEncrypted {WARNING: Saved as plain text - not encrypted at all.}
# PLEASE TRANSLATE
translate R WeakEncryption {WARNING: Only a very weak encryption is used.}
# PLEASE TRANSLATE
translate R ExtraTags {Extra Tags}
# PLEASE TRANSLATE
translate R AsLastGame {As last game}
# PLEASE TRANSLATE
translate R Databases {Databases}
# PLEASE TRANSLATE
translate R Notation {Notation}
# PLEASE TRANSLATE
translate R UpToMove {Up to move}
# PLEASE TRANSLATE
translate R OK {OK}
# PLEASE TRANSLATE
translate R bitmaps {bitmaps}
# PLEASE TRANSLATE
translate R bitmaps2 {bitmaps2}
# PLEASE TRANSLATE
translate R AutoCloseAfterStartup {Auto-close after startup}
# PLEASE TRANSLATE
translate R SelectUptoFour1 {Select up to 4 table base *directories*}
# PLEASE TRANSLATE
translate R ByClicking {By clicking any tablebase *file* in a directory}
# PLEASE TRANSLATE
translate R IKnowConfusing {This bit is a bit confusing I know, but it verifies the tablebases are compatible}
# PLEASE TRANSLATE
translate R LookingForOptionsFile {Looking for your options file}
# PLEASE TRANSLATE
translate R OptionsFound {Your options file}
# PLEASE TRANSLATE
translate R WasFoundAndLoaded {was found and loaded}
# PLEASE TRANSLATE
translate R DownloadGamesFromPre {Download games from}
# PLEASE TRANSLATE
translate R DownloadGamesFromPost { }
# PLEASE TRANSLATE
translate R OnlyCompleteGames {Completed games only}
# PLEASE TRANSLATE
translate R CompletedAndAdjourned {Completed and adjourned games}
# PLEASE TRANSLATE
translate R Download {Download}
# PLEASE TRANSLATE
translate R UsernamesFromFile {usernames from file}
# PLEASE TRANSLATE
translate R UsernamesFromList {usernames from list}
# PLEASE TRANSLATE
translate R ChessDBChooseECORange {ChessDB: Choose ECO Range}
# PLEASE TRANSLATE
translate R ChessDBSearchOptionsFiles {ChessDB SearchOptions files}
# PLEASE TRANSLATE
translate R UnabletocreateSearchOptionsfile {Unable to create SearchOptions file:}
# PLEASE TRANSLATE
translate R Textfile {Text file}
# PLEASE TRANSLATE
translate R CreateSearchOptionsfile {Create a SearchOptions file}
# PLEASE TRANSLATE
translate R CreateListOf {Create list of}
# PLEASE TRANSLATE
translate R usernames {usernames}
# PLEASE TRANSLATE
translate R UnableToCreatelistOfUsername {Unable to create a list of user names}
# PLEASE TRANSLATE
translate R HeaderSearchOptionSsavedTo {Header search options saved to}
# PLEASE TRANSLATE
translate R UserNameList {User name list}
# PLEASE TRANSLATE
translate R MainHelpIndex {Index of all help pages} 
# PLEASE TRANSLATE
translate R HelpOnDownloadingChessServer {Help on downloading games from}
# PLEASE TRANSLATE
translate R Connectto {Connect to}
# PLEASE TRANSLATE
translate R CloseConnection {Close connection}
# PLEASE TRANSLATE
translate R ConfigureSettings {Set server, username, password and port}
# PLEASE TRANSLATE
translate R OutputFromChessServer {Output from the chess server will be shown here}
# PLEASE TRANSLATE
translate R CurrentlyOnlyDemo {This part of the code is currently NON-FUNCTIONAL, as it has not been developed fully at this time.}
# PLEASE TRANSLATE
translate R CommandToChessServer {Once connected, commands typed here will be sent to the chess server}
# PLEASE TRANSLATE
translate R Login {Login}
# PLEASE TRANSLATE
translate R Logout {Logout} 
# PLEASE TRANSLATE
translate R ZipfileTooShort {The ZIP File is too small (< 5000 bytes) to be one of TWIC's zip files. Aborting....}
# PLEASE TRANSLATE
translate R TitleZipfileTooShort {The ZIP File is too small}
# PLEASE TRANSLATE
translate R TitleUnliklyLastIssue {Last Issue is unrealistic}
# PLEASE TRANSLATE
translate R UnliklyLastIssue1 {The last issue you requested is not a practical value. Based on the date on your computer, the last TWIC issue is estimated to be very approximately}
# PLEASE TRANSLATE
translate R UnliklyLastIssue2 {Therefore a request for an issue of}
# PLEASE TRANSLATE
translate R UnliklyLastIssue3 {or more is considered to be an error by ChessDB.}
# PLEASE TRANSLATE
translate R UnliklyLastIssue4 {Therefore your request to retrieve up to issue}
# PLEASE TRANSLATE
translate R UnliklyIssue      {will not be attempted. }
# PLEASE TRANSLATE
translate R IfyouBeliveAnError {If you believe this is incorrect, please check the date on your computer, check for an updated version of ChessDB, or email chessdb-users@lists.sourceforge.net for further advice.}
# PLEASE TRANSLATE
translate R UnliklyFirstIssue1 {The first issue you requested is not a practical value. Based on the date on your computer, the latest TWIC issue is estimated to be very approximately}
# PLEASE TRANSLATE
translate R UnliklyFirstIssue2 {so a request for issues starting at}
# PLEASE TRANSLATE
translate R UnliklyFirstIssue3 {or more is considered to be an error by ChessDB. Therefore your request to retrieve TWIC issues starting at}
# PLEASE TRANSLATE
translate R ImportToCurrentDatabase {Import games to the current database}
# PLEASE TRANSLATE
translate R CreateLargePGNofGames {Create a large PGN file of games}
# PLEASE TRANSLATE
translate R AutomaticallySetFirstIssue {Automatically set first issue}
# PLEASE TRANSLATE
translate R DoNothingAtAll {You have not chosen to create a large PGN file or to read games into the current database. Therefore there is nothing to do! Please go back and choose one or both of these}
# PLEASE TRANSLATE
translate R GamesWillBeReadToCurrent {Games will be imported into the current database}
# PLEASE TRANSLATE
translate R NewPGNandCurrent {If you selected 'Import games to the current database' the games should be there now. If you selected 'Create a large PGN file of games' the PGN file will be called 'newgames.pgn' in the directory}
# PLEASE TRANSLATE
translate R CurrentDatabaseReadOnly {The current database is read-only, so you can not import games into it}
# PLEASE TRANSLATE
translate R NotOpenDatabase {The current database is not open, so you can not import games into it} 
# PLEASE TRANSLATE
translate R WarningCurrentDatabaseHasGames1 {The current database has}
# PLEASE TRANSLATE
translate R WarningCurrentDatabaseHasGames2 {games in it. Importing games will not overwrite these, it will simply add the new games to the database. Please check that you have selected the right database - one would for example generally not want to add games from TWIC, ICC, or FICS to a database of your own games.}
# PLEASE TRANSLATE
translate R WarningCurrentDatabaseHasGames3 {OK to proceed and download games into the current database?}
# PLEASE TRANSLATE
translate R WarningCurrentDatabaseHasGames4 {games in it. Importing games will not overwrite these, it will simply add the new games to the current database.}
# PLEASE TRANSLATE
translate R WarningCurrentDatabaseHasGames5 {Please check that you have the right database and the right directory. It is much easier to double-check now, than to try removing the games later if you accidently put them in the wrong database!}
# PLEASE TRANSLATE
translate R WarningCurrentDatabaseHasGames6 {Continue, and import the games?}
# PLEASE TRANSLATE
translate R WarningCurrentDBNotEmpty {Warning - the current database is not empty}
# PLEASE TRANSLATE
translate R WithSomeEngines {With some engines, you will not see any analysis until the board changes. So if you see this message, try changing the board by moving backwards or forwards or making a new move.}
# PLEASE TRANSLATE
translate R AnalysisEnginesList {Analysis engines list file for ChessDB}
# PLEASE TRANSLATE
translate R Doyoureallywant {Do you really want to remove this engine from the list?}
# PLEASE TRANSLATE
translate R TheNameCommand {The Name, Command and Directory fields must not be empty.}
# PLEASE TRANSLATE
translate R NOTELogFileSizelimit {NOTE  : Log file size limit reached; closing log file.}
# PLEASE TRANSLATE
translate R UnableToStartTheProgram {Unable to start the program:}
# PLEASE TRANSLATE
translate R EngineCommunicationLog {ChessDB-Engine communication log file}
# PLEASE TRANSLATE
translate R ThisFileWasAutomatically {This file was automatically generated by ChessDB.}
# PLEASE TRANSLATE
translate R ItIsRewritten {It is rewritten every time an engine is started in ChessDB.}
# PLEASE TRANSLATE
translate R ChessDBAnalysis {ChessDB: Analysis:}
# PLEASE TRANSLATE
translate R QuietEngine {Quiet engine (still no output); sending it initial commands.}
# PLEASE TRANSLATE
translate R Engine {Engine}
# PLEASE TRANSLATE
translate R EngineTerminatedWithout {The analysis engine terminated without warning; it probably crashed or had an internal error.}
# PLEASE TRANSLATE
translate R SeenCrafty {Seen Crafty; assuming analyze and setboard commands.}
# PLEASE TRANSLATE
translate R SetEngingThinkingTime {Set the engine thinking time per move in seconds:}
# PLEASE TRANSLATE
translate R SorryNonStandard {Sorry, this game has a non-standard start position.}
# PLEASE TRANSLATE
translate R ShareTags {Share tags}
# PLEASE TRANSLATE
translate R undeletesBoth {undeletes both}
# PLEASE TRANSLATE
translate R noTwin {no twin} 
# PLEASE TRANSLATE
translate R NoDuplicatesDetectedFor {No duplicates detected for this game}
# PLEASE TRANSLATE
translate R TwinGameChecker {Twin game checker}
# PLEASE TRANSLATE
translate R ToShowTwinGams {To show twins using this window you must first use theg 'Delete twin games' function}
# PLEASE TRANSLATE
translate R Downloads {Downloads}
# PLEASE TRANSLATE
translate R PreviousPair {Previous pair}
# PLEASE TRANSLATE
translate R NextPair {Next pair}
# PLEASE TRANSLATE
translate R ChessDBfound  {ChessDB found}
# PLEASE TRANSLATE
translate R PlayerNameCorrections {player name corrections, the first}
# PLEASE TRANSLATE
translate R areListedBelow {are listed below.}
# PLEASE TRANSLATE
translate R EditTheList {Edit the list to remove any corrections you do not want.}
# PLEASE TRANSLATE
translate R OnlyLinesOf {Only lines of the form:}
# PLEASE TRANSLATE
translate R OldNameToNewName { 'Old Name' >> 'New Name'}
# PLEASE TRANSLATE
translate R withNoSpaces {(with no spaces before the 'Old Name') are processed.}
# PLEASE TRANSLATE
translate R Ambiguous {Ambiguous}
# PLEASE TRANSLATE
translate R Surnames {Surnames}
# PLEASE TRANSLATE
translate R YouCanDisreguardA {You can discard a correction you do not want by deleting its line, or simply by adding a space or any other character at the start of the line}
# PLEASE TRANSLATE
translate R ToggleAnalysisBoard {Show/Hide Analysis Board}
# PLEASE TRANSLATE
translate R ShowAnalysisBoard {Show Analysis Board}
# PLEASE TRANSLATE
translate R HideAnalysisBoard {Hide Analysis Board}
# PLEASE TRANSLATE
translate R Score {Score}
# PLEASE TRANSLATE
translate R Depth {Depth}
# PLEASE TRANSLATE
translate R Nodes {Nodes}
# PLEASE TRANSLATE
translate R Time {Time}
# PLEASE TRANSLATE
translate R YourMove {Your move...... }
# PLEASE TRANSLATE
translate R Thinking {Thinking....... }
# PLEASE TRANSLATE
translate R SetEngineThinkingTime {Set the engine thinking time per move in seconds:}
# PLEASE TRANSLATE
translate R DoYouReally {Do you really want to remove this engine from the list?}
# PLEASE TRANSLATE
translate R NameCommandAndDir {The Name, Command and Directory fields must not be empty.}
# PLEASE TRANSLATE
translate R NoExtraTags {No extra tags were found}
# PLEASE TRANSLATE
translate R FirstLineFrom {First line from engine seen; sending it initial commands now.}
# PLEASE TRANSLATE
translate R Crafty18White {Crafty version is >= 18.0; assuming scores are from White perspective.}
# PLEASE TRANSLATE
translate R TitleEnginethinkingtime {ChessDB Engine thinking time}
# PLEASE TRANSLATE
translate R SoundOptions {Sound Options}
# PLEASE TRANSLATE
translate R FreeChessDatabase {ChessDB: A free Chess Database}
# PLEASE TRANSLATE
translate R UsingTclTkVersion {Using Tcl/Tk version:}
# PLEASE TRANSLATE
translate R Maintainer {Maintainer: Dr. David Kirkby}
# PLEASE TRANSLATE
translate R emailDave {Email: drkirkby@users.sourceforge.net}
# PLEASE TRANSLATE
translate R SearchOptionsSaved {Material/pattern search options saved to file:}
# PLEASE TRANSLATE
translate R TitleSearchOptionsSaved {Search Options saved}
# PLEASE TRANSLATE
translate R ExtraTagsEgAnand {Extra Tags: (example format: Annotator "Anand, V")}
# PLEASE TRANSLATE
translate R YouWereNotLoggedIn {You are not currently logged in to the chess sever, so you can not log out}
# PLEASE TRANSLATE
translate R TitleYouWereNotLoggedIn  {ChessDB: Logout error}
# PLEASE TRANSLATE
translate R TitleCreateRepertore {Create a repertoire file}
# PLEASE TRANSLATE
translate R NonStartedStartNoRepertoir {The current game does not have the standard starting position, so its positions cannot be added to the repertoire.}
# PLEASE TRANSLATE
translate R RepetoireFiles {ChessDB repertoire files}
# PLEASE TRANSLATE
translate R AreYouSureDeleteRepGroup {Are you sure you want to delete this group, keeping all the groups and lines under it?}
# PLEASE TRANSLATE
translate R AreYouSureRecursivelyDeleteRepGroups {Are you sure you want to delete this group, AND ALL the groups and lines under it?}
# PLEASE TRANSLATE
translate R AreYouSureDeleteLine {Are you sure you want to delete this line?}
# PLEASE TRANSLATE
translate R TitleDeleteGroup {ChessDB: Delete group?}
# PLEASE TRANSLATE
translate R TitleDeleteLine  {ChessDB: Delete line?}
# PLEASE TRANSLATE
translate R NotLoggedOInNoDownload {You are not logged into the chess server, so can not download games. Please press 'Login' first.}
# PLEASE TRANSLATE
translate R TitleNotLoggedOInNoDownload {Error: Not logged in}
# PLEASE TRANSLATE
translate R ICCLimitOnGames {Note, the Internet Chess Club (ICC) limits the number of attempts that be made to download games in quick succession to 100. Once 100 have been attempted (whether or not they could all be downloaded), ICC server will simply reply "Game database temporarily unavailable". Since you have requested data on 6 or more players, each assumed to have 20 games in their history, this limit will be reached. After 100 attempts are made, there will be a long delay (x seconds), before any more are dowloads are attempted. ChessDB will resume once the ICC server will allow it. Note, the exact details of what limits the ICC server is programmed with are not known, so best guesses are used. If you see the message "Game database temporarily unavailable", please report the circumstances to the ChessDB mailing list.}
# PLEASE TRANSLATE
translate R ICCLimitOnGames1 {Note, the Internet Chess Club (ICC) limits the number of attempts that be made to download games in quick succession to 100. Once 100 have been attempted (whether or not they could all be downloaded), ICC server will simply reply "Game database temporarily unavailable" It will stay like this for some time (approximately 80s)  before allowing further downloads}
# PLEASE TRANSLATE
translate R ICCLimitOnGames2 {Since you have requested data on 6 or more players, each assumed to have 20 games in their history, this limit will be reached. After 100 attempts are made, there will be a long delay (80 seconds), before any more dowloads are attempted. ChessDB will resume once it believes the ICC server will allow it.}
# PLEASE TRANSLATE
translate R ICCLimitOnGames3 {Note, the exact details of what limits the ICC server is programmed with are not known, so best guesses are used. If you see the message "Game database temporarily unavailable", please report the circumstances to the ChessDB mailing list. If you know the parameters ICC use, then please let us know, so best use can be made of this facility} 
# PLEASE TRANSLATE
translate R TitleICCLimitOnGames {ICC database limit}
# PLEASE TRANSLATE
translate R EmailAddressFields {Email address fields:}
# PLEASE TRANSLATE
translate R Downloading {Please Wait !!}
# PLEASE TRANSLATE
translate R DownloadsComplete {An attempt has been made to download the histories of all the players. If ICC's database became unavailable, (as it sometimes does with rapid downloads), then they may not be complete. Double check the number of games. Assuming you have all the games, you may close the database if you wish. You are still logged in, so log out if you wish.}
# PLEASE TRANSLATE
translate R TitleDownloadsComplete {Downloads complete}
# PLEASE TRANSLATE
translate R WillSlowNow {The downloads from ICC will slow now quite considerably, from one every 500 ms to one every 60 seconds. This is because the ICC server is configured to restrict the rate at which games can extracted from the database. A message will be printed when all games are downloaded - until then, please keep the database open. You can leave ChessDB unattended - perhaps take a break while the downloads continue at the reduced rate. }
# PLEASE TRANSLATE
translate R WillSlowNow2 {If you want to get the games as fast as possible, save the database, log out, then back in again, after which you can download another 100 games very quickly.}
# PLEASE TRANSLATE
translate R TitleWillSlowNow {Downloads will slow down}
# PLEASE TRANSLATE
translate R DatabaseUnavailable {ICC's database is temporarily unavailable. This will happen if a lot of games are downloaded in a short time. ChessDB tries to avoid this, by slowing the rate of downloads after the first 100. However, as the exact conditions wwhich cause this to happen are unknown, it is difficult to do this well. If you get this message, please email chessdb-users-owner@lists.sourceforge.net and explain what you did. It is not an unusual message and is nothing to worry about.}
# PLEASE TRANSLATE
translate R TitleDatabaseUnavailable {ICC database is temporarily unavailable}
# PLEASE TRANSLATE
translate R LogInAnonymously {When connecting to ICC for the purpose of downloading games, it is suggested you do so anonymously. If not, anyone with you on their notify list will see ChessDB connect, which is probably not what you want. You can log into ICC anonymously by adding a "!" in front of your username. So if your ICC user name is "foobar", it is probably better to set it in ChessDB as "!foobar"}
# PLEASE TRANSLATE
translate R TitleLogInAnonymously {Anonymous login}
# PLEASE TRANSLATE
translate R ExtraSpacesBetweenUsernames {The list of user names must be sepparated by ONLY ONE SPACE. You have two or more spaces in the list. Please remove them.}
# PLEASE TRANSLATE
translate R TitleExtraSpacesBetweenUsernames {User errror: Too many spaces}
# PLEASE TRANSLATE
translate R SuccessfullySorted {The database was successfully sorted.}
# PLEASE TRANSLATE
translate R TitleSortResults {ChessDB: Sort results}
# PLEASE TRANSLATE
translate R ThisIsNotOpenNothingToSort {This is not an open database; there are no games to sort.}
# PLEASE TRANSLATE
translate R WillAddEloRatings {This command will use the current spellcheck file to add Elo ratings to games in this database. Wherever a player has no currrent rating but his/her rating at the time of the game is listed in the spellcheck file, that rating will be added.}
# PLEASE TRANSLATE
translate R OverwriteExistingNonZero {Overwrite existing non-zero ratings?}
# PLEASE TRANSLATE
translate R AddRatingsTo {Add ratings to:}
# PLEASE TRANSLATE
translate R AddedNElo {ChessDB added $r Elo ratings in $g games.}
# PLEASE TRANSLATE
translate R ExtraPGNTags {Extra PGN tags:}
# PLEASE TRANSLATE
translate R RemoveAllOccurageOfTag {Do you really want to remove all occurences of the PGN tag}
# PLEASE TRANSLATE
translate R FromThisDatabase {from this database?}
# PLEASE TRANSLATE
translate R RemovingThePGNTag {Removing the PGN tag}
# PLEASE TRANSLATE
translate R ToSaveSpaceAnd {To save space and maintain database efficiency, it is a}
# PLEASE TRANSLATE
translate R ToSaveSpaceAnd2 {good idea to compact the game file after removing tags.}
# PLEASE TRANSLATE
translate R FindingGamesWithPGN {Finding games with the PGN tag}
# PLEASE TRANSLATE
translate R ChangeTheFollowingGame {Change the following game tags:}
# PLEASE TRANSLATE
translate R Game {Game}
# PLEASE TRANSLATE
translate R NoUnusedNames {There are no unused names, so the name file is already fully compacted.}
# PLEASE TRANSLATE
translate R TheNameFile {The name file for the database}
# PLEASE TRANSLATE
translate R wasCompated {was compacted.}
# PLEASE TRANSLATE
translate R TitleErrorCompactingFile {ChessDB: Error compacting file}
# PLEASE TRANSLATE
translate R TitleNameFileCompacted {ChessDB: Name file compacted}
# PLEASE TRANSLATE
translate R TitleGameFileCompacted {ChessDB: Game file compacted}
# PLEASE TRANSLATE
translate R TheGameFileIsAlreadyCompacted {The game file is already fully compacted.}
# PLEASE TRANSLATE
translate R TheGameFile {The game  file for the database}
# PLEASE TRANSLATE
translate R YourSetting4Twins {Your settings for finding twin games are potentially likely to }
# PLEASE TRANSLATE
translate R YourSetting4Twins2 {cause non-twin games with similar moves to be marked as twins.}
# PLEASE TRANSLATE
translate R DoYouWantToContinueAndDelete {Do you want to continue and delete twin games anyway?}
# PLEASE TRANSLATE
translate R ItIsReccomenedThatYou {It is recommended that you specify "Yes" for at least two of the "same site", "same round" and "same year" settings.}
# PLEASE TRANSLATE
translate R ItIsReccommendedThatIf {It is recommended that if you select "No" for "same moves", you should select "Yes" for the colors, event, site, round, year and month settings} 
# PLEASE TRANSLATE
translate R AllSettingNotEntered1 {You MUST configure a server for ICC (usually chessclub.com, but you can use queen.chessclub.com), a username, a password and a port (usually 5000, but 23 might be useful in some cases).}
# PLEASE TRANSLATE
translate R AllSettingNotEntered2 {Please set these either from the File menu of this window, or Options -> Downloads on the main ChessDB window.}
# PLEASE TRANSLATE
translate R NeedLoginParamtersSet {Login parameters must be set}
# PLEASE TRANSLATE
translate R UsernameNotReconised1 {The chess server does not reconsise the username of :}
# PLEASE TRANSLATE
translate R ICCUsernameNotReconised2 {Have you got the right username for this server? Has your account expired? Check all settings CAREFULLY.}
# PLEASE TRANSLATE
translate R TitleICCUsernameNotReconised {Unknown user name}
# PLEASE TRANSLATE
translate R InvalidPassword {does not reconise that password given for the username }
# PLEASE TRANSLATE
translate R TitleInvalidPassword {Invalid password}
# PLEASE TRANSLATE
translate R ConnectionToChessSeverFailed {Connection to chess server failed. Is  your network connection OK? Is the firewall blocking traffic? The chess server could be down. The error message generated was:}
# PLEASE TRANSLATE
translate R TitleConnectionToChessSeverFailed {Unable to connect to chess server}
# PLEASE TRANSLATE
translate R TheSettingsUsed {The setting used when trying to connect were:}
# PLEASE TRANSLATE
translate R LookingForSpellingFile {Looking for the spelling and ratings file "ratings.ssp"}
# PLEASE TRANSLATE
translate R SpellCheckFileFound {The spell check and ratings file was found}
# PLEASE TRANSLATE
translate R SpellCheckFileNotFound {The spell check file, which has the ELO ratings of players, could not be located. This was distributed with ChessDB with the name "ratings.ssp"}
# PLEASE TRANSLATE
translate R OptionsFile {Options File}
# PLEASE TRANSLATE
translate R UnableToFindOptions1 {Unable to find the options file}
# PLEASE TRANSLATE
translate R UnableToFindOptions2 {A new options file will be created}
# PLEASE TRANSLATE
translate R AttemptingToLoadTheSpellingAndRatingsFile {Attempting to load the spellcheck file which has ELO ratings too:}
# PLEASE TRANSLATE
translate R KiloNodesPerSecond {kn/s}
# PLEASE TRANSLATE
translate R IfYouWantTheseTablebases {If you want these tablebases to be used whenever you start ChessDB, select "Save Options" from the Options menu before you exit ChessDB.}
# PLEASE TRANSLATE
translate R UnableToReadFromChessServer1 {An error occured when ChessDB tried to read from the chess server.}
# PLEASE TRANSLATE
translate R UnableToReadFromChessServer2 {This can occur if there is a network problem, a fault at the chess server, you have logged out but a request from ChessDB to read has taken place (this is a bug that will be fixed later).}
# PLEASE TRANSLATE
translate R ErrorMessage {The error message generated was:}
# PLEASE TRANSLATE
translate R TitleReadFromChessSeverFailed {Unable to read from the chess server}
# PLEASE TRANSLATE
translate R TitleWriteFromChessSeverFailed {Unable to write to chess server}
# PLEASE TRANSLATE
translate R UnableToWriteToChessServer1 {An error occured when ChessDB tried to write to the chess server.}
# PLEASE TRANSLATE
translate R UnableToWriteToChessServer2 {This can occur if there is a network problem, a fault at the chess server, you have logged out but a request from ChessDB to write has taken place (this is a bug that will be fixed later).}
# PLEASE TRANSLATE
translate R IfYouWishToContinue {If you wish to continute to download  more files, it *may* be necessary to quit ChessDB and log in again (this is a bug that will be fixed later.)}
# PLEASE TRANSLATE
translate R NoFICSYet1 {Although it is possible to download games into a database from ICC, this is not currently possible with FICS.}
# PLEASE TRANSLATE
translate R NoFICSYet2 {FICS support will be added, but it is a bit more complex than on ICC, since FICS does not have the 'spgn' (or similar) command to show the PGN of a game. Expect FICS support by April or May 2007.}
# PLEASE TRANSLATE
translate R TitleNoFICSYet {No support currently for download via FICS}
# PLEASE TRANSLATE
translate R TitleImportFromAPGNFile {Import from a PGN file}
# PLEASE TRANSLATE
translate R TitleImportingPGNFile {ChessDB: Importing PGN file}
# PLEASE TRANSLATE
translate R TitleImportingPGNFiles {ChessDB: Importing PGN files}
# PLEASE TRANSLATE
translate R NoPGNErrorsOrWarnings {with no PGN errors or warnings.}
# PLEASE TRANSLATE
translate R PGNErrorsWarnings {PGN error/warnings:}
# PLEASE TRANSLATE
translate R ImportingPGNgamesFrom {Importing PGN games from}
# PLEASE TRANSLATE
translate R TitleSelectATablebaseFile {ChessDB: Select a Tablebase  file}
# PLEASE TRANSLATE
translate R ChooseDirectoryWithPGN {Choose a directory containing one or more PGN files}
# PLEASE TRANSLATE
translate R NoPGNFileInDir {It is not possible to import any PGN files, since there are no files with the extension .pgn or .PGN in the directory}
# PLEASE TRANSLATE
translate R TitleNoPGNFileInDir {ChessDB Error: No PGN files in the directory}
# PLEASE TRANSLATE
translate R ImportingNumber {This will import} 
# PLEASE TRANSLATE
translate R PGNFilesFromDir {PGN files from the directory}
# PLEASE TRANSLATE
translate R ToolsImportDirText {Import all the PGN files in a directory}
# PLEASE TRANSLATE
translate R TitleChessDBError {ChessDB: Error}
# PLEASE TRANSLATE
translate R ToHaveThisLoaded {To have this file automatically loaded when you start ChessDB, select "Save Options" from the Options menu before exiting.}
# PLEASE TRANSLATE
translate R ECOfile {ECO file}
# PLEASE TRANSLATE
translate R TitleChessDBECOFileLoaded {ChessDB: ECO file loaded.}
# Do NOT translate the following line - it is there to help translators only
##context R gdgfgffggertldffdo {Importing file number 12 of 124}
# PLEASE TRANSLATE
translate R TablebasesWithUpto {Endgame tablebases with up to}
# PLEASE TRANSLATE
translate R NPieces {pieces were found, so those tablebases will be used to allow ChessDB to perform an exact analysis of endgames.}
# PLEASE TRANSLATE
translate R ChessDBEGTBResults {ChessDB: Endgame tablebase results}
# PLEASE TRANSLATE
translate R TitleUnableToWriteFile {Unable to write file}
# Do NOT translate the following line - it is there to help translators only
##context R ImportingFileNumberN {Importing file number 12 of 124}
# PLEASE TRANSLATE
translate R ImportingFileNumberN {Importing file number}
# Do NOT translate the following line - it is there to help translators only
##context R er34093489fl {Importing all 124 files PGN files from the directory C:\Program Files\My Documents}
# PLEASE TRANSLATE
translate R ImportingAll {Importing all}
# PLEASE TRANSLATE
translate R PGNfilesFrom {PGN files from the directory}
# PLEASE TRANSLATE
translate R ThereWereWarnings {WARNING: There were errors or warnings while importing those PGN files. This is not unsual, as many games found on the internet have errors in them. If you have inported a lot of games, you might wish to just inore them. otherwise, check the line numbers indicated carefully to find the problem. }
# PLEASE TRANSLATE
translate R ThereWereNoWarnings {Note: The PGN file(s) imported without any warning messages. That is obviously good!}
# Do NOT translate the following line - it is there to help translators only
##context R jhdgdret {Imported file 12 of 345 files, with 456 games. 323232 games have been imported now.}
# PLEASE TRANSLATE
translate R ImportedFile {Imported file}
# PLEASE TRANSLATE
translate R filesWith {files, with}
# PLEASE TRANSLATE
translate R gamesImportedNow {games have been imported now}
# PLEASE TRANSLATE
translate R OpenRepertoireFile {Open a repertoire file}
# PLEASE TRANSLATE
translate R TitleSaveOpeningReport {ChessDB: Save opening report}
# PLEASE TRANSLATE
translate R TitleErrorWritingReport {ChessDB: Error writing report}
# PLEASE TRANSLATE
translate R TitleErrorStartingAnalysis {ChessDB: Error starting analysis}
# PLEASE TRANSLATE
translate R StartingToImportFilename {Start to import file:}
# PLEASE TRANSLATE
translate R TitleThankYouTo {Thank you to ...}
# PLEASE TRANSLATE
translate R ThanksToOthers {I would like to express my thanks to the following, who have helped improve ChessDB. If I have omitted anyone, please let me know and I will correct the omission. Of course, many helped Shane Hudson with Scid, and since ChessDB is based on Scid, they have contributed too. The file THANKS.Shane in the source is a list of people Shane thanked.}
# PLEASE TRANSLATE
translate R ThanksTranslators {Thank you to the following have either provided translations for ChessDB, or in some other way helped to improve the translations.}
# PLEASE TRANSLATE
translate R ThanksWebsite {Thank you to the following, who have translated sections of the ChessDB website to another language.  By doing this, the number of potential users will be increased, which will almost certainly lead to more developers and so an improved program.}
# PLEASE TRANSLATE
translate R ThanksCode {The following have contibute code to ChessDB.}
# PLEASE TRANSLATE
translate R ThanksBugReports {Unfortunately bugs are inevitable in complex software such as ChessDB. Bug reports are always useful - even if they are as small as an incorrect spelling. The following have provided bug reports in sufficient detail for the report to be useful.}
# PLEASE TRANSLATE
translate R HelpChessDB1 {If anyone is able to help promote or improve ChessDB in the following ways, I would appreciate it:}
# PLEASE TRANSLATE
translate R HelpChessDB2 {Submit details about ChessDB to chess related web sites. This is particularly useful if that web site uses a language other than English. It would be nice if people searching on the web found out about ChessDB, no matter what langauge they performed their search in.}
# PLEASE TRANSLATE
translate R HelpChessDB3 {Tell others about ChessDB - it would be nice if it was as well known as ChessBase. I do this on the Internet Chess Club (ICC) some times and are surprised how many do not know what a chess database is.}
# PLEASE TRANSLATE
translate R HelpChessDB4 {Write code to add new functionality, or improve upon present functionality. ChessDB uses C++ and Tcl}
# PLEASE TRANSLATE
translate R HelpChessDB5 {If you are a GM or IM and are willing to put some positive comments about ChessDB on the ChessDB (or other) website, it would help. ChessDB is a LOT more than a free alternative for those who don't wish to spend their money on commercial products.}
# PLEASE TRANSLATE
translate R HelpChessDB6 {Write better documentation. There are some areas of the documentation which are poor or non-existent - especially in languages other than English. Do you have any good tips that can be included in the 'Tip of the Day' which is displayed at startup?}
# PLEASE TRANSLATE
translate R HelpChessDB7 {Produce binaries for Linux distributions (Redhat, Suse, Debian, Slackware etc) and preferably keep them regularly maintained. Some people may only find out about ChessDB if they find it on Linux.}
# PLEASE TRANSLATE
translate R HelpChessDB8 {Maintain a binary for other UNIX and UNIX-like distibutions, so as those for AIX, Mac OS X, Solaris, IRIX, HP-UX, FreeBSD, OpenBSD, NetBSD etc. On of my projects 'atlc' (http://atlc.sourceforge.net/) has been ported to everything from a Sony Playstation 2 games console to a Cray supercomputer. I doubt ChessDB will ever be as portable, but }
# PLEASE TRANSLATE
translate R HelpChessDB9 {Provide a link to the ChessDB website, http://chessdb.sourceforge.net/ on your web site. This will improve the search engine ranking of ChessDB. That will give us more users, more developers and so software with more features.}
# PLEASE TRANSLATE
translate R HelpChessDB10 {Send copies of ChessDB to magazine Editors for review.}
# PLEASE TRANSLATE
translate R HelpChessDB11 {Suggestions for additional features are welcome, but these are always more numerous than I have time for. Suggesions from those who contribute to ChessDB will be given higher priority. The suggestion to add a facility to import lots of PGN games at once by Mario Molinari was given higher priority (and now impleneted), since Mario has updated the Italian translation.} 
# PLEASE TRANSLATE
translate R HelpChessDB12 {Update the language files. ChessDB supports many langugages, but some of the the language files have not been updated for a long time. If you, or someone you know is willing to update any of the following language files, it would be very useful:}
# PLEASE TRANSLATE
translate R HelpChessDB13 {The main language file has a name somelanguage-basic.tcl (eg. swedish-basic.tcl). You can download the files from http://chessdb.cvs.sourceforge.net/chessdb/chessdb/tcl/lang/ Click on the relavant language file. Near the top you will see the following: }
# PLEASE TRANSLATE
translate R HelpChessDB14 {Click on 'download', edit the file, then email the updated file to drkirkby@users.sourceforge.net}
# PLEASE TRANSLATE
translate R HelpChessDB15 {Advise me of any place in which you see English text, when you expect to see that of another language. In some cases, it is difficult to convert the text, but in others it is simply I have overlooked something. In other cases it is simply nobody has translated something. }
# PLEASE TRANSLATE
translate R IfYouCanSuggest {If you can think of other ways in which the user base of ChessDB can be increased, please let me know.}
# PLEASE TRANSLATE
translate R NoOpenDatabaseNoPlayerReport {There are 9 database slots which are used to hold a database. The current database slot is empty. Please change to a database that is not empty, using 'Switch to Database' on the 'File' menu} 
# PLEASE TRANSLATE
translate R ZeroGames {The current database has 0 games in it.}
# PLEASE TRANSLATE
translate R TitleZeroGames {Database has no games}
# PLEASE TRANSLATE
translate R ZeroGamesNoPlayerReport {Since the database has no games in it, there are no players in the database and so a Player Report can not be generated. }
# PLEASE TRANSLATE
translate R OpenDatabaseWithGames {Please open a database that has some games in it. }
# PLEASE TRANSLATE
translate R NewUserNewDatabase {If you are a new user of ChessDB, you can download a database from the ChessDB web site, create one by reading in some PGN files, download games from The Week In Chess (TWIC), ICC or FICS. There are many ways to create a database, if you don't already have one. A very small sample database, having the games from the World Chess Championships, is distributed with ChessDB under the name 'wcc'.}
# PLEASE TRANSLATE
translate R ZeroGamesNoFilterGraph {Since the database has no games in it, there are no players in the database and so a Filter Graph can not be generated.}
# PLEASE TRANSLATE
translate R TitleYouCanHelp {How you can help ChessDB}
# PLEASE TRANSLATE
translate R Czech {Czech}
# PLEASE TRANSLATE
translate R Dutch {Dutch}
# PLEASE TRANSLATE
translate R Finnish {Finnish}
# PLEASE TRANSLATE
translate R French {French}
# PLEASE TRANSLATE
translate R German {German}
# PLEASE TRANSLATE
translate R Hungarian {Hungarian}
# PLEASE TRANSLATE
translate R Italian {Italian}
# PLEASE TRANSLATE
translate R Korean {Korean}
# PLEASE TRANSLATE
translate R Norwegian {Norwegian}
# PLEASE TRANSLATE
translate R Polish {Polish}
# PLEASE TRANSLATE
translate R Portuguese {Portuguese}
# PLEASE TRANSLATE
translate R Russian {Russian}
# PLEASE TRANSLATE
translate R Serbian {Serbian}
# PLEASE TRANSLATE
translate R Swedish {Swedish}
# PLEASE TRANSLATE
translate R Spanish {Spanish}
# PLEASE TRANSLATE
translate R Turkish {Turkish}
# PLEASE TRANSLATE
translate R UnableLoadGame {Unable to load game number:}
# PLEASE TRANSLATE
translate R TitleUnableLoadGame {ChessDB Error: Unable to load game}
# PLEASE TRANSLATE
translate R UnableToWriteBooksmarks {Unable to write bookmarks file:}
# PLEASE TRANSLATE
translate R TitleSupport {Support on ChessDB}
# PLEASE TRANSLATE
translate R SupportChessDB1 {Support on ChessDB is much better than on almost any commerical software. You can easily contact the developers - not some dumb support staff, who usually know less than you. Support is free and responses to support requests are usually answered in less than 24 hours. It is quite common for a bug to be reported and a solution given in under 1 day.}
# PLEASE TRANSLATE
translate R SupportChessDB2 {First, before asking for support, read the documentation. In particular take a look at the tutorial at http://chessdb.sourceforge.net/tutorial/ The archives of the mailing lists at http://sourceforge.net/mailarchive/forum.php?forum=chessdb-users are helpful too.}
# PLEASE TRANSLATE
translate R SupportChessDB3 {Please email your support requests to}
# PLEASE TRANSLATE
translate R SupportChessDB4 {Please provide the following information:}
# Do NOT translate the following line - it is there to help translators only
##context R dfd4dfdf {The version number of ChessDB will be printed after the contents of line 'SupportChessDB5'}
# PLEASE TRANSLATE
translate R SupportChessDB5 {The version of ChessDB you are using, which is}
# Do NOT translate the following line - it is there to help translators only
##context R doererdf {The version number of Tcl/Tk will be printed after the contents of line 'SupportChessDB6'}
# PLEASE TRANSLATE
translate R SupportChessDB6 {The version of Tcl/Tk you are using. Tcl/Tk is needed to run ChessDB - you are using version }
# PLEASE TRANSLATE
translate R SupportChessDB7 {The version of Windows you are using (95, 98, NT, 98SE, 2000, ME, XP home, XP Pro, Vista etc.} 
# PLEASE TRANSLATE
translate R SupportChessDB8 {The version of UNIX or Linux you are using (Debian Linux, Slackware Linux, Solaris, FreeBSD, NetBSD etc).}
# PLEASE TRANSLATE
translate R SupportChessDB9 {Whether you compiled this yourself, or if you obtained a binary from somewhere. If you compiled it yourself, report the version of gcc used. Did you build it from the code in the CVS repository? If you used a binary, report where you obtained the binary.)}
# PLEASE TRANSLATE
translate R SupportChessDB10 {What steps you have taken to sort the problem out yourself.}
# PLEASE TRANSLATE
translate R SupportChessDB11 {If this is a bug report and you are in a position to check this under both Windows and UNIX/Linux, it would be useful to verify if the problem exists on both systems. But this is not essential - just do it if you can easily.}
# PLEASE TRANSLATE
translate R SupportChessDB12 {MOST IMPORTANT OF ALL, make the bug report or support request MEANINGFUL. Give as much detail as possible.}
# PLEASE TRANSLATE
translate R SupportChessDB13 {Reports like "ChessDB does not work on my laptop" are next to useless. So are reports like "I was analysing a game and a window popped up which said Application Error". Again, that is useless, since without the exact error message (which can be saved to a log file in this case), it is difficult to know where to look for the bug.}
# PLEASE TRANSLATE
translate R SupportChessDB14 {If possible send any support of bug requests in English. If sent privately to David Kirkby, please put 'ChessDB' in the title, so it is sorted into the correct mail folder. This is not necessary if sending to chessdb-users@lists.sourceforge.net, which is the generally the preferred address to use.}
# PLEASE TRANSLATE
translate R TitleFilterGraph {ChessDB: Filter Graph}
# PLEASE TRANSLATE
translate R TitleSaveGraph {ChessDB: Save Graph}
# PLEASE TRANSLATE
translate R ThankYouDavidKirkby {Thank you from David Kirkby}
# PLEASE TRANSLATE
translate R ThankYouShaneHudon  {Thank you from Shane Hudson}
# PLEASE TRANSLATE
translate R THANKSdotShane {The following is the contents of the file 'THANKS' which was in Scid and so have indirectly helped ChessDB. The contents for the file are unmodified, and so are therefore in English only.}
# PLEASE TRANSLATE
translate R ThanksTclTelnet {Thank you to Todd Martin for developing 'tcltelnet' http://tmartin.org/tcltelnet/ which ChessDB uses to connect to chess servers using the telnet protocol.}
# PLEASE TRANSLATE
translate R APoliteRequest1 {If you wish to contribute to ChessDB and become a developer, you would be most welcome. ChessDB is programmed in C++, Tcl and Tk. If you wish to create another project, based on code in ChessDB, I would respectfully ask you use another name to ChessDB - just credit Scid and ChessDB where appropiate. Using the name 'Scid' or 'ChessDB' will cause confusion amougst users, with them not knowing who to attribute bugs to.} 
# PLEASE TRANSLATE
translate R APoliteRequest2 {If you create any data files (such as, but not limited to opening books, databases etc) for use with ChessDB, or derived software, I would appreciate if you keep to the spirit of free software and do not restrict their use to any particular piece of software.} 
# PLEASE TRANSLATE
translate R GPL2 {ChessDB is free (but copyrighted) chess software which is licensed under the GNU General Public License (GPL). Copyrights are held by Dr. David Kirkby, Shane Hudson and others. The conditions of the GPL are listed below.}
}
